<?php
/**
 * stanislav.elbl, 13.03.2021
 */

spl_autoload_register(function ($className) {
    if (strpos($className, '..') !== false) {
        throw new \Exception('RON autoload: invalid class name!');
    }

    $fileName = __DIR__ . '/' . strtolower(str_replace('\\', '/', $className) . '.php');

    if (file_exists($fileName)) {
        require_once __DIR__ . '/' . strtolower(str_replace('\\', '/', $className) . '.php');
        return true;
    }

    return false;
});


/**
 *
 */
spl_autoload_register(function ($className) {
    if (strpos($className, '..') !== false) {
        throw new \Exception('RON autoload: invalid class name!');
    }

    // phpmailer
    if (substr($className, 0, 9) === 'PHPMailer') {
        require_once __DIR__ . '/vendor/phpmailer/phpmailer/src/' . substr(strrchr($className, "\\"), 1) . '.php';
        return true;
    }

    // tracy
    $classMap = require 'vendor/composer/autoload_classmap.php';
    if (isset($classMap[$className])) {
        require_once $classMap[$className];
        return true;
    }

    return false;
});
