<?php
/**
 * stanislav.elbl, 24.02.2016
 * Vkladani dochazky podle kalendare
 */

namespace RonPortal\Editace;

use Exception;
use Ron\DateUtils;
use Ron\DB\Database;
use Ron\DB\DBException;
use Ron\MVC\HttpController;
use Ron\MVC\Redirect;
use Ron\TextManager;
use RonPortal\XML\RonPortalXMLForm;


class PodleKalendareController extends HttpController
{
    /** @var  Database */
    private $database;

    /**
     * PodleKalendareController constructor.
     * @param Database $database
     */
    public function __construct(Database $database)
    {
        $this->database = $database;
    }

    /**
     * @throws DBException
     * @throws Exception
     */
    public function handleAction($action)
    {
        TextManager::getInstance() ->loadStrings('dochazka.ini');

        $f = new PodleKalendareFormular($this->database);
        if ($f->handleAction()) {
            return RonPortalXMLForm::$eventRedirect
                ?: new Redirect(null, '?menuid=zpracovanadochazka&idpp=' . $f->pp->idPP . '&obdobi=' . DateUtils::dateToUrlString($f->obdobi->zacatek));
        }
        return $f;
    }

}

return new PodleKalendareController($this ->database);
