<?php
/**
 * Created by PhpStorm.
 * User: pavel.rudol
 * Date: 2.1.2017
 * Time: 14:13
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;
use RonPortal\RonPortalSettings;

return [
    'caption' => 'nastaveni_agent_person',
    'category' => 'nastaveni_sekce_terminaly',
    'name'  => 'agent_person',
    'index' => 921,
    'storage' => 'nastaveniPersonalistiky',
    'strings' => 'preferences_agent.ini',
    'items' =>
        [
            // agent host
            [
                'name'  => 'person_agenthost', 'type'  => Preference::TEXT,    'title' => 'Agent_host',
                'infoText' => 'Agent_host_info'
            ],
            // agent port
            [
                'name'  => 'person_agentport', 'type'  => Preference::TEXT,    'title' => 'Agent_port'
            ],
            // mzdy x personalistika
            [
                'name'  => 'person_agentapp', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Agent_app',
                'sql'   => "SELECT applicationID as Kod, applicationID as Popis FROM SYS_DDEF WHERE applicationID IN ('PERSON', 'MZDY') ORDER BY Popis",
                'defaultValue' => 'PERSON', 'enableEmpty' => false
            ],
            // agent cesta
            [
                'name'  => 'agenthodnoceni', 'type'  => Preference::TEXT,    'title' => 'Agent_cesta'
            ],

            // parametry agentu
            [
                'name'  => 'person_agent_params', 'type'  => Preference::TEXT,    'title' => 'Agent_default_params',
                'defaultValue' => RonPortalSettings::getValue('agent_params', '-lang:%LANG% -alwaysLog')
            ],
        ]
];
