<?php
/**
 * Created by PhpStorm.
 * User: pavel.rudol
 * Date: 1.6.2023
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_dovednosti',
    'category' => 'nastaveni_sekce_personalistika',
    'name'  => 'dovednosti',
    'index' => 301,
    'storage' => 'nastaveniPersonalistiky',
    'strings' => 'preferences_personalistika.ini',

    'items' =>
        [
            [
                'name'  => 'dovednosti_typ_rozdeleni_filtr1', 'type'    => Preference::SQL_COMBOBOX, 'title' => 'dovednosti_typ_rozdeleni_filtr1',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod',
                'defaultValue' => '',
                'infoText' => 'dovednosti_typ_rozdeleni_filtr1_info'
            ],
            [
                'name'  => 'dovednosti_typ_rozdeleni_tpm', 'type'    => Preference::SQL_COMBOBOX, 'title' => 'dovednosti_typ_rozdeleni_tpm',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 AND VazbaNaTypRozdeleni IS NOT NULL AND TypRozdeleni.SynchronizovatPodleVazby = 0 ORDER BY Kod',
                'defaultValue' => '',
                'infoText'  => 'dovednosti_typ_rozdeleni_tpm_info'
            ],
            [
                'name'  => 'RonPortal_dovednosti_sloupce',      'type'  => Preference::MEMO,    'title' => 'dovednosti_sloupce_browseru',
                'defaultValue' => '', 'storage' => 'sys_bvar_global',
                'infoText' => 'dovednosti_sloupce_browseru_info',  'htmlParams' => 'class="longtext"',
            ],
        ]
];
