<?php
/** Roman.Szablatura RON Software 31.3.2017 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_navstev',
    'category' => 'nastaveni_sekce_dalsi_agendy',
    'name'  => 'navstevy',
    'index' => 703,
    'storage' => 'nastaveni',
    'strings' => 'preferences_navstevy.ini',
    'items' =>
        [
            [
                'type'  => Preference::CATEGORY,    'title' => 'nastaveni_vratnice'
            ],
            [
                'name'  => 'typrozdelenivratnice',          'type'  => Preference::SQL_COMBOBOX,    'title' => 'typ_rozdeleni_vratnice',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni ORDER BY Popis',
                'infoText' => 'nastaveni_typu_rozdeleni_vratnice_info' // 'defaultValue' => '1'
            ],

            [
                'type'  => Preference::CATEGORY,    'title' => 'evidence_navstev'
            ],
            [
                'name'  => 'typrozdelenievidencenavstev',   'type'  => Preference::SQL_COMBOBOX,    'title' => 'typ_rozdeleni_pro_evidenci_navstev',
                'sql'   => 'SELECT Kod, Popis  FROM TypRozdeleni ORDER BY Popis'
            ],
            [
                'name'  => 'typrozdelenifirma',             'type'  => Preference::SQL_COMBOBOX,    'title' => 'typ_rozdeleni_firma',
                'sql'   => "SELECT Kod, Popis FROM TypRozdeleni ORDER BY Popis"
            ],
            [
                'name'  => 'navstevy_typrozdeleni2',        'type'  => Preference::SQL_COMBOBOX,    'title' => 'navstevy_typ_rozdeleni_2',
                'sql'   => "SELECT Kod, Popis FROM TypRozdeleni ORDER BY Popis"
            ],

            [
                'name'  => 'navstevy_nabizet_existujici_hodnoty',    'type'  => Preference::CHECKBOX,   'title' => 'nabizet_ze_zadanych',
                'defaultValue' => 0
            ],

            [
                'name'  => 'platnost_skoleni_navstevy',     'type'  => Preference::TEXT,            'title' => 'Platnost_skoleni_navstevy'
            ],

            [
                'type'  => Preference::CATEGORY,    'title' => 'navstevy_upozorneni_k_navsteve'
            ],

            [
                'name'  => 'navstevyupozorneniknavsteve',   'type'  => Preference::CHECKBOX,        'title' => 'navstevy_upozorneni_k_navsteve',
                'defaultValue' => 0
            ],

            [
                'name'  => 'navstevy_text_upozorneni_klicovy',  'type'  => Preference::TEXT,        'title' => 'navstevy_text_upozorneni_klicovy_text'
            ],

            [
                'name'  => 'navstevy_text_upozorneni',      'type'  => Preference::TEXT,        'title' => 'navstevy_text_upozorneni_doplnujici_text'
            ],


            [
                'type'  => Preference::CATEGORY,    'title' => 'titulky_uzivatelskych_poli'
            ],
            [
                'name'  => 'navstevy_uzivatelska1',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_1'
            ],
            [
                'name'  => 'navstevy_uzivatelska2',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_2'
            ],
            [
                'name'  => 'navstevy_uzivatelska3',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_3'
            ],
            [
                'name'  => 'navstevy_uzivatelska4',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_4'
            ],
            [
                'name'  => 'navstevy_uzivatelska5',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_5'
            ],
            [
                'name'  => 'navstevy_uzivatelska6',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_6'
            ],
            [
                'name'  => 'navstevy_uzivatelska7',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_7'
            ],
            [
                'name'  => 'navstevy_uzivatelska8',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_8'
            ],
            [
                'name'  => 'navstevy_uzivatelska9',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_9'
            ],
            [
                'name'  => 'navstevy_uzivatelska10',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_10'
            ],

        ]
];