<?php
/**
 * stanislav.elbl, 12.01.2016
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;
use RonPortal\RonPortalSettings;

return [
    'caption' => 'nastaveni_sc',
    'category' => 'nastaveni_sekce_dochazka',
    'name'  => 'sluzebnicesty',
    'index' => 240,
    'storage' => 'nastaveni',
    'strings' => 'sluzebnicesty.ini',
    'items' =>
        [
            // povolit editaci v uzavrenem obdobi
            [
                'name'  => 'editacesluzebnichvuzavrenem', 'type'  => Preference::CHECKBOX,    'title' => 'Povolit_editaci_sc_v_uzavrenem',
                'defaultValue' => 0
                //'infoText' => 'Jen_zamestnanci_s_kalendarem_pk_info'
            ],
            // vkladani - pocet dnu zpetne
            [
                'name'  => 'editacesluzebnichpocetdnu', 'type'  => Preference::TEXT,        'title' => 'Editace_sc_dnu_zpetne',
                'defaultValue' => '',
                'infoText' => 'Editace_sc_dnu_zpetne_info'
            ],
            // kontrolovat prekryvani
            [
                'name'  => 'kontrolovatprekryvanisc', 'type'  => Preference::CHECKBOX,          'title' => 'Kontrolovat_prekryvani_sc',
                'defaultValue' => 0
            ],
            // vraceni SC
            [
                'name'  => 'vracenisluzebnich', 'type'  => Preference::CHECKBOX,    'title' => 'Pouzivat_vraceni_sc',
                'defaultValue' => 0,
                'infoText' => 'Pouzivat_vraceni_sc_info'
            ],
            // schvaleni zamestnancem
            [
                'name'  => 'neschvalovatsluzebnizam', 'type'  => Preference::CHECKBOX,    'title' => 'Neschvalovat_sc_zamestnancem',
                'defaultValue' => 0
            ],
            // schvaleni nadrizenym
            [
                'name'  => 'editacesc_schvalnad', 'type'  => Preference::COMBOBOX,    'title' => 'Editace_sc_schvalene_nadrizenym',
                'options' => [
                    0 => 'Editace_sc_schval_nad_zakazat', 1 => 'Editace_sc_schval_nad_povolit',  2 => 'Editace_sc_schval_nad_vymazat'
                ],
                'defaultValue' => '1'
            ],
            // posloupnost schvalovani
            [
                'name'  => 'sc_posloupnostschvalovani', 'type'  => Preference::CHECKBOX,    'title' => 'Dodrzet_posloupnost_schvaleni_sc',
                'defaultValue' => 0
            ],
            // vypocet vzdalenosti
            [
                'name'  => 'povolitvypocetvzdalenosti', 'type'  => Preference::COMBOBOX,    'title' => 'Vypocet_vzdalenosti',
                'options' => [
                    0 => 'Vypocet_vzdalenosti_zakazat', 1 => 'Vypocet_vzdalenosti_podle_mista',  2 => 'Vypocet_vzdalenosti_podle_popisu'
                ],
                'defaultValue' => '0' // zmeneno 30.10.2018 - google jiz sluzbu neposkytuje zdarma
            ],
            // kompaktni radky
            [
                'name'  => 'kompaktniradkysc', 'type'  => Preference::CHECKBOX,    'title' => 'Kompaktni_radky_sc',
                'defaultValue' => 0
            ],

            //zobrazit cilovy stat v browseru
            [
                'name'  => 'cilovystatcsbrowser', 'type'   => Preference::CHECKBOX,    'title' => 'Zobrazit_cilovy_stat_sc',
                'defaultValue' => 0
            ],

            //povinne polozky
            [
                'name'  => 'povinnyucelslcesty', 'type'  => Preference::CHECKBOX,    'title' => 'Povinny_ucel_sc',
                'defaultValue' => 0
            ],
            [
                'name'  => 'povinnypopisslcesty', 'type'  => Preference::CHECKBOX,    'title' => 'Povinny_popis_sc',
                'defaultValue' => 0
            ],
            //sazba kapesneho
            [
                'name'  => 'sazbakapesnehopodlestatu', 'type'  => Preference::CHECKBOX, 'title' => 'Vychozi_sazba_kapesneho_podle_statu',
                'defaultValue' => 0
            ],
            [
                'name'  => 'sazbakapesnehoslcest', 'type'  => Preference::CHECKBOX,    'title' => 'Editovat_sazbu_kapesneho',
                'defaultValue' => 0
            ],
            // kontrola dokumentu - 0=nekontrolovat, 1=kdyz je NVV, 2=vzdy
            [
                'name'  => 'kontroladokumentunvv', 'type'  => Preference::COMBOBOX,    'title' => 'Kontrola_dokumentu_sc',
                'options' => [
                    0 => 'Kontrola_dokumentu_sc_ne', 1 => 'Kontrola_dokumentu_sc_nvv', 2 => 'Kontrola_dokumentu_sc_ano'
                ],
                'defaultValue' => '0',
                'infoText' => 'Kontrola_dokumentu_nvv_info'
            ],
            // zadavatdatumkurzusc
            [
                'name'  => 'zadavatdatumkurzusc', 'type'  => Preference::CHECKBOX,    'title' => 'Zadavat_datum_kurzu_sc',
                'defaultValue' => 1
            ],
            // povolit radek uctovani mimo dny sluzebni cesty
            [
                'name'  => 'datumuctovani_mimosc', 'type'  => Preference::CHECKBOX,    'title' => 'Povolit_uctovani_mimo_dny_sc',
                'defaultValue' => 0,
                'infoText' => 'Povolit_uctovani_mimo_dny_sc_info'
            ],
            // zadavatdph_sc
            [
                'name'  => 'zadavatdph_sc', 'type'  => Preference::CHECKBOX,    'title' => 'Zadavat_DPH_uctovani_sc',
                'defaultValue' => 0
            ],
            // vlastnikurzradkusc
            [
                'name'  => 'vlastnikurzradkusc', 'type'  => Preference::CHECKBOX,    'title' => 'Zadavat_kurz_uctovani_sc',
                'defaultValue' => 0
            ],
            // znamenko u uctovani
            [
                'name'  => 'znamenkouctovanisc', 'type'  => Preference::COMBOBOX,    'title' => 'Znamenko_radku_uctovani',
                'options' => [
                    0 => 'Znamenko_radku_uctovani_plus', 1 => 'Znamenko_radku_uctovani_db'
                ],
                'defaultValue' => '0',
                'infoText' => 'Znamenko_radku_uctovani_info'
            ],
            // externi link
            [
                'name'  => 'slcesty_dalsihtml', 'type'  => Preference::MEMO,        'title' => 'Sluzebni_cesta_dalsi_html',
                'defaultValue' => '',
                'infoText' => 'Sluzebni_cesta_dalsi_html_info'
            ],

            // uzivatelska pole
            [
                'type'  => Preference::CATEGORY,    'title' => 'Nadpisy_uzivatelska_pole'
            ],
            [
                'name'  => 'slcesty_uzivatelska1',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_1',
                'defaultValue' => ''
            ],
            [
                'name'  => 'slcesty_uzivatelska2',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_2',
                'defaultValue' => ''
            ],
            [
                'name'  => 'slcesty_uzivatelska3',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_3',
                'defaultValue' => ''
            ],
            [
                'name'  => 'slcesty_uzivatelska4',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_4',
                'defaultValue' => ''
            ],
            [
                'name'  => 'slcesty_uzivatelska5',  'type'  => Preference::TEXT,        'title' => 'Uzivatelske_pole_5',
                'defaultValue' => ''
            ],

            // vychozi hodnoty
            [
                'type'  => Preference::CATEGORY,    'title' => 'Vychozi_hodnoty_sc'
            ],
            [
                'name'  => 'statslcesty',           'type'  => Preference::SQL_COMBOBOX,    'title' => 'Vychozi_stat',
                'sql'   => 'SELECT Kod, Popis FROM Stat ORDER BY Popis',
                'infoText' => 'Vychozi_stat_info',
                'defaultValue' => ''
            ],
            [
                'name'  => 'statslcesty_podletypurozdeleni', 'type'  => Preference::SQL_COMBOBOX, 'title' => 'Vychozi_stat_podle_typu_rozdeleni',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod',
                'defaultValue' => '',
                'infoText' => 'Vychozi_stat_podle_typu_rozdeleni_info'
            ],
            [
                'name'  => 'sc_zahranicni',     'type'  => Preference::CHECKBOX,    'title' => 'Zahranicni',
                'defaultValue' => 0,
            ],
            [
                'name'  => 'zacatekslcesty',           'type'  => Preference::SQL_COMBOBOX,    'title' => 'Misto_zacatku',
                'sql'   => 'SELECT Kod, Popis FROM MistoSluzebniCesty WHERE Aktivni = 1 ORDER BY Popis',
                'defaultValue' => '',
            ],
            [
                'name'  => 'zacatekslcesty_nemenit',   'type'  => Preference::CHECKBOX,    'title' => 'Misto_zacatku_nemenit',
                'defaultValue' => 0,
            ],
            [
                'name'  => 'casyslcestyautomaticky',   'type'  => Preference::CHECKBOX,    'title' => 'Casy_sc_automaticky',
                'defaultValue' => 0,
                'infoText' => 'Casy_sc_automaticky_info'
            ],
            [
                'name'  => 'typvypoctucn',      'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_vypoctu_sc',
                'sql'   => 'SELECT Kod, Popis FROM S_TypVypoctuCN ORDER BY Kod',
                'defaultValue' => '0'
            ],
            [
                'name'  => 'prenasetsluzebnicesty', 'type'  => Preference::COMBOBOX,    'title' => 'Prenaseni_sc_do_dochazky',
                'options' => [
                    0 => 'Neprenaset_sc', 1 => 'Prenaset_sc_podle_uzivatele',  2 => 'Prenaset_sc_po_smenach', 3 => 'Prenaset_sc_podle_rozpisu'
                ],
                'defaultValue' => '1'
            ],
            [
                'name'  => 'casyscpodleradku',  'type'  => Preference::COMBOBOX,    'title' => 'Pocatek_konec_podle_radku',
                'options' => [
                    0 => 'Str_No', 1 => 'Str_Yes',  -1 => 'Pocatek_konec_podle_uzivatele',
                ],
                'defaultValue' => '0'
            ],
            [
                'name'  => 'nepocitatzakladnisazbu',   'type'  => Preference::CHECKBOX,    'title' => 'Nepocitat_zakladni_sazbu',
                'defaultValue' => 0
            ],
            [
                'name'  => 'nepocitatzakladnisazbuzakazat',   'type'  => Preference::CHECKBOX,    'title' => 'Nepocitat_zakladni_sazbu_nemenit',
                'defaultValue' => 0
            ],
            [
                // vychozi typ radku uctovani
                'name'  => 'typradkuuctovanisc',        'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_radku_uctovani_sc',
                'sql'   => 'SELECT Kod, Popis FROM TypRUctovaniSlCesty WHERE Aktivni = 1 AND (NOT (Kod IN (1,2,3,4))) ORDER BY Popis',
                'defaultValue' => ''
            ],
            //
            // poradi operaci
            [
                'name'  => 'poradioperacisc',   'type'  => Preference::TEXT,        'title' => 'Poradi_operaci_sc',
                'defaultValue' => '',
                'infoText' => 'Poradi_operaci_sc_info'
            ],

            // rozdeleni
            [
                'type'  => Preference::CATEGORY,    'title' => 'Nastaveni_rozdeleni_sc_1'
            ],
            [
                'name'  => 'typrozdelenisc',    'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_rozdeleni_sc',
                'defaultValue' => '',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod'
            ],
            [
                'name'  => 'rozdeleniscpovinne',   'type'  => Preference::CHECKBOX,    'title' => 'Rozdeleni_sc_povinne',
                'defaultValue' => 0
            ],
            [
                'name'  => 'rozdelenisc_pouzevlastni',   'type'  => Preference::CHECKBOX,       'title' => 'Rozdeleni_sc_pouze_vlastni',
                'defaultValue' => 0
            ],
            [
                'name'  => 'rozdelenisc_povolitprirazeni',   'type'  => Preference::COMBOBOX,   'title' => 'Rozdeleni_sc_vybirat_vlastni',
                'options' => [
                    0 => 'Nevybirat_vlastni', 1 => 'Vybirat_vlastni_podle_zamestnance',  2 => 'Vybirat_vlastni_podle_uzivatele'
                ],
                'defaultValue' => 0
            ],
            [
                'name'  => 'rozdelenisc_adresadocile',   'type'  => Preference::CHECKBOX,       'title' => 'Rozdeleni_sc_nacitat_adresu',
                'defaultValue' => 0
            ],
            [
                'name'  => 'rozdelenisc_vychozihodnota',   'type'  => Preference::COMBOBOX,     'title' => 'Rozdeleni_sc_vychozi_hodnota',
                'options' => [
                    0 => 'Rozdeleni_sc_nepriradit', 1 => 'Rozdeleni_sc_priradit',  2 => 'Rozdeleni_sc_priradit_hlavni'
                ],
                'defaultValue' => '0'
            ],

            // rozdeleni 2
            [
                'type'  => Preference::CATEGORY,    'title' => 'Nastaveni_rozdeleni_sc_2'
            ],
            [
                'name'  => 'typrozdelenisc2',        'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_rozdeleni_sc_2',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod',
                'defaultValue' => ''
            ],
            [
                'name'  => 'typrozdelenisc2_zahranicni',    'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_rozdeleni_sc_2z',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod',
                'defaultValue' => ''
            ],
            [
                'name'  => 'rozdelenisc2_pouzevlastni',   'type'  => Preference::CHECKBOX,    'title' => 'Rozdeleni_sc_pouze_vlastni',
                'defaultValue' => 0
            ],

            // rozdeleni pro radky uctovani
            [
                'type'  => Preference::CATEGORY,    'title' => 'Nastaveni_rozdeleni_uctovani_sc'
            ],
            [
                'name'  => 'typrozdeleniusc',        'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_rozdeleni_usc',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod',
                'defaultValue' => ''
            ],
            [
                'name'  => 'rozdeleniusc_pouzevlastni',   'type'  => Preference::CHECKBOX,    'title' => 'Rozdeleni_usc_pouze_vlastni',
                'defaultValue' => 0
            ],
            [
                'name'  => 'rozdeleniusc_automaticky',   'type'  => Preference::CHECKBOX,    'title' => 'Rozdeleni_usc_automaticky_priradit_vlastni',
                'defaultValue' => 0
            ],

            // rozdeleni pro radky uctovani 2
            [
                'type'  => Preference::CATEGORY,    'title' => 'Nastaveni_rozdeleni_uctovani_sc_2'
            ],
            [
                'name'  => 'typrozdeleniusc2',        'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_rozdeleni_usc',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod',
                'defaultValue' => ''
            ],
            [
                'name'  => 'rozdeleniusc2_pouzevlastni',   'type'  => Preference::CHECKBOX,    'title' => 'Rozdeleni_usc_pouze_vlastni',
                'defaultValue' => 0
            ],
            [
                'name'  => 'rozdeleniusc2_automaticky',   'type'  => Preference::CHECKBOX,    'title' => 'Rozdeleni_usc_automaticky_priradit_vlastni',
                'defaultValue' => 0
            ],

            //filtrovat urovne schvaleni Nadrizeny 2, uroven 4, zauctovano
            [
                'type'  => Preference::CATEGORY,    'title' =>  'Nastaveni_filtrovat_urovne'
            ],
            [
                'name'  => 'slcesty_filtr_nadrizeny2',  'type'  => Preference::DELETE // nahrazeno poctem urovni v polozce slcesty_filtry_nadrizeny
            ],
            [
                'name'  => 'slcesty_filtry_nadrizeny',  'type'  => Preference::COMBOBOX,    'title' => 'Pocet_urovni_nadrizeny',
                'options' => [
                    0 => '0', 1 => '1',  2 => '2',  3 => '3',  4 => '4'
                ],
                'defaultValue' => RonPortalSettings::getValue('slcesty_filtr_nadrizeny2') === null
                    ? 1
                    : (RonPortalSettings::getValue('slcesty_filtr_nadrizeny2') + 1)
            ],
            [
                'name'  => 'slcesty_filtr_uroven4',     'type'  => Preference::CHECKBOX,    'title' => 'Schvaleni_sc_plne_4',
                'defaultValue' => 0
            ],
            [
                'name'  => 'slcesty_filtr_zauctovano',  'type'  => Preference::COMBOBOX,    'title' => 'SC_zauctovana',
                'defaultValue' => 0,
                'options' => [
                    0 => 'SC_Zauctovano_nezobrazovat', 1 => 'SC_Zauctovano_zobrazit_jako_dalsi_uroven_schvaleni', 2 => 'SC_Zauctovano_zobrazit_samostatne'
                ]
            ],
        ]
];
