<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  11.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;
use Ron\MessageManager;

$defaultQueryString = Ron\MVC\Model::getInstance()['ron@defaultQueryString'];

/* @var $zamestnanec Zamestnanec */
$zamestnanec = Ron\MVC\Model::getInstance()->getData('zamestnanec');
$link = Ron\MVC\Model::getInstance()->getData('detailosobylink');
$zalozky = Ron\MVC\Model::getInstance()->getData('zalozky');

$aktualniSekce = Ron\MVC\Model::getInstance()->getData('section');

global $STR_Zamestnanec;

MessageManager::getInstance()->showMessages();
?>

<h1><?= $STR_Zamestnanec ?></h1>
    
    

<div id="detailosoby">
    <div id="detailosoby_zakladni">
        <div id="detailosoby_jmeno"> 
            <h2><?= Ron\StringUtils::htmlTextConvert($this->jmeno . ' ' . $this->prijmeni) ?></h2>
            <div id="detailosoby_seznampp">
                <table class="browser rowOver">
                    <thead>
                        <tr>
                            <th><?= Ron\ronText('Osobni_cislo'); ?></th>
                            <th><?= Ron\ronText('Datum_nastupu'); ?></th>
                            <th><?= Ron\ronText('DatumUkonceni'); ?></th>
                        </tr>
                    </thead>                    
                    <?php 
                        /* @var $pracovniPomer PracovniPomerOsoby */
                        foreach ($zamestnanec->seznamPP as $idPP => $pracovniPomer) { ?>                        
                        <tr <?php echo (($pracovniPomer->vybrany) ? 'class="selected"' : ''); ?>>
                            <td>
                                <?= ($link ? '<a href="?'.$link.$pracovniPomer->idPP.'">' : '') . Ron\StringUtils::htmlTextConvert($pracovniPomer->osobniCislo) . ($link ? '</a>' : '') ?>
                            </td>
                            <td class="datum">
                                <?php //session@section='.$aktualniSekce.'&'.
                                echo ($link ? '<a href="?'.$link.$pracovniPomer->idPP.'">' : '') . date('j.n.Y', $pracovniPomer->datumNastupu) . ($link ? '</a>' : ''); ?>
                            </td>
                            <td class="datum">
                                <?php echo ($link ? '<a href="?'.$link.$pracovniPomer->idPP.'">' : '') . ($pracovniPomer->datumUkonceni ? date('j.n.Y', $pracovniPomer->datumUkonceni) : "") . ($link ? '</a>' : ''); ?>
                            </td>
                        </tr>
                    <?php } ?>
                </table>
                <a href="?<?= $defaultQueryString ?>&novypp=1&session@action=edit&session@section=ppomer#detailosoby_ppomer"><?= Ron\ronText('NovyPP') ?></a>
            </div>
            
            <!--
            <div id="detailosoby_rc">
                <span id="detailosoby_rc_nadpis">
                    <?= Ron\TextManager::_('RC'); ?>:
                </span>                
                <span>
                    <?= Ron\StringUtils::htmlTextConvert($zamestnanec->rc); ?>
                </span>
            </div>
            -->
        </div>        
        <div id="detailosoby_foto">
            <?php if ($zamestnanec->idFotografie) { ?>
                <img src='download.php?fotoid=<?= $zamestnanec->idFotografie ?>'>
            <?php } ?>
        </div>        
    </div>
    <div id="detailosoby_rozsirene">
        <div id="detailosoby_zalozky">
            <?php 
                foreach ($zalozky as $zalozka) { /*. ($zamestnanec->idPP ? 'idpp='.$zamestnanec->idPP : 'rc='.$zamestnanec->rc)*/
                    //echo "<a href='?session@section=" . $zalozka['section'] . '&' . $defaultQueryString .  "'>" . $zalozka['text'] . "</a><br />";
                    if ($zalozka['view'] or $zalozka['edit']) {
            ?>
                    <a href='?<?= $defaultQueryString ?>#detailosoby_<?= $zalozka['section'] ?>'><?= $zalozka['text'] ?></a><br />
            <?php                            
                    }
                }
            ?>
        </div>
        <div id="detailosoby_obsah">
            <?php 
                foreach ($zalozky as $zalozka) { 
                    if ($zalozka['view'] or $zalozka['edit']) {
            ?>
            <div class="detailosoby_sekce" id="detailosoby_<?= $zalozka['section'] ?>" data-zobrazit="<?= 
                    ($aktualniSekce && ($aktualniSekce == $zalozka['section']) && $zalozka['edit']) ? 1 : $_SESSION['detailosoby_'.$zalozka['section']] ?>">
                <div>
                    <span class="nadpis"><?= $zalozka['text']?></span>
                    <span class="links">
                        <?php if ($zalozka['edit']) { ?>
                            <a href='?<?= $defaultQueryString ?>&session@action=edit&session@section=<?= $zalozka['section'] ?>#detailosoby_<?= $zalozka['section'] ?>'><?= \Ron\ronText('Editovat') ?></a>
                        <?php } ?>    
                        &nbsp;
                        <a class="detailosoby_zobrazeni_sekce" href="#"><?= 
                            (($aktualniSekce && ($aktualniSekce == $zalozka['section']) && $zalozka['edit']) ? 1 : $_SESSION['detailosoby_'.$zalozka['section']]) ? \Ron\ronText('Skryt') : \Ron\ronText('Zobrazit'); ?></a>
                    </span>
                </div>
            <?php
                    if ($aktualniSekce && ($aktualniSekce == $zalozka['section']) && $zalozka['edit']) {
                        \Ron\MessageManager::getInstance()->showMessages();
                        include('pracovnipomery/view_' . $zalozka['section'] . '_edit.php');
                    }
                    elseif ($zalozka['view']) {    
                        include('pracovnipomery/view_' . $zalozka['section'] . '.php');
                    }
                    //echo "<a href='?session@section=" . $zalozka['section'] . '&' . $defaultQueryString .  "'>" . $zalozka['text'] . "</a></br>";
            ?>
            </div>
            <?php
                    } //muze zobrazit nebo editovat sekci
                }
            ?>
        </div>
    </div>    
</div>

<script type="text/javascript">zamestnanci.nastavSkryvaniSekci();</script>
