<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  11.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;

$defaultQueryString = Ron\MVC\Model::getInstance()['ron@defaultQueryString'];

$comboTypOsoby = Ron\MVC\Model::getInstance()['comboTypOsoby'];
$comboTypPP = Ron\MVC\Model::getInstance()['comboTypPP'];

/* @var $zamestnanec Zamestnanec */
$zamestnanec = Ron\MVC\Model::getInstance()['zamestnanec'];

$browser = $_SESSION['Ron.Zamestnanci.Browser'];

global $STR_Zamestnanec;

?>

<h1><?= $STR_Zamestnanec ?></h1>

<?php 
    \Ron\MessageManager::getInstance()->showMessages(); 
?>

<div id="detailosoby_nova">
    <form name="osobaform" action="?<?= $defaultQueryString ?>" method="POST">
    <input type="hidden" name="formaction" value="insert" />    
    
    <table id="detailosoby_hlavni">
        <tr id="detailosoby_hlavni_rc">
            <td class="formtablecaption required">
                <?= Ron\ronText('RC') ?>
            </td>
            <td id="detailosoby_hlavni_rc_data">
                <input class="app_input ronRC <?= \Ron\MessageManager::getInstance()->isError('RC') ? 'error_back' : ''; ?>"
                       name="RC" maxlength="15" size="15" value="<?= $zamestnanec->rc ?>" type="text" data-ronrc-inputdatename="DatumNarozeni">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_titul">
            <td class="formtablecaption">
                <?= Ron\ronText('Titul') ?>
            </td>
            <td id="detailosoby_hlavni_titul_data">
                <input class="app_input " name="Titul" maxlength="20" size="10" value="<?= $zamestnanec->titul ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_jmeno">
            <td class="formtablecaption">
                <?= Ron\ronText('Jmeno') ?>
            </td>
            <td id="detailosoby_hlavni_jmeno_data">
                <input class="app_input " name="Jmeno" maxlength="30" size="20" value="<?= $zamestnanec->jmeno ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_prijmeni">
            <td class="formtablecaption required">
                <?= Ron\ronText('Prijmeni') ?>
            </td>
            <td id="detailosoby_hlavni_prijmeni_data">
                <input class="app_input <?= \Ron\MessageManager::getInstance()->isError('Prijmeni') ? 'error_back' : ''; ?>" name="Prijmeni" maxlength="30" size="20" value="<?= $zamestnanec->prijmeni ?>" type="text">
            </td>
            <td class="formtablecaption">
                <?= Ron\ronText('TitulZa') ?>
            </td>
            <td id="detailosoby_hlavni_prijmeni_titulza">
                <input class="app_input " name="TitulZa" maxlength="20" size="10" value="<?= $zamestnanec->titulZa ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_datumnarozeni">
            <td class="formtablecaption">
                <?= Ron\ronText('DatumNarozeni') ?>
            </td>
            <td id="detailosoby_hlavni_datumnarozeni_data">
                <input class="app_input inputDate" type="text" name="DatumNarozeni" maxlength="10" size="10" value="<?php $zamestnanec->datumNarozeni
                        ? date('j.n.Y',$zamestnanec->datumNarozeni) : '' ?>"  />
                <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="DatumNarozeni" />
            </td>
        </tr>
        <tr id="detailosoby_ppomer_typosoby">
            <td class="formtablecaption">
                <?= Ron\ronText('TypOsoby') ?>
            </td>
            <td id="detailosoby_ppomer_typosoby_data">
                <?php                
                $comboTypOsoby->render();                
                ?>
            </td>
        </tr>
        <tr id="detailosoby_ppomer_osobnicislo">
            <td class="formtablecaption required">
                <?= Ron\ronText('Osobni_cislo') ?>
            </td>
            <td id="detailosoby_ppomer_osobnicislo_data">
                <input class="app_input <?= \Ron\MessageManager::getInstance()->isError('OsobniCislo') ? 'error_back' : ''; ?>" name="OsobniCislo" maxlength="15" 
                       size="15" value="<?= $zamestnanec->seznamPP[0]->osobniCislo ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_ppomer_datumnastupu">
            <td class="formtablecaption required">
                <?= Ron\ronText('Datum_nastupu') ?>
            </td>
            <td id="detailosoby_ppomer_datumnastupu_data">
                <input class="app_input inputDate <?= \Ron\MessageManager::getInstance()->isError('DatumNastupu') ? 'error_back' : ''; ?>" type="text" name="DatumNastupu"
                       maxlength="10" size="10" value="<?= $zamestnanec->seznamPP[0]->datumNastupu ? date('j.n.Y',$zamestnanec->seznamPP[0]->datumNastupu) : '' ?>"  />
                <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="DatumNastupu" />
            </td>
        </tr>
        <tr id="detailosoby_ppomer_datumukonceni">
            <td class="formtablecaption">
                <?= Ron\ronText('DatumUkonceni') ?>
            </td>
            <td id="detailosoby_ppomer_datumukonceni_data">
                <input class="app_input inputDate" type="text" name="DatumUkonceni" maxlength="10" size="10" 
                       value="<?= $zamestnanec->seznamPP[0]->datumUkonceni ? date('j.n.Y',$zamestnanec->seznamPP[0]->datumUkonceni) : '' ?>"  />
                <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="DatumUkonceni" />
            </td>
        </tr>
        <!--
        <tr id="detailosoby_ppomer_poradovecislo">
            <td class="formtablecaption">
                <?= Ron\ronText('PoradoveCisloPP') ?>
            </td>
            <td id="detailosoby_ppomer_poradovecislo_data">
                <input class="app_input " name="PoradoveCisloPP" maxlength="3" size="5" value="" type="text">
            </td>
        </tr>
        -->
        <tr id="detailosoby_ppomer_typpp">
            <td class="formtablecaption required">
                <?= Ron\ronText('TypPP') ?>
            </td>
            <td id="detailosoby_ppomer_typpp_data" colspan="5">
                <?php                
                $comboTypPP->render();
                ?>
            </td>
        </tr>
        <tr id="detailosoby_ppomer_zpracovat">
            <td class="formtablecaption">
                <?= Ron\ronText('ZpracovatDochazku') ?>
            </td>
            <td id="detailosoby_ppomer_zpracovat_data">
                <input type="checkbox" id="ppomer_zpracovat" name="ZpracovatDochazku" <?= $zamestnanec->seznamPP[0]->zpracovatDochazku ? "checked='checked'" : "" ?> />
            </td>
        </tr>
        <tr id="detailosoby_hlavni_poznamka">
            <td class="formtablecaption">
                <?= Ron\ronText('Poznamka') ?>
            </td>
            <td id="detailosoby_hlavni_poznamka_data" colspan="5">
                <textarea name="Poznamka" class="" cols="60" rows="8" wrap="virtual"><?= Ron\StringUtils::htmlTextConvert($zamestnanec->poznamka) ?></textarea>
            </td>
        </tr>
        <tr id="detailosoby_nova_tlacitka">
            <td class="formtablecaption"></td>
            <td colspan="4">
                <input type="submit" class="submitbutton" value="<?= \Ron\ronText('form.Store') ?>" />
                <input type="reset" class="button" value="<?= \Ron\ronText('form.Original') ?>" />
                <input type="button" class="button" value="<?= \Ron\ronText('Cancel') ?>" onclick="window.location = '?menuid=<?= $browser ?>'" />                                
            </td>
        </tr>
    </table>
</form> 
</div>

