<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;

use Ron\Http\HttpResponse;

class DataOutputObject implements OutputObject
{
    /** @var string */
    public $data;

    public $fileName;

    /** @var ?string Umoznuje doplnit nebo prepsat headery */
    public $headers;

    public $charset;

    /**
     * StringOutputObject constructor.
     * @param string $data
     * @param string $fileName
     * @param string [$charset]
     */
    public function __construct($data, $fileName = 'output.txt', $charset = null)
    {
        $this ->data = $data;
        $this ->fileName = $fileName;
        $this ->headers = [];
        $this ->charset = $charset;
    }


    public function addHeader($name, $value)
    {
        $this ->headers[$name] = $value;
    }


    public function output()
    {
        HttpResponse::getInstance() ->getHeaders() ->addHeadersForContent( $this ->fileName, strlen($this ->data), $this ->charset );

        foreach ($this ->headers as $name => $value) {
            HttpResponse::getInstance() ->getHeaders() ->setHeader($name, $value);
        }

        HttpResponse::renderHeaders();

        echo $this ->data;
    }
}
