<?php
/**
 * stanislav.elbl, 27.10.2015
 */

namespace Ron\Controls;

use Ron\Http\App;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\TextManager;

/** @var Preferences $preferences */
$preferences = Model::getInstance() ->getData('preferences');
/** @var Preferences[] $preferencesList */
$preferencesList = Model::getInstance() ->getData('preferencesList');


?>
<h1><?= TextManager::_('nastaveni_portalu') ?></h1>

<?php MessageManager::getInstance() ->showMessages(); ?>

<div class="d-flex no-flex-wrap">
    <div class="preferences_tabs flex-grow-0 margin-right-2">
        <ul class="list-unstyled list-padding no-wrap">
        <?php
            $lastCategory = null;
            foreach($preferencesList as $pref) { ?>
                <?php if ($pref ->category  &&  $lastCategory != $pref ->category) { $lastCategory = $pref ->category; ?>
                    <li class="form-section margin-top padding-left"><?= TextManager::_($pref ->category) ?></li>
                <?php } ?>
                <li <?= (isset($_GET['tab']) && ($pref ->name == $_GET['tab'])) ? 'class="active font-weight-bold"' : '' ?>>
                    <a href="?menuid=nastaveniportalu&tab=<?= $pref ->name ?>"><?= TextManager::_($pref ->caption) ?></a>
                    <?= App::getDebugMode() ? " ({$pref ->index})" : '' ?>
                </li>
        <?php } ?>
        </ul>
    </div>

    <div class="preferences_form flex-grow-1">
        <h2><?= TextManager::_($preferences ->caption) ?></h2>

        <form method="post" action="?menuid=nastaveniportalu">
            <input type="hidden" name="preferencesName" value="<?= $preferences ->name ?>" />

            <table class="preferences">
                <?php $preferences ->renderItems(); ?>
            </table>

            <input type="submit" value="<?= TextManager::_('form.Store') ?>" class="submitbutton"/>
        </form>
    </div>
</div>
