<?php
/**
 * stanislav.elbl, 24.02.2021
 */

namespace RonPortal\Admin;

use Ron\EMail;
use Ron\MailManager;
use Ron\MessageManager;
use Ron\MVC\BaseViewObject;
use Ron\MVC\HttpController;
use Ron\StringUtils;
use RonPortal\Prava;


class EmailTestController extends HttpController
{
    function sendMail()
    {
        $email = new EMail();
        $email ->to = $_POST['prijemce'];
        $email ->copyTo = $_POST['kopie'];
        $email ->from = $_POST['odesilatel'];
        $email ->subject = $_POST['predmet'];
        $email ->text = $_POST['text'];

        MessageManager::addInfoMessage(StringUtils::fromUTF8('Odesílatel: ') . $email ->from);
        MessageManager::addInfoMessage(StringUtils::fromUTF8('Příjemce: ') . $email ->to);
        MessageManager::addInfoMessage(StringUtils::fromUTF8('Kopie: ') . $email ->copyTo);
        MessageManager::addInfoMessage(StringUtils::fromUTF8('Předmět: ') . $email ->subject);
        MessageManager::addInfoMessage('Text:');
        MessageManager::addInfoMessage($email ->text);

        try {
            MailManager::sendMail($email);
            MessageManager::addInfoMessage("Odeslani emailu probehlo v poradku");
        } catch (\Exception $e) {
            MessageManager::addErrorMessage('Pri odesilani emailu doslo k chybe');
            MessageManager::addErrorMessage($e ->getMessage());
        }
    }


    public function handleAction($action)
    {
        if (isset($_POST['sendtestemail'])  &&  $_POST['sendtestemail']) {
            $this ->sendMail();
        }

        if (Prava::vratHodnotuPrava('admin') != 3) {
            throw new \Exception(StringUtils::fromUTF8('Pro zvolenou akci nemáte právo! Právo pro administraci musí být nastaveno na hodnotu "Vše".'));
        }

        return new BaseViewObject('view/emailtestview.php');
    }
}
