<?php
/** UTF8
 * Pavel Rudol, RON Software
 * 28.1.2015
 */

namespace RonPortal\Common;

use Exception;
use Ron\Controls\FormField;
use Ron\Controls\FormRowArray;
use Ron\DateUtils;
use Ron\DB\Database;
use Ron\DB\SqlStatement;
use Ron\MessageManager;
use Ron\TextManager;
use RonPortal\Controls\RonPortalForm;
use RonPortal\Controls\UserLoginFormField;
use RonPortal\Controls\UserRCFormField;
use RonPortal\Kapacity\KapacitySettings;
use RonPortal\NeniPravoException;
use RonPortal\Prava;
use RonPortal\RonPortalDBRecord;
use RonPortal\RonPortalSettings;
use RonPortal\User;


//class VyberRozdeleniField extends RozdeleniFormField
//{
//    /** @var  PravaNaOsoby */
//    private $rozdeleniPK;
//
//    function __construct($typRozdeleni, $prava, $fieldname, $rozdeleniPK)
//    {
//        parent::__construct($typRozdeleni);
//        $this->prava = $prava;
//
//        $this->fieldType = "select";
//        $this->fieldName = $fieldname;
//        $this->sqlFieldName = $fieldname;
//        $this->required = true;
//        $this->maxLength = 30;
//
//        $this->rozdeleniPK = $rozdeleniPK;
//
//        $this->caption = ronText('rozdeleni');
//    }
//
//
//    /**
//     * @param Database $database
//     * @param mixed $value
//     * @param bool $canEdit
//     * @param bool $insert
//     * @param array $rowData
//     * @throws Exception
//     * @throws DBException
//     */
//    function showFieldContent($database, $value, $canEdit, $insert, $rowData)
//    {
//        parent::showFieldContent($database, $value, $canEdit, $insert, $rowData);
//
//        return;
//
//        if ($canEdit) {
//            $params = $database->createParameters();
//
//            $sql =
//                'SELECT DISTINCT Rozdeleni.Kod, Rozdeleni.Popis, Rozdeleni.cssClass '.
//                ' FROM Rozdeleni'.
//                ' WHERE Rozdeleni.KodTypuRozdeleni = '. $params->addParameter($this->kodTypuRozdeleni) .
//                ' AND (Rozdeleni.DatumZruseni >= ' . $params->addParameter($database->timestampToParam(time())) . ' OR Rozdeleni.DatumZruseni IS NULL)' ;
//
//            //dle nastaveni misto podminky na prava je pouzito rozdeleni z planovani kapacit - kapacity_typrozdeleni
//            if (RonPortalSettings::getIntValue('pd_pouzit_rozdeleni_kapacity') && (isset($this->rozdeleniPK))) {
//                $params = $database->createParameters();
//
//                $sql =
//                    'SELECT DISTINCT Rozdeleni.Kod, Rozdeleni.Popis, Rozdeleni.cssClass '.
//                    'FROM Rozdeleni JOIN PlanovaniKapacit ON (PlanovaniKapacit.Rozdeleni = Rozdeleni.Kod) '.
//                    'WHERE Rozdeleni.KodTypuRozdeleni = '. $params->addParameter($this->kodTypuRozdeleni) .
//                    '  AND (Rozdeleni.DatumZruseni >= ' . $params->addParameter($database->timestampToParam(time())) . ' OR Rozdeleni.DatumZruseni IS NULL)' .
//                    '  AND PlanovaniKapacit.KodTypuRozdeleni = ' . $params->addParameter(RonPortalSettings::getIntValue(KapacitySettings::KAPACITY_TYP_ROZDELENI))  .
//                    '  AND PlanovaniKapacit.RC = ' . $params->addParameter(User::getRC())  .
//                    '  AND PlanovaniKapacit.Datum = ' . $params->addParameter($database->timestampToParam(DateUtils::startOfTheDay(time())));
//            }
//            else {
//                $sql .= '  AND (' . $this->prava->sqlfiltrRozdeleni(time(), time()) . ')';
//            }
//
//            $sql .= " AND (cssClass IS NULL  OR  cssClass <> 'hidden') ";
//
//            MessageManager::addDebugLog('Combo vyber rozdeleni: ' . $sql);
//
////Combo uzavrena do regionu
////<editor-fold desc="Combo 1">
//            $combo = new ComboBox($this->fieldName);
//            $combo ->alwaysShowSelected = isset($value) && $value != '';
//            $combo ->cssClassIndex = 2;
//            $combo ->captionIndex = 0;
//            $combo ->keyIndex = 0;
//            $combo ->loadData($database, $sql.' ORDER BY Kod', $value, $params);
//            $combo ->emptyRow = (isset($value) && $value != ''  &&  $this->required) ? null : ' ';
//            $combo ->className .= ' col1';
//            $combo ->htmlParams = "id='{$this->fieldName}_kod' OnChange='ComboBoxChange(this, ".'"'.$this->fieldName.'_nazev"'.")'";
//            $combo ->render();
////</editor-fold>
////<editor-fold desc="Combo 2">
//            $combo = new ComboBox($this->fieldName.'_nazev');
//            $combo ->alwaysShowSelected = isset($value) && $value != '';
//            $combo ->cssClassIndex = 2;
//            $combo ->captionIndex = 1;
//            $combo ->keyIndex = 0;
//            $combo ->loadData($database, $sql.' ORDER BY Popis', $value, $params);
//            $combo ->emptyRow = (isset($value) && $value != ''  &&  $this->required) ? null : ' ';
//            $combo ->className .= ' col23';
//            $combo ->htmlParams = "id='{$this->fieldName}_popis' OnChange='ComboBoxChange(this, ".'"'.$this->fieldName.'"'.")'";
//            $combo ->render();
////</editor-fold>
//
//        } else {
//            $rozdeleni =  new Rozdeleni();
//            $rozdeleni->load($database, $this->kodTypuRozdeleni, $value);
//            echo '<INPUT type="hidden" name="' . $this->fieldName . '" value="' . $rozdeleni->kod . '" />';
//            echo StringUtils::htmlTextConvert($rozdeleni->popis) . "\n";
//        }
//    }
//
//    function createDBRecordField($connection, $tablename, $insert, $utf8 = false)
//    {
//        $field = new DBRecordField($this->fieldName, $this->fieldType, $this->readOnly, $this->maxLength);
//        $field->value = $this ->getPostValue($utf8);
//
//        return $field;
//    }
//}

// ----------------------------------------------------------------------------
class ProvozniDenikFormular extends RonPortalForm
{
    const XML_EVENT_BEFORE = 'PROVOZNI_DENIK_BEFORE';
    const XML_EVENT_AFTER = 'PROVOZNI_DENIK_AFTER';

    var $prava;
    var $rozdeleniPK;

    /**
     * ProvozniDenikFormular constructor.
     * @param Database $database
     */
    function __construct($database)
    {
        parent::__construct($database);

        $this->rozdeleniPK = '';

        if (RonPortalSettings::getIntValue('pd_pouzit_rozdeleni_kapacity')) {
            try {
                $this->rozdeleniPK = ProvozniDenikController::vratRozdeleniPlanovaniKapacit($database, User::getRC(), time());
            } catch (Exception $e) {
                $this->rozdeleniPK = null;
                MessageManager::addInfoMessage($e->getMessage());
            }
        }

        $this->prava = Prava::vratPrava('pr_denik_write');
        Prava::nastavObdobiProPrava(time(),time());
        $this ->htmlAction = '?menuid=provoznidenik&action=denikform';
        $this ->stornoAction = '?menuid=provoznidenik';
        
        if (!$this->formAction != 'edit') {
            $this ->title = TextManager::_('nova_udalost');
        } else {
            $this ->title = TextManager::_('editace_udalosti');
        }

        $this ->xmlEventBeforePost = self::XML_EVENT_BEFORE;
        $this ->xmlEventAfterPost = self::XML_EVENT_AFTER;

        $this ->sqlTableName = 'ProvozniDenik';

//        $this->sqlSelectPart =
//            'ProvozniDenik.ID, ProvozniDenik.DatumCas, ProvozniDenik.Popis, ProvozniDenik.TypUdalosti, '. // 0 - 3
//            'ProvozniDenik.KodTypuRozdeleni, ProvozniDenik.KodRozdeleni, ProvozniDenik.RC, ' . $database->castWideMemo('ProvozniDenik.Poznamka') . ', '. // 4 - 7
//            'ProvozniDenik.Insert_UserName, ProvozniDenik.Insert_Timestamp, ProvozniDenik.Update_UserName, ProvozniDenik.Update_Timestamp'; //8 - 11

        $this->addField(FormField::FIELD_TYPE_ID)
            ->setFieldName('Id') ->setPrimary(true);
            //[FORM_FIELD_TYPE => FORM_FIELD_TYPE_ID, FORM_FIELD_NAME => 'ID', FORM_FIELD_PRIMARY => true, FORM_FIELD_SQL_INDEX => 0 ]);

        $this ->addField(new UserRCFormField('RC'))
            ->setCode('field-rc');

        $this->addField(FormField::FIELD_TYPE_ACTUAL_TIME)
            ->setSqlFieldName('DatumCas')
            ->setReadOnly(true)
            ->setCode('field-datumcas');
            //[ FORM_FIELD_TYPE => FORM_FIELD_TYPE_ACTUAL_TIME, FORM_FIELD_SQL_NAME => 'DatumCas',  FORM_FIELD_NAME => 'DatumCas', FORM_FIELD_EDIT => false ]);

        //$this->addField(new TypRozdeleniField('kodTypuRozdeleni', $this->prava->typRozdeleni, true));
        $this->addField(FormField::FIELD_TYPE_CONSTANT)
            ->setSqlFieldName('kodTypuRozdeleni') ->setReadOnly(false) ->setDataType('int')
            ->setDefaultValue($this->prava->typRozdeleni)
            ->setCode('field-kodtypurozdeleni');

//        $this ->addField(new VyberRozdeleniField(
//            (RonPortalSettings::getIntValue('pd_pouzit_rozdeleni_kapacity') && isset($this->rozdeleniPK))
//                ? RonPortalSettings::getIntValue(KapacitySettings::KAPACITY_TYP_ROZDELENI)
//                :  $this->prava->typRozdeleni,
//            $this->prava, 'kodRozdeleni', $this->rozdeleniPK))
//            ->setCode('field-kodrozdeleni');

        $typRozdeleni = (RonPortalSettings::getIntValue('pd_pouzit_rozdeleni_kapacity') && isset($this->rozdeleniPK))
                ? RonPortalSettings::getIntValue(KapacitySettings::KAPACITY_TYP_ROZDELENI)
                :  $this->prava->typRozdeleni;

        if ($typRozdeleni) {
            $params = $this ->database ->createParameters();

            //dle nastaveni misto podminky na prava je pouzito rozdeleni z planovani kapacit - kapacity_typrozdeleni
            if (RonPortalSettings::getIntValue('pd_pouzit_rozdeleni_kapacity') && (isset($this->rozdeleniPK))) {
                $sql =
                    'SELECT DISTINCT Rozdeleni.Kod, Rozdeleni.Popis, Rozdeleni.cssClass '.
                    'FROM Rozdeleni JOIN PlanovaniKapacit ON (PlanovaniKapacit.Rozdeleni = Rozdeleni.Kod) '.
                    'WHERE Rozdeleni.KodTypuRozdeleni = '. $params->addParameter($typRozdeleni) .
                    '  AND (Rozdeleni.DatumZruseni >= ' . $params->addDateParameter(time()) . ' OR Rozdeleni.DatumZruseni IS NULL)' .
                    '  AND PlanovaniKapacit.KodTypuRozdeleni = ' . $params->addParameter(RonPortalSettings::getIntValue(KapacitySettings::KAPACITY_TYP_ROZDELENI))  .
                    '  AND PlanovaniKapacit.RC = ' . $params->addParameter(User::getRC())  .
                    '  AND PlanovaniKapacit.Datum = ' . $params->addDateParameter(DateUtils::startOfTheDay(time()));
            }
            else {
                $sql =
                    'SELECT DISTINCT Rozdeleni.Kod, Rozdeleni.Popis, Rozdeleni.cssClass '.
                    ' FROM Rozdeleni'.
                    ' WHERE Rozdeleni.KodTypuRozdeleni = '. $params->addParameter($typRozdeleni) .
                    ' AND (Rozdeleni.DatumZruseni >= ' . $params->addDateParameter(time()) . ' OR Rozdeleni.DatumZruseni IS NULL)' .
                    ' AND (' . $this->prava->sqlfiltrRozdeleni(time(), time(), $params) . ')';
            }

            $sql .=
                " AND (cssClass IS NULL  OR  cssClass <> 'hidden') " .
                " AND (%FILTER%)".
                " ORDER BY %ORDER%";

            MessageManager::addDebugLog('Combo vyber rozdeleni: ' . $sql);

            $this->addField(FormField::FIELD_TYPE_SELECT)
                ->setFieldName('KodRozdeleni')->setTableName('ProvozniDenik')
                ->setCode('field-kodrozdeleni')
                ->setCaption(TextManager::_('rozdeleni'))->setShowEmptyValue(true)
                ->setRequired(true)
                ->setFieldId('provoznidenik_rozdeleni')
                ->setFieldCssClass('form-control ronselect')
                ->setOtherHtmlParams('data-columns="text;value"')
                ->setSelectSql(
                    new SqlStatement(
                        $sql,
                        $params
                    ),
                    '1 = 1', 'Popis'
                );
        }

        $this->addField(FormField::FIELD_TYPE_SELECT)
            ->setFieldName('TypUdalosti') ->setCaption('popis_typu_udalosti') ->setRequired(true)
            ->setCode('field-typudalosti')
            ->setSelectSql('SELECT Kod, Popis FROM TypUdalostiPD WHERE %FILTER% ORDER BY %ORDER%', 'Aktivni = 1', 'Popis');

        $this ->addField()
            ->setFieldName('Popis') ->setCaption('Popis')
            ->setCode('field-popis')
            ->setFieldId('pd_f_popis');

        $this->addField(FormField::FIELD_TYPE_MEMO)
            ->setFieldName('Poznamka') ->setCaption('text_cinnosti')
            ->setCode('field-poznamka');

        $this->addField(FormField::FIELD_TYPE_ACTUAL_TIME)
            ->setFieldName('Insert_Timestamp') ->setReadOnly(true)
            ->setCode('field-insert_timestamp');

        $this ->addField(new UserLoginFormField(true)); // Insert_UserName

        $this->addField(FormField::FIELD_TYPE_ACTUAL_TIME)
            ->setFieldName('Update_Timestamp') ->setUpdateLog(true)
            ->setCode('field-update_timestamp');

        $this ->addField(new UserLoginFormField(false)); // Update_UserName
    }

    /**
     *
     * @param RonPortalDBRecord $rec
     * @return bool
     * @throws Exception
     */
    function beforeInsertRecord($rec)
    {
        if (!($this->prava->jsouNejakePrava()
            && (($this->prava->lzeZobrazitRC($rec['RC'], time(), time()))
            && (($this->prava->jePravoNaRozdeleni($this->prava->typRozdeleni,$rec['KodRozdeleni'])) || ($rec['KodRozdeleni'] == $this->rozdeleniPK))
               )
        ))
        {
            //throw new \Exception(\Ron\ronText('Nemate_pravo'));
            return false;
        }

        return parent::beforeInsertRecord($rec);
    }

    /**
     * @param RonPortalDBRecord $rec
     * @return bool
     * @throws Exception
     */
    function beforeUpdateRecord($rec)
    {   
        if (!($this->prava->priznak
            && (($this->prava->priznak2 == 0) || ($rec['DatumCas']->originalvalue > DateUtils::incMinute(time(),- $this->prava->priznak2)))
            && (($this->prava->lzeZobrazitRC($rec['RC']->originalValue, time(), time()))
            && (($this->prava->jePravoNaRozdeleni($this->prava->typRozdeleni,$rec['KodRozdeleni']->originalValue))) || ($rec['KodRozdeleni']->originalValue == $this->rozdeleniPK))
                ))
        {
            throw new NeniPravoException();
        }

        return parent::beforeUpdateRecord($rec);
    }

    /**
     * @param RonPortalDBRecord $rec
     * @return bool
     */
    function afterInsertRecord($rec) {
        $_SESSION['typUdalostiPD'] = $rec['TypUdalosti'];
        return parent::afterInsertRecord($rec);
    }

    /**
     * @param RonPortalDBRecord $rec
     * @return bool
     */
    function afterUpdateRecord( $rec) {
        $_SESSION['typUdalostiPD'] = $rec['TypUdalosti'];
        return parent::afterUpdateRecord($rec);
    }

    /**
     * @param FormRowArray $dbrow
     * @return bool
     * @throws Exception
     */
    function canEditRecord( $dbrow)
    {
        return
            $this->prava->priznak
            && (($this->prava->priznak2 == 0) || ($dbrow['field-datumcas'] > DateUtils::incMinute(time(),- $this->prava->priznak2)))
            && ( ($this->prava->lzeZobrazitRC($dbrow['field-rc'], time(), time())) && (($this->prava->jePravoNaRozdeleni($this->prava->typRozdeleni,$dbrow['field-kodrozdeleni'])) || ($dbrow['field-kodrozdeleni'] == $this->rozdeleniPK)));
    }
}
