<?php
/**
 * stanislav.elbl, 01.11.2015
 * szablatura.roman 10.10.2016
 */

namespace RonPortal\Common;

use Exception;
use Ron\DateUtils;
use Ron\DB\Database;
use Ron\DB\DBException;
use RonPortal\User;


class Ukol
{
    public $kodSerial;
    /** @var array Pole definovane dovednosti */

    public $typUkolu;
    public $stavUkolu;

    public $zkracenyPopis;
    public $podrobnyPopis;

    public $kategorie;
    public $popisVazbyNaOsobu;

    public $RC_Osoby;
    public $osoba_Jmeno;

    public $vazanaOsobaJmeno;
    public $vazanaOsobaPrijmeni;

    public $hodnotitel;
    public $datumZadani;
    public $RC_KdoZadal;
    public $kdoZadal_Jmeno;

    public $termin;
    public $datumSplneni;
    public $poznamkaKeSplneni;

    public $prekazka;
    public $datumZapisuPrekazky;
    public $poznamkaKPrekazce;
    public $datumOdstraneniPrekazky;

    // hodnoceni
    public $RC_Hodnotitele_Def;
    public $kdoHodnotil_Jmeno;
    public $pocetBodu_Maximalni;
    public $pocetBodu_Dosazeny;
    public $procenta_Dosazenych;
    public $popisHodnoceni;
    public $hodnoceno;
    public $datumHodnoceni;
    public $podrobnaPoznamkaKHodnoceni;

    // schvaleni
    public $schvalovatel1_Def;
    public $schvalovatel2_Def;

    public $schvalil_1_uroven;
    public $Schvaleno1;
    public $CasSchvaleni1;

    public $schvalil_2_uroven;
    public $Schvaleno2;
    public $CasSchvaleni2;

    public $RC_schvalovatele1_Def;
    public $Schvaleno1_Uzivatel;
    public $RC_schvalovatele2_Def;
    public $Schvaleno2_Uzivatel;

    public $navrzenaOdmena;
    public $skutecnaOdmena;

    public $RC_Vlozil;

    /**
     * nacte zadany ukol. pokud je opakovany, tak nacte take prvni nesplneny termin a pokud takovy neni, tak posledni splneny termin
     * @param Database $database
     * @param int $kodSerial
     * @throws Exception
     */
    function load($database, $kodSerial)
    {
        $kodSerial = (int)$kodSerial;

        $params = $database ->createParameters();

        $sql =
            'SELECT UkolOsoby.RC_Osoby, Resitel.Jmeno, Resitel.Prijmeni, Resitel.Titul,' . // 0 - 3
            '  UkolOsoby.RC_KdoZadal, Zadavatel.Jmeno, Zadavatel.Prijmeni, Zadavatel.Titul,' . // 4 - 7
            '  UkolOsoby.DatumZadani, UkolOsoby.ZkracenyPopis, ' . $database ->castWideMemo('UkolOsoby.PodrobnyPopis') . ',' . // 8 - 10
            '  UkolOsoby.KodKategorieUkolu,' . // 11
            // splneni
            '  UkolOsoby.DatumSplneni_Narizene, UkolOsoby.DatumSplneni_Skutecne, ' . $database ->castWideMemo('UkolOsoby.PoznamkaKeSplneni') . ',' . // 12 - 14
            // prekazka
            '  UkolOsoby.Prekazka, UkolOsoby.DatumZapisuPrekazky, ' . $database ->castWideMemo('UkolOsoby.PoznamkaKPrekazce') . ', UkolOsoby.DatumOdstraneniPrekazky,' . // 15 - 18
            // hodnoceni
            '  UkolOsoby.PocetBodu_Maximalni, UkolOsoby.PocetBodu_Dosazeny, ' . $database ->castWideMemo('UkolOsoby.PodrobnyPopisHodnoceni') . ',' .// 19 - 21
            '  NULL,' .     //22
            // schvaleni
            '  UkolOsoby.RC_Schvalovatele1_Def, UkolOsoby.RC_Schvalovatele2_Def, UkolOsoby.RC_Schvalovatele1, UkolOsoby.Schvaleno1,' .     //23 - 26
            '  UkolOsoby.Schvaleno1_Uzivatel, UkolOsoby.CasSchvaleni1, UkolOsoby.RC_Schvalovatele2, UkolOsoby.Schvaleno2,' .       //27 - 30
            '  UkolOsoby.Schvaleno2_Uzivatel, UkolOsoby.CasSchvaleni2,' .  //31 - 32
            '  KategorieUkolu.popis, KategorieUkolu.VazbaNaOsobu, KategorieUkolu.PopisVazbyNaOsobu,' .      //33 - 35
            '  VazanaOsoba.Jmeno, VazanaOsoba.Prijmeni, UkolOsoby.RC_KdoHodnotil,' .      //36 - 38
            "  COALESCE(Hodnotitel.Titul {fn_concat()} ' ', '') {fn_concat()} COALESCE(Hodnotitel.Jmeno {fn_concat()} ' ', '') {fn_concat()} COALESCE(Hodnotitel.Prijmeni, '')," .      //39
            "  COALESCE(Schvalovatel_1_Def.Titul {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalovatel_1_Def.Jmeno {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalovatel_1_Def.Prijmeni, '')," .      //40
            "  COALESCE(Schvalovatel_2_Def.Titul {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalovatel_2_Def.Jmeno {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalovatel_2_Def.Prijmeni, '')," .      //41
            '  UkolOsoby.StavUkolu,' .   //42
            "  COALESCE(Schvalil1_uroven.Titul {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalil1_uroven.Jmeno {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalil1_uroven.Prijmeni, '')," .      //43
            "  COALESCE(Schvalil2_uroven.Titul {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalil2_uroven.Jmeno {fn_concat()} ' ', '') {fn_concat()} COALESCE(Schvalil2_uroven.Prijmeni, '')," .      //44
            "  COALESCE(KdoHodnotil.Titul {fn_concat()} ' ', '') {fn_concat()} COALESCE(KdoHodnotil.Jmeno {fn_concat()} ' ', '') {fn_concat()} COALESCE(KdoHodnotil.Prijmeni, '')," .      //45
            '  UkolOsoby.Hodnoceno, UkolOsoby.PodrobnyPopisHodnoceni, UkolOsoby.RC_Hodnotitele_Def, UkolOsoby.CasHodnoceni, UkolOsoby.RC_Vlozil' .      //46 - 50

            ' FROM UkolOsoby ' .
            '  LEFT JOIN Osoba Resitel ON (Resitel.RC = UkolOsoby.RC_Osoby)' .
            '  LEFT JOIN Osoba Zadavatel ON (Zadavatel.RC = UkolOsoby.RC_KdoZadal)' .
            '  LEFT JOIN KategorieUkolu ON (KategorieUkolu.Kod = UkolOsoby.KodKategorieUkolu)' .
            '  LEFT JOIN Osoba VazanaOsoba ON (UkolOsoby.RC_OsobaUkolu = VazanaOsoba.RC)' .
            '  LEFT JOIN Osoba Hodnotitel ON (UkolOsoby.RC_Hodnotitele_Def = Hodnotitel.RC)' .
            '  LEFT JOIN Osoba Schvalovatel_1_Def ON (UkolOsoby.RC_Schvalovatele1_Def = Schvalovatel_1_Def.RC)' .
            '  LEFT JOIN Osoba Schvalovatel_2_Def ON (UkolOsoby.RC_Schvalovatele2_Def = Schvalovatel_2_Def.RC)' .
            '  LEFT JOIN Osoba Schvalil1_uroven ON (UkolOsoby.RC_Schvalovatele1 = Schvalil1_uroven.RC)' .
            '  LEFT JOIN Osoba Schvalil2_uroven ON (UkolOsoby.RC_Schvalovatele2 = Schvalil2_uroven.RC)' .
            '  LEFT JOIN Osoba KdoHodnotil ON (UkolOsoby.RC_KdoHodnotil = KdoHodnotil.RC)' .

            ' WHERE UkolOsoby.KodSerial = ' . $params ->addParameter((int)$kodSerial);

        $cursor = $database ->getSqlResult($sql, $params);

        if (!$row = $cursor ->fetch()) {
            throw new Exception('Chyba: Zadany zaznam neexistuje!');
        }

        $cursor ->close();

        $this->kodSerial = $kodSerial;
        $this->zkracenyPopis = $row[9];
        $this->podrobnyPopis = $row[10];
        $this->kategorie = $row[11];

        $this->RC_Osoby = $row[0];
        $this->osoba_Jmeno = ($row[3] ? $row[3] . ' ' : '') . $row[1] . ' ' . $row[2];
        $this->RC_KdoZadal = $row[4];
        $this->kdoZadal_Jmeno = ($row[7] ? $row[7] . ' ' : '') . $row[5] . ' ' . $row[6];

        $this->datumZadani = $database ->stringToTimestamp($row[8]);
        $this->termin = $database ->stringToTimestamp($row[12]);
        $this->datumSplneni = $database ->stringToTimestamp($row[13]);
        $this->poznamkaKeSplneni = $row[14];

        $this->prekazka = $row[15] ? 1 : 0;
        $this->datumZapisuPrekazky = $database ->stringToTimestamp($row[16]);
        $this->poznamkaKPrekazce = $row[17];
        $this->datumOdstraneniPrekazky = $database ->stringToTimestamp($row[18]);
        $this->RC_schvalovatele1_Def = $row[23];
        $this->RC_schvalovatele2_Def = $row[24];
        $this->Schvaleno1 = $row[26];
        $this->Schvaleno1_Uzivatel = $row[27];
        $this->CasSchvaleni1 = $database->stringToTimestamp($row[28]);
        $this->Schvaleno2 = $row[30];
        $this->Schvaleno2_Uzivatel = $row[31];
        $this->CasSchvaleni2 = $database->stringToTimestamp($row[32]);
        $this->typUkolu = $row[33];
        $this->popisVazbyNaOsobu = $row[35];
        $this->vazanaOsobaJmeno = $row[36];
        $this->vazanaOsobaPrijmeni = $row[37];
        $this->hodnotitel = $row[39];
        $this->schvalovatel1_Def = $row[40];
        $this->schvalovatel2_Def = $row[41];
        $this->stavUkolu = (int)$row[42];
        $this->schvalil_1_uroven = $row[43];
        $this->schvalil_2_uroven = $row[44];
        $this->kdoHodnotil_Jmeno = $row[45];
        $this->hodnoceno = $row[46];
        $this->podrobnaPoznamkaKHodnoceni = $row[47];
        $this->RC_Hodnotitele_Def = $row[48];
        $this->datumHodnoceni = $database ->stringToTimestamp($row[49]);

        // hodnoceni
        $this->pocetBodu_Maximalni = $row[19];
        $this->pocetBodu_Dosazeny = $row[20];
        $this->procenta_Dosazenych = ($row[19] != 0 && $row[20] != 0) ? (($row[20]/$row[19])*100) : "";

        $this->RC_Vlozil = $row[50];
    }

    /** Vraci true, pokud je prihlaseny uzivatel prirazen u zvolene kategorie ukolu.
     * @return bool
     * @throws DBException
     */
    public function uzivatelMaPovolenuKategoriiUkolu($database)
    {
        $params = $database->createParameters();

        $sql =
            "SELECT kodKategorieUkolu, RC
             FROM OsobaKategorieUkolu 
             WHERE kodKategorieUkolu = " . $params->addParameter($this->kategorie);

        $cursor = $database->select($sql, $params);

        while ($row = $cursor->fetch()) {
            if (User::hasRC($row[1])) {
                return true;
            }
        }

        return false;
    }
}
