<?php
/**
 * stanislav.elbl, 25.02.2021
 */

namespace RonPortal\Controller;

use Ron\TextManager;
use Ron\MessageManager;
use Ron\DB\Database;
use Ron\MVC\BaseViewObject;
use Ron\MVC\HttpController;
use Ron\MVC\Redirect;
use RonPortal\RonPortalSession;
use RonPortal\User;


class PasswordProtectionController extends HttpController
{
    var $database;

    /**
     * @param Database $database
     */
    function __construct($database)
    {
        $this ->database = $database;
    }


    public static function passwordDialog()
    {
        TextManager::getInstance() ->loadStrings('users.ini');
        return new BaseViewObject('view/password_protection.php');
    }

    public function redirect()
    {
        $urlParams = [];
        parse_str($_SERVER['QUERY_STRING'], $urlParams);

        $newParams = [];

        foreach ($urlParams as $key => $value) {
            if ($key == 'menuid') {
                // ignoruje (melo by byt "protected")
            } else if ($key == 'targetmenuid') {
                $newParams['menuid'] = $value;
            } else {
                $newParams[$key] = $value;
            }
        }

        return new Redirect(null, '?' .http_build_query($newParams));
    }

    function checkPassword()
    {
        try {
            if (LoginController::overHeslo($this->database, User::getLoginName(), $_POST['password'])) {
                // OK
                RonPortalSession::setValue(RonPortalSession::SESSION_PASSWORD_PROTECTION_TIMESTAMP, time());
                return $this ->redirect();
            }

            sleep(3);
            MessageManager::addErrorMessage( TextManager::_('Bad_password') );
        } catch (\Exception $e) {
            MessageManager::addErrorMessage($e);
        }

        return self::passwordDialog();
    }


    public function handleAction($action)
    {
        TextManager::getInstance() ->loadStrings('users.ini');

        if (isset($_POST['password'])) return $this ->checkPassword();
        return self::passwordDialog();
    }
}
