<?php
/**
 * stanislav.elbl, 09.03.2021
 */

namespace RonPortal\Controls;

use Ron\Controls\BrowserField;
use Ron\DB\Database;
use Ron\DB\DBException;

/**
 * Class OsobniCisloBrowserField
 * @package RonPortal\Controls
 */
class OsobniCisloBrowserField extends BrowserField
{

    private $rcFieldIndex;

    /** Pro personalni agendy doplni sloupec s osobnimi cisly platnych pracovnich pomeru osoby.
     * OsobniCisloField constructor.
     * @param Database $database
     * @param int $rcFieldIndex index RC pole v dotazu
     */
    public function __construct($database, $rcFieldIndex)
    {
        parent::__construct($database);
        $this
            ->setHeaderText('Osobni_cislo')
            ->ordering = 0;

        $this->rcFieldIndex = $rcFieldIndex;
    }

    /**
     * @param mixed $value
     * @param int $rowNumber
     * @param string $recordId
     * @param array $rowData
     * @return string
     * @throws DBException
     */
    public function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        $params = $this->database->createParameters();

        $sql =
            'SELECT OsobniCislo ' .
            ' FROM PracovniPomer ' .
            ' WHERE  RC = ' . $params->addParameter($rowData[$this->rcFieldIndex]) . ' '.
            ' AND DatumNastupu <=' . $params->addParameter($this->database ->dateToParam(time())) .
            ' AND (DatumUkonceni >= ' . $params->addParameter($this->database ->dateToParam(time())) . ' OR DatumUkonceni IS NULL) ' .
            'ORDER BY DatumNastupu';

        $cursor = $this->database->getSqlResult($sql, $params);

        $result = '';

        /** @noinspection PhpAssignmentInConditionInspection */
        while ($row = $cursor->fetch()) {
            $result .= ($result ? ', ' : '') . $row[0]  ;
        }

        return  $result;
    }
}
