<?php
/**
 * stanislav.elbl, 08.03.2021
 */

namespace RonPortal\Controls;

use Ron\Controls\FormField;
use Ron\DB\Database;
use RonPortal\System\Report;

/**
 * Class TiskoveSestavyLekarskeProhlidkyForm
 * @package Ron\Personalistika
 */
class ReportsFormField extends FormField
{
    /** @var string */
    var $downloadUrl;
    /** @var string     Jmeno formulare v seznamu tiskovych sestav */
    public $formName;
    /**
     * @var string     Zacatek jmena sestavy - nepouzivat v novem kodu. Jen pro kompatibilitu starych sestav.
     * @deprecated
     */
    public $nameStart;


    /**
     * @param string $downloadUrl
     * @param $formName
     * @param @deprecated string $deprecated_nameStart
     */
    function __construct($downloadUrl, $formName)
    {
        parent::__construct(self::FIELD_TYPE_TEXT);

        $this ->downloadUrl = $downloadUrl;
        $this ->formName = $formName;
    }


    /**
     * @param string $downloadUrl
     * @return ReportsFormField
     */
    public function setDownloadUrl($downloadUrl)
    {
        $this->downloadUrl = $downloadUrl;
        return $this;
    }

    /**
     * @param string $formName
     * @return ReportsFormField
     */
    public function setFormName($formName)
    {
        $this->formName = $formName;
        return $this;
    }


    /**
     * @param Database $database
     * @param mixed $value
     * @param bool $canEdit
     * @param bool $insert
     * @param array $rowData
     * @throws \Exception
     */
    function showFieldContent($database, $value, $canEdit, $insert, $rowData)
    {
        $params = $this ->getHtmlParams();
        echo "<div $params>";

        $reportList = Report::loadFormReports($database, $this ->formName, $this ->nameStart);
        FormReportsListView::renderReportList($reportList, $this ->downloadUrl);

        echo '</div>';
    }
}
