<?php
/**
 * stanislav.elbl, 21.02.2021
 */

namespace RonPortal\Controls;

use Ron\DB\Database;
use Ron\Controls\BrowserField;
use Ron\TextManager;
use RonPortal\RonPortalSettings;

/**
 * Pole pro zobrazeni kodu a/nebo popisu rozdeleni (podle nastaveni) - data musi byt v SQL dotazu browseru
 */
class RozdeleniBrowserField extends BrowserField
{
    /**
     * @param Database $database
     * @param int $indexKod
     * @param int $indexPopis
     * @param string $fieldCode
     */
    function __construct($database, $indexKod, $indexPopis, $fieldCode = 'col-rozdeleni')
    {
        parent::__construct($database);

        $this->code = $fieldCode;

        $this->header = TextManager::_(RonPortalSettings::getValue(RonPortalSettings::ROZDELENI_ZOBRAZENI_NADPIS) ?: 'Rozdeleni');
        $this->ordering = 1;

        // nastaveni pole pro razeni
        switch (RonPortalSettings::getIntValue(RonPortalSettings::ROZDELENI_ZOBRAZENI_CO_ZOBRAZIT)) {
            case 1 : // jen kod
            case 3 : // kod - popis
                $this ->setSqlFieldName('Rozdeleni.Kod', $indexKod);
                break;

            default :
                $this ->setSqlFieldName('Rozdeleni.Popis', $indexPopis);
        }

        switch (RonPortalSettings::getIntValue(RonPortalSettings::ROZDELENI_ZOBRAZENI_CO_ZOBRAZIT)) {
            case 2 : // popis - kod
                $this ->setSqlFieldIndex2($indexKod);
                break;

            case 3 : // kod - popis
                $this ->setSqlFieldIndex2($indexKod, ' - ');
                break;
        }
    }
}
