<?php
/**
 * stanislav.elbl, 24.02.2021
 */

namespace RonPortal\Dochazka;

use Ron\DB\Database;
use Ron\Http\HtmlHeaders;
use Ron\MVC\Controller;
use Ron\MVC\ViewObject;
use Ron\TextManager;
use RonPortal\RonPortalSettings;

class MesicniVysledkyController implements Controller
{

    /** @var  Database */
    var $database;

    function __construct($database)
    {
        $this ->database = $database;
    }


    function nastaveneVysledky($variantni)
    {
        $b = new MesicniVysledkyBrowser($this ->database, $variantni);
        $b ->load();
        return $b;
    }


    function mesicniVysledky()
    {
        $b = new MesicniVysledkyBrowser1($this->database);
        $b->load();
        return $b;
    }


    function variantniVysledky()
    {
        $b = new VariantniVysledkyBrowser1($this->database);
        $b->load();
        return $b;
    }


    function mesicniVysledkyR()
    {
        $b = new MesicniVysledkyRBrowser($this->database);
        $b->load();
        return $b;
    }



    /**
     * @param string $action
     * @return ViewObject
     */
    public function handleAction($action)
    {
        TextManager::getInstance() ->loadStrings('dochazka.ini');
        HtmlHeaders::getInstance() ->setTitle( TextManager::_('RON_Portal') . ' - ' . TextManager::_('Dochazka_title'));

        switch ($action) {
            case 'mesicnivysledkyr' :
                return $this ->mesicniVysledkyR();
        }

        if ( RonPortalSettings::getIntValue(RonPortalSettings::MESICNI_VYSLEDKY_ZOBRAZIT) ) {
            return $this ->nastaveneVysledky($action == 'variantnivysledky');
        }

        switch ($action) {
            case 'mesicnivysledky' :
                return $this ->mesicniVysledky();

            case 'variantnivysledky' :
                return $this ->variantniVysledky();
        }

        return null;
    }

}
