<?php
/**
 * stanislav.elbl, 23.03.2022 11:10
 */

namespace RonPortal\Dochazka;

use Ron\Controls\LinksList;
use Ron\DateUtils;
use Ron\MessageManager;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Kalendar;

/** @var RocniPrehledView $this */

$columnsCount = $this ->getColumnsCount();
//MessageManager::addErrorMessage("bla");
?>

<h1><?= $this ->title ?></h1>

<div id="absence_prepinani">
    <?php LinksList::renderLinks([
        'planovani' => TextManager::_('Zobrazit_seznam_absenci'),
        'rocniprehled' => TextManager::_('Zobrazit_rocni_prehled')
    ], 'rocniprehled', '?menuid=', '', false); ?>
</div>

<?php  echo $this ->configuration ->getHtmlContent(['head', 'hlavicka']); ?>
<?php $this->configuration ->renderXmlForms('head'); ?>

<?php $this ->filterForm ->render(); ?>

<?php echo $this ->configuration ->getHtmlContent(['top', '']); ?>
<?php $this->configuration ->renderXmlForms('top'); ?>

<div id='rocniPrehled' class='rocniprehled defaultfocus margin-top-2' tabindex='1' data-code="rocniprehled" data-prefix="<?= $this ->prefix ?>" data-rok='<?= $this ->rok ?>' data-url='?menuid=rocniprehled&action=loaddata&idpp=<?= $this ->pp ->idPP ?>&rok=<?= $this ->rok ?>'>

  <!-- hlavicka s nadpisy dnu -->
  <div class="rocniprehled-row rocniprehled-header background-table-header color-table-header">
     <!-- prazdna bunka (nad nazvy mesicu) -->
     <div class="rocniprehled-mesic padding-all-2"></div>

     <div class="rocniprehled-data">

        <?php for ($i = 1;  $i <= $columnsCount;  $i++) { ?>
          <div class="rocniprehled-dayheader <?= $i > 7 ? ' other-week' : '' ?>"><?= TextManager::_('Day_short_' . ($i % 7)) ?></div>
        <?php } ?>
     </div>
  </div>

  <?php
    $indexDne = 0;

    // radky pro jednotlive mesice
    for ($month = 1;  $month <= 12;  $month++) {
        $aktualniMesic = date('Y') == $this ->rok  &&  date('n') == $month;
        $rowClass = "rocniprehled-row rocniprehled-$month border-left" . ($aktualniMesic ? ' aktualni-mesic' : '');
    ?>
    <div class="<?= $rowClass ?>">
      <!-- nadpis mesice -->
      <div class="rocniprehled-mesic padding-all-2"><?= TextManager::_("Month_$month") ?></div>

      <!-- nadpisy dnu pro mobilni zobrazeni -->
      <div class="rocniprehled-weekheader background-table-header color-table-header">
        <?php for ($weekDay = 1;  $weekDay <= 7;  $weekDay++) { ?>
          <div class="rocniprehled-dayheader"><?= TextManager::_('Day_short_' . ($weekDay % 7)) ?></div>
        <?php } ?>
      </div>

      <div class='rocniprehled-data'>

        <?php
        // datum prvniho dne v mesici
        $firstDate = mktime(0, 0, 0, $month, 1, $this ->rok);

        // zjisti, kterym dnem v tydnu mesic zacina (1-7)
        $firstWeekDay = (int)date('w', $firstDate);
        if ($firstWeekDay <= 0) {
            $firstWeekDay += 7; // nedele - nechci 0, ale 7
        }

        $indexInRow = 0;
        $daysCount = (int)date('t', $firstDate);

        // vyrenderuje prazdne bunky od pondeli do prvniho dne v mesici
        for ($i = 1;  $i < $firstWeekDay;  $i++) { ?>
          <div class="rocniprehled-prazdnabunka"></div>
        <?php
          $indexInRow++;
        } ?>


        <?php // vyrenderuje bunky pro jednotlive dny
          for ($i = 1;  $i <= $daysCount;  $i++) {
            $date = mktime(0, 0, 0, $month, $i, $this ->rok);

            $className = 'rocniprehled-den ' . Kalendar::getBackgroundStyleForDate($this ->database, $date);
        ?>

          <div class="<?= $className ?>" id="<?= $this ->prefix ?>den_<?= $month ?>_<?= $i ?>"
               data-index="<?= $indexDne ?>" data-index-in-row="<?= $indexInRow ?>"
               data-day-in-month="<?= $i ?>" data-month="<?= $month ?>" data-date="<?= StringUtils::format("date", $date) ?>">
              <div class="rocniprehled-datum"><?= $i ?></div>
<!--              <div class="rocniprehled-obsahbunky"></div>-->
          </div>
        <?php
            $indexDne++;
            $indexInRow++;
          }
        ?>

        <?php for ($i = $daysCount + $firstWeekDay;  $i <= $columnsCount;  $i++) { // prazdne bunky za koncem mesice ?>
          <div class="rocniprehled-prazdnabunka"></div>
        <?php } ?>

      </div>
    </div>
  <?php } ?>

  <div class="floating-button d-none padding-top" id="<?= $this ->prefix ?>button_new" title="<?= TextManager::_('Nova_udalost') ?>"><i class="fa glyph-new"></i></div>
</div>

<?php  echo $this ->configuration ->getHtmlContent(['legenda']); ?>
<?php $this->configuration ->renderXmlForms('legenda'); ?>

<div class="margin-top-2 row rocniprehled rocniprehled-legenda" id="<?= $this ->prefix ?>legenda"></div>

<?php  echo $this ->configuration ->getHtmlContent(['behind', 'bottom', 'dole']); ?>
<?php $this->configuration ->renderXmlForms('bottom'); ?>

<?php if ($this ->absenceDialog) {
    $this ->absenceDialog ->render();
} ?>

