<?php
/**
 * stanislav.elbl, 06.02.2017
 * View pro dialog pro zobrazeni vysledku kontrol - viz @see VysledekKontroly
 */

namespace RonPortal\Dochazka;

use Ron\Controls\Dialog;use Ron\StringUtils;

/** @var Dialog $this */
/** @var VysledekKontroly[] $kontroly */

$kontroly = $this ->getParameter('kontroly');

?>
    <table id="kontrolyDochazkyTable" class="browser">
        <?php foreach($kontroly as $index => $kontrola) { ?>
            <tr class="kontrola_row kontrola_<?= $kontrola ->kategorie ?>"  id="kontrolyDochazky_<?= $index ?>">
                <td><?= $kontrola ->htmlPriznak($index) ?></td>
                <td class="kontrola_info">
                    <div><?= $kontrola ->mesicni ? '' : date('j.n.Y', $kontrola ->datum) ?></div>
                    <div><?= StringUtils::htmlTextConvert($kontrola ->popis) ?></div>
                    <?php if ($kontrola ->poznamka) { ?>
                        <div class="poznamka"><?= StringUtils::longTextToHtml($kontrola ->poznamka, true) ?></div>
                    <?php } ?>
                </td>
            </tr>
        <?php } ?>
    </table>
