<?php
/**
 * pavel.rudol, 01.11.2022 18:07
 */

namespace RonPortal\Dovednosti;

use Ron\Controls\ComboBox;
use Ron\Controls\ICreateItem;
use Ron\Controls\Option;
use Ron\DB\Database;
use Ron\DB\DBUtils;
use Ron\StringUtils;

/**
 * Combobox pro vyber ziskane dovednosti osoby k prirazeni nahravanemu dokumentu.
 */
class DovednostOsobyCombo extends ComboBox implements ICreateItem
{
    /** @var Database */
    public $database;

    /** Combobox pro vyber ziskane dovednosti osoby k prirazeni nahravanemu dokumentu.
     * @param string $varName
     * @param Database $database
     */
    function __construct($varName, $database)
    {
        parent::__construct($varName);
        $this ->database = $database;
    }

    /** Sestavi do kodu polozky comboboxu hodnoty z primarniho klice dovednosti osoby. Hodnoty jsou oddeleny znakem "~".
     * @param $row
     * @param $keyIndex
     * @param $captionIndex
     * @param $titleIndex
     * @param $cssClassIndex
     * @return Option
     */
    function createItem($row, $keyIndex = 0, $captionIndex = 1, $titleIndex = null, $cssClassIndex = null)
    {
        if (!$row) {
            return new Option('', ' ');
        }

        $key = $row[1] . '~' . $row[2] . '~' . DBUtils::getFormatedValue($this ->database, 'date', $row[3]); // kod dovednosti~kod urovne~datum ziskani
        $caption = $row[4] . ' - ' . $row[5] . StringUtils::fromUTF8(' - získáno: ') . DBUtils::getFormatedValue($this ->database, 'finedate', $row[3]); // Popis dovednosti - popis urovne : datum ziskani

        return new Option($key, $caption);
    }
}