<?php
/**
 * Created by PhpStorm.
 * User: pavel.rudol
 * Date: 14.3.2017
 * Time: 11:01
 */

namespace RonPortal\Dovednosti;

use Ron\Controls\ComboBox;
use Ron\DateUtils;
use Ron\MVC\Model;
use Ron\RonPortal\PracovniPomer;
use Ron\StringUtils;
use function Ron\ronText;

$model = Model::getInstance();

/** @var PracovniPomer $pracPomerOsoby */
$pracPomerOsoby = $model->getData('pracPomerOsoby');
/** @var ComboBox $comboTypoveMista */
$comboTypoveMista = $model->getData('combotypovemista');
/** @var ComboBox $comboTypoveMistaKod */
$comboTypoveMistaKod = $model->getData('combotypovemistakod');
?>

<!--suppress HtmlUnknownTarget -->
<div id="dovednosti_tpm" title="<?= ronText('Dovednosti_tpm') ?>" style="display:none">

    <form action="?menuid=dovednosti&action=editujtpm" method="post" >
        <input type="hidden" name="dovednostaction" value="<?= $_GET['action'] ?>">
        <input type="hidden" name="idosoby" value="<?= $pracPomerOsoby->idPP ?>" >
        <input type="hidden" name="tpm_kod" id="tpm_kod" value="" >
        <input type="hidden" name="tpm_platnost_od" id="tpm_platnost_od" value="" >


        <table>
            <tr id="dovenosti_tpm_osoba">
                <td class="formtablecaption"><?= ronText('Osoba') ?></td>
                <td>
                    <?= $pracPomerOsoby->jmenoPrijmeni ?>
                </td>
            </tr>
            <tr id="dovednosti_tpm_osobni_cislo">
                <td class="formtablecaption"><?= ronText('osobni_cislo') ?></td>
                <td>
                    <?= $pracPomerOsoby->osobniCislo ?>
                </td>
            </tr>
            <tr id="dovednosti_tpm_kod">
                <td class="formtablecaption"><?= ronText('Dovednosti_tpm') ?></td>
                <td>
                    <?php
                    $comboTypoveMista->render(); $comboTypoveMistaKod->render();
                    ?>
                </td>
            </tr>

            <tr id="dovednosti_tpm_platnost_od">
                <td class="formtablecaption"><?= ronText('Platnost_od') ?></td>
                <td>
                    <input type="text" class="app_input inputDate" maxlength="10" size="10" name="platnost_od" title="<?= ronText('Platnost_od') ?>"
                           value="<?= StringUtils::format('date', DateUtils::today()) ?>" />
                    <i class='showcalendar inline-glyph glyph-button fa glyph-calendar' data-roncalendar-inputname='platnost_od'></i>
                </td>
            </tr>

            <tr id="dovednosti_tpm_platnost_do">
                <td class="formtablecaption"><?= ronText('Platnost_do') ?></td>
                <td>
                    <input type="text" class="app_input inputDate" maxlength="10" size="10" name="platnost_do" title="<?= ronText('Platnost_do') ?>"
                           value="<?= StringUtils::format('date', DateUtils::today()) ?>" />
                    <i class='showcalendar inline-glyph glyph-button fa glyph-calendar' data-roncalendar-inputname='platnost_do'></i>
                </td>
            </tr>

            <tr id="dovednosti_tpm_poznamka">
                <td class="formtablecaption"><?= ronText('Poznamka') ?></td>
                <td>
                    <input type="text" class="app_input" name="poznamka" title="<?= ronText('Poznamka'); ?>>" size="90" maxlength="80">
                </td>
            </tr>

            <tr id="dovednosti_tpm_buttonsrow">
                <td></td>
                <td>
                    <div class="buttons">
                        <input id="dovednosti_tpm_vlozit_Btn" type="submit" class="submitbutton" value="<?= ronText('form.Insert') ?>" />
                        <input id="dovednosti_tpm_storno_Btn" type="button" class="button" value="<?= ronText('Cancel') ?>" />
                    </div>
                </td>
            </tr>

        </table>
    </form>
</div>

<br/>
<div class='normaltext'><a href='#' id="dovednosti_nove_tpm"> <?= ronText('Dovednosti_vlozit_nove_tpm') ?> </a></div>