<?php

/**
 * UTF8
 * User: pavel.rudol
 * Date: 28.12.2017
 * Time: 20:09
 */

namespace RonPortal\Editace;

use Ron\Controls\ComboBox;
use Ron\DateUtils;
use Ron\GuiUtils;
use Ron\HttpUtils;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use function Ron\ronText;

$model = Model::getInstance();

/** @var RozdeleniMV $rozdeleniMV */
$rozdeleniMV = $model->getData('rozdeleni_mv');
/** @var ComboBox $comboCasoveSlozka */
$comboCasoveSlozka = $model->getData('combo_casova_slozka');
$typRozdeleni = $model->getData('typ_rozdeleni');

$rozdeleniZamestnance = $model->getData('rozdeleni_zamestnance');

$zobrazPost = $model->getData('zobraz_post');

$readOnlyStr = $rozdeleniMV->povolitEditaci ? '' : 'readonly';

MessageManager::getInstance()->showMessages();

?>

<h1><?= ronText('Rozdeleni_mesicnich_vysledku') ?></h1>

<form method="POST" data-ron-working-info="1" name="rozdeleniMVform" action="?menuid=rozdelenimv&idpp=<?= $rozdeleniMV->pracovniPomer->idPP ?>&obdobi=<?= DateUtils::dateToUrlString($rozdeleniMV->obdobi->zacatek) ?>">
    <input type="hidden" name="ulozitRozdeleniMV" value="1" />
    <input type="hidden" name="osoba" value="<?= $rozdeleniMV->pracovniPomer->idPP ?>" />
    <input type="hidden" name="obdobi" value="<?= DateUtils::dateToUrlString($rozdeleniMV->obdobi->zacatek) ?>" />

    <input type="hidden" name="rozdelenimv_typ_rozdeleni" value="<?= $typRozdeleni ?>" />

    <!-- hlavicka -->
    <div class="form middle-form filtrRozdeleniMV">
        <div class="form-content">
            <!-- osoba -->
            <div class="row">
                <div class="col col-md-5"></div>
                <?php if ($rozdeleniMV->pracovniPomer->idFotografie) { ?>
                    <div class="col col-12 col-md-3 d-xs-none formFotoContainer">
                        <div class="formFoto">
                            <img src="?menuid=editace&action=foto&idpp=<?= $rozdeleniMV->pracovniPomer->idPP ?>" alt="foto osoby">
                        </div>
                    </div>
                <?php } ?>
            </div>
            <div class="row">
                <div class="col col-6 caption required"><?= StringUtils::htmlTextConvert($rozdeleniMV->pracovniPomer->jmeno . ' ' . $rozdeleniMV->pracovniPomer->prijmeni) ?></div>
            </div>
            <div class="row">
                <div class="col col-5 caption"><?= ronText('Osobni_cislo') ?></div>
                <div class="col col-5"><?= StringUtils::htmlTextConvert($rozdeleniMV->pracovniPomer->osobniCislo) ?></div>
            </div>
            <div class="row">
                <div class="col col-5 caption"><?= ronText('Datum_nastupu') ?></div>
                <div class="col col-5"><?= StringUtils::format('date', $rozdeleniMV->pracovniPomer->datumNastupu) ?></div>
            </div>
            <div class="row">
                <div class="col col-5 caption"><?= ronText('Obdobi') ?></div>
                <div class="col col-5 required"><?= StringUtils::htmlTextConvert($rozdeleniMV->obdobi->popis) ?></div>


            </div>
        </div>
    </div>

    <table class="browser oddEvenRows keyInputMove rozdelenimv_souctove">

        <tbody>
        <?php
        $index = 1;
        foreach ($rozdeleniMV->mesicniDataRozdeleni as $mesicniVysledekRozdeleni) { ?>
            <tr class="rozdelenimv_soucet font-weight-bold color-table-header background-table-header rozdelenimv_soucet_hodiny">
                <td class="rozdelenimv_casova_slozka">
                    <?= StringUtils::htmlTextConvert($mesicniVysledekRozdeleni->popisCS) ?>
                </td>
                <td>
                    <?= ronText('Rozdeleno'); ?>
                </td>
                <td class="rozdelenimv_hodiny">
                    <?= StringUtils::format('hodiny', $mesicniVysledekRozdeleni->soucetHodin) ?>
                </td>
                <td class="rozdelenimv_dny">
                    <?= StringUtils::format('number2', $mesicniVysledekRozdeleni->soucetDnu) ?>
                </td>
                <td class="rozdelenimv_kal_dny">
                    <?= StringUtils::format('number2', $mesicniVysledekRozdeleni->soucetKalDnu) ?>
                </td>
                <td>
                    <?= ronText('Celkem_rozdelit_hodiny'); ?>
                </td>
                <td>
                    <?= StringUtils::format('hodiny', $mesicniVysledekRozdeleni->hodiny) ?>
                </td>
                <td>
                    <?= ronText('Zbyva_roz'); ?>
                </td>
                <td>
                    <?= StringUtils::format('hodiny', $mesicniVysledekRozdeleni->hodiny - $mesicniVysledekRozdeleni->soucetHodin) ?>
                    <input type="hidden" name="rozdelenimv_index_od_<?= StringUtils::htmlTextConvert($mesicniVysledekRozdeleni->kodCS) ?>" value="<?= $index ?>" />
                </td>
            </tr>
            <tr class="rozdelenimv_soucet color-table-header background-table-header rozdelenimv_soucet_dny">
                <td colspan="2"> </td>
                <td class="rozdelenimv_hodiny"> </td>
                <td class="rozdelenimv_dny"> </td>
                <td class="rozdelenimv_kal_dny"> </td>
                <td>
                    <?= ronText('Celkem_rozdelit_dny'); ?>
                </td>
                <td>
                    <?= StringUtils::format('number2', $mesicniVysledekRozdeleni->dny) ?>
                </td>
                <td>
                    <?= ronText('Zbyva_roz'); ?>
                </td>
                <td>
                    <?= StringUtils::format('number2', $mesicniVysledekRozdeleni->dny - $mesicniVysledekRozdeleni->soucetDnu) ?>
                </td>
            </tr>
            <tr class="rozdelenimv_soucet color-table-header background-table-header rozdelenimv_soucet_kal_dny">
                <td colspan="2"> </td>
                <td class="rozdelenimv_hodiny"> </td>
                <td class="rozdelenimv_dny"> </td>
                <td class="rozdelenimv_kal_dny"> </td>
                <td>
                    <?= ronText('Celkem_rozdelit_kaldny'); ?>
                </td>
                <td>
                    <?= StringUtils::format('number2', $mesicniVysledekRozdeleni->kalendarniDny) ?>
                </td>
                <td>
                    <?= ronText('Zbyva_roz'); ?>
                </td>
                <td>
                    <?= StringUtils::format('number2', $mesicniVysledekRozdeleni->kalendarniDny - $mesicniVysledekRozdeleni->soucetKalDnu) ?>
                </td>
            </tr>
            <tr class="form-section background-form-section rozdelenimv_nadpis_radku">
                <td class="rozdelenimv_casova_slozka">
                    <?= ronText('Casova_slozka'); ?>
                </td>
                <td class="rozdelenimv_rozdeleni">
                    <?= ronText('Rozdeleni'); ?>
                </td>
                <td class="rozdelenimv_hodiny">
                    <?= ronText('Vysledek_Hodiny'); ?>
                </td>
                <td class="rozdelenimv_dny">
                    <?= ronText('Vysledek_Dny'); ?>
                </td>
                <td class="rozdelenimv_kal_dny">
                    <?= ronText('Vysledek_Kalendarni_dny'); ?>
                </td>
                <td class="rozdelenimv_poznamka">
                    <?= ronText('Poznamka'); ?>
                </td>
                <td>
                </td>
                <td>
                </td>
                <td>
                </td>
            </tr>

            <?php
            if (is_array($mesicniVysledekRozdeleni->mesicniVysledky)) {
                foreach ($mesicniVysledekRozdeleni->mesicniVysledky as $radekVysledku) {
                    $classStr = $radekVysledku->cssClass ? "class='$radekVysledku->cssClass'" : '';
                    $styleStr = $radekVysledku->cssStyle ? "style='$radekVysledku->cssStyle'" : '';
                    ?>
                    <tr <?= $classStr . ' ' . $styleStr ?>>
                        <td class="rozdelenimv_casova_slozka_cell">
                            <?= StringUtils::htmlTextConvert($radekVysledku->popisCS) ?>
                        </td>
                        <td class="rozdelenimv_rozdeleni_cell">
                            <strong><?= StringUtils::htmlTextConvert($radekVysledku->rozdeleni) ?></strong> - <?= StringUtils::htmlTextConvert($radekVysledku->rozdeleniPopis) ?>
                        </td>
                        <td class="rozdelenimv_hodiny_cell">
                            <input type='text' size='5' class='inputTime' name='rozdelenimv_hodiny_<?= $index ?>'
                                   id='rozdelenimv_hodiny_<?= $index ?>' <?= $readOnlyStr?>
                                   value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_hodiny_' . $index]) : StringUtils::format('hodiny', $radekVysledku->hodiny) ?>"/>
                        </td>
                        <td class="rozdelenimv_dny_cell">
                            <input type='text' size='5' class='inputTime' name='rozdelenimv_dny_<?= $index ?>'
                                   id='rozdelenimv_dny_<?= $index ?>' <?= $readOnlyStr?>
                                   value="<?= StringUtils::format('number2', $zobrazPost ? $_POST['rozdelenimv_dny_' . $index] : $radekVysledku->dny) ?>"/>
                        </td>
                        <td class="rozdelenimv_kal_dny_cell">
                            <input type='text' size='5' class='inputTime' name='rozdelenimv_kaldny_<?= $index ?>'
                                   id='rozdelenimv_kaldny_<?= $index ?>' <?= $readOnlyStr?>
                                   value="<?= StringUtils::format('number2', $zobrazPost ? $_POST['rozdelenimv_kaldny_' . $index] : $radekVysledku->kalendarniDny) ?>"/>
                        </td>
                        <td class="rozdelenimv_poznamka_cell">
                            <input type='text' size='20' class='' name='rozdelenimv_poznamka_<?= $index ?>'
                                   id='rozdelenimv_poznamka_<?= $index ?>' <?= $readOnlyStr?>
                                   value="<?= StringUtils::htmlTextConvert($zobrazPost ? $_POST['rozdelenimv_poznamka_' . $index] : $radekVysledku->poznamka) ?>"/>
                        </td>
                        <td>
                            <input type="hidden" name="rozdelenimv_casova_slozka_<?= $index ?>"
                                   value="<?= $radekVysledku->kodCS ?>"/>
                            <input type="hidden" name="rozdelenimv_typrozdeleni_<?= $index ?>"
                                   value="<?= (int)$radekVysledku->typRozdeleni ?>"/>
                            <input type="hidden" name="rozdelenimv_rozdeleni_<?= $index ?>"
                                   value="<?= $radekVysledku->rozdeleni ?>"/>

                            <?php
                            if ($rozdeleniMV->povolitEditaci) {
                                echo GuiUtils::changeLocationQuest(
                                    "<span class='inline-glyph glyph-button fa glyph-delete' title='" . ronText('Zrusit_zaznam') . "'></span>",
                                    sprintf(ronText('Mesicni_vysledky_rozdeleni_zrusit_radek'), StringUtils::htmlTextConvert($radekVysledku->rozdeleniPopis)),
                                    '?menuid=rozdelenimv&action=smazat&idpp=' . $rozdeleniMV->pracovniPomer->idPP . '&obdobi=' . DateUtils::dateToUrlString($rozdeleniMV->obdobi->zacatek) .
                                    '&casovaslozka=' . HttpUtils::urlEncode($radekVysledku->kodCS) . '&typrozdeleni=' . (int)$radekVysledku->typRozdeleni . '&rozdeleni=' . HttpUtils::urlEncode($radekVysledku->rozdeleni)
                                );
                            }
                            ?>
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                    </tr>
                    <?php
                    $index++;
                }
            }

            if ($rozdeleniMV->povolitEditaci) {
                ?>

                <tr class="rozdelenimv_novy_radek">
                    <td class="rozdelenimv_casova_slozka_cell">
                        <input type="hidden" name="rozdelenimv_hodiny_celkem_<?= StringUtils::htmlTextConvert($mesicniVysledekRozdeleni->kodCS) ?>" value="<?= $mesicniVysledekRozdeleni->hodiny ?>" />
                        <input type="hidden" name="rozdelenimv_dny_celkem_<?= StringUtils::htmlTextConvert($mesicniVysledekRozdeleni->kodCS) ?>" value="<?= $mesicniVysledekRozdeleni->dny ?>" />
                        <input type="hidden" name="rozdelenimv_kaldny_celkem_<?= StringUtils::htmlTextConvert($mesicniVysledekRozdeleni->kodCS) ?>" value="<?= $mesicniVysledekRozdeleni->kalendarniDny ?>" />
                        <input type="hidden" name="rozdelenimv_index_do_<?= StringUtils::htmlTextConvert($mesicniVysledekRozdeleni->kodCS) ?>" value="<?= $index-1 ?>" />
                        <?php
                        $comboCasoveSlozkaRozdeleni = $model->getData('combo_casova_slozka_' . $mesicniVysledekRozdeleni->kodCS);
                        $comboCasoveSlozkaRozdeleni->render();
                        ?>
                    </td>
                    <td class="rozdelenimv_rozdeleni_cell">
                        <?php
                        $zvoleneRozdeleni = $zobrazPost ? $_POST['rozdelenimv_rozdeleni_' . $mesicniVysledekRozdeleni->kodCS] : $rozdeleniZamestnance; //nactene rozdeleni dle prirazeni v odbobi, nebo null

                        echo "<input name='rozdelenimv_rozdeleni_{$mesicniVysledekRozdeleni->kodCS}_view' id='rozdelenimv_rozdeleni_{$mesicniVysledekRozdeleni->kodCS}_view'                                                     
                                                    data-items-url='?menuid=rozdelenimv&action=seznamrozdeleni&idpp=" . $rozdeleniMV->pracovniPomer->idPP . "&obdobi=" . StringUtils::format('date', $rozdeleniMV->obdobi->zacatek) . "'
                                                    data-enable-url-cache='1'
                                                    data-auto-load-items='1'
                                                    data-max-visible-rows='30'
                                                    data-code-input='rozdelenimv_rozdeleni_{$mesicniVysledekRozdeleni->kodCS}'
                                                    data-columns='kod;popis'
                                                    data-value-column='kod'
                                                    data-text-column='popis'
                                                    class='rozdelenimv_rozdeleni ronselect form-select' value='{$zvoleneRozdeleni}'/>";

                        echo "<input type='hidden' name='rozdelenimv_rozdeleni_{$mesicniVysledekRozdeleni->kodCS}' value='{$zvoleneRozdeleni}'>";

                        ?>
                    </td>
                    <td class="rozdelenimv_hodiny_cell">
                        <input type='text' size='5' class='inputTime' name='rozdelenimv_hodiny_<?= $mesicniVysledekRozdeleni->kodCS ?>' id='rozdelenimv_hodiny_<?= $mesicniVysledekRozdeleni->kodCS ?>'
                               value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_hodiny_' . $mesicniVysledekRozdeleni->kodCS]) : StringUtils::format('hodiny', 0) ?>"  />
                    </td>
                    <td class="rozdelenimv_dny_cell">
                        <input type='text' size='5' class='inputTime' name='rozdelenimv_dny_<?= $mesicniVysledekRozdeleni->kodCS ?>' id='rozdelenimv_dny_<?= $mesicniVysledekRozdeleni->kodCS ?>'
                               value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_dny_' . $mesicniVysledekRozdeleni->kodCS]) : StringUtils::format('number2', 0) ?>"  />
                    </td>
                    <td class="rozdelenimv_kal_dny_cell">
                        <input type='text' size='5' class='inputTime' name='rozdelenimv_kaldny_<?= $mesicniVysledekRozdeleni->kodCS ?>' id='rozdelenimv_kaldny_<?= $mesicniVysledekRozdeleni->kodCS ?>'
                               value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_kaldny_' . $mesicniVysledekRozdeleni->kodCS]) : StringUtils::format('number2', 0) ?>"  />
                    </td>
                    <td class="rozdelenimv_poznamka_cell">
                        <input type='text' size='20' class='' name='rozdelenimv_poznamka_<?= $mesicniVysledekRozdeleni->kodCS ?>' id='rozdelenimv_poznamka_<?= $mesicniVysledekRozdeleni->kodCS ?>'
                               value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_poznamka_' . $mesicniVysledekRozdeleni->kodCS]) : '' ?>" />
                    </td>
                    <td> </td>
                    <td> </td>
                    <td> </td>
                </tr>
            <?php       }
        } ?>

        </tbody>
    </table>

    <table class="browser keyInputMove rozdelenimv_nesouctove">
        <thead>
        <tr>
            <th class="rozdelenimv_casova_slozka">
                <?= ronText('Casova_slozka'); ?>
            </th>
            <th class="rozdelenimv_rozdeleni">
                <?= ronText('Rozdeleni'); ?>
            </th>
            <th class="rozdelenimv_hodiny">
                <?= ronText('Vysledek_Hodiny'); ?>
            </th>
            <th class="rozdelenimv_dny">
                <?= ronText('Vysledek_Dny'); ?>
            </th>
            <th class="rozdelenimv_kal_dny">
                <?= ronText('Vysledek_Kalendarni_dny'); ?>
            </th>
            <th class="rozdelenimv_poznamka">
                <?= ronText('Poznamka'); ?>
            </th>
        </tr>
        </thead>
        <tbody>

        <?php if (is_array($rozdeleniMV->mesicniData)) {
            foreach ($rozdeleniMV->mesicniData as $mesicniVysledek) { ?>
                <tr>
                    <td class="rozdelenimv_casova_slozka_cell">
                        <?= StringUtils::htmlTextConvert($mesicniVysledek->popisCS) ?>
                    </td>
                    <td class="rozdelenimv_rozdeleni_cell">
                        <strong><?= StringUtils::htmlTextConvert($mesicniVysledek->rozdeleni) ?></strong> - <?= StringUtils::htmlTextConvert($mesicniVysledek->rozdeleniPopis) ?>
                    </td>
                    <td class="rozdelenimv_hodiny_cell">
                        <input type='text' size='5' class='inputTime' name='rozdelenimv_hodiny_<?= $index ?>'
                               id='rozdelenimv_hodiny_<?= $index ?>' <?= $readOnlyStr?>
                               value="<?= $zobrazPost ? $_POST['rozdelenimv_hodiny_' . $index] : StringUtils::format('hodiny', $mesicniVysledek->hodiny) ?>"/>
                    </td>
                    <td class="rozdelenimv_dny_cell">
                        <input type='text' size='5' class='inputTime' name='rozdelenimv_dny_<?= $index ?>'
                               id='rozdelenimv_dny_<?= $index ?>' <?= $readOnlyStr?>
                               value="<?= StringUtils::format('number2', $zobrazPost ? $_POST['rozdelenimv_dny_' . $index] : $mesicniVysledek->dny) ?>"/>
                    </td>
                    <td class="rozdelenimv_kal_dny_cell">
                        <input type='text' size='5' class='inputTime' name='rozdelenimv_kaldny_<?= $index ?>'
                               id='rozdelenimv_kaldny_<?= $index ?>' <?= $readOnlyStr?>
                               value="<?= StringUtils::format('number2', $zobrazPost ? $_POST['rozdelenimv_kaldny_' . $index] : $mesicniVysledek->kalendarniDny) ?>"/>
                    </td>
                    <td class="rozdelenimv_poznamka_cell">
                        <input type='text' size='20' class='' name='rozdelenimv_poznamka_<?= $index ?>'
                               id='rozdelenimv_poznamka_<?= $index ?>' <?= $readOnlyStr?>
                               value="<?= StringUtils::htmlTextConvert($zobrazPost ? $_POST['rozdelenimv_poznamka_' . $index] : $mesicniVysledek->poznamka) ?>"/>
                    </td>
                    <td>
                        <input type="hidden" name="rozdelenimv_casova_slozka_<?= $index ?>"
                               value="<?= $mesicniVysledek->kodCS ?>"/>
                        <input type="hidden" name="rozdelenimv_typrozdeleni_<?= $index ?>"
                               value="<?= (int)$mesicniVysledek->typRozdeleni ?>"/>
                        <input type="hidden" name="rozdelenimv_rozdeleni_<?= $index ?>"
                               value="<?= $mesicniVysledek->rozdeleni ?>"/>

                        <?php
                        if ($rozdeleniMV->povolitEditaci) {
                            echo GuiUtils::changeLocationQuest(
                                "<span class='inline-glyph glyph-button fa glyph-delete' title='" . ronText('Zrusit_zaznam') . "'></span>",
                                sprintf(ronText('Mesicni_vysledky_rozdeleni_zrusit_radek'), StringUtils::htmlTextConvert($mesicniVysledek->rozdeleniPopis)),
                                '?menuid=rozdelenimv&action=smazat&idpp=' . $rozdeleniMV->pracovniPomer->idPP . '&obdobi=' . DateUtils::dateToUrlString($rozdeleniMV->obdobi->zacatek) .
                                '&casovaslozka=' . HttpUtils::urlEncode($mesicniVysledek->kodCS) . '&typrozdeleni=' . (int)$mesicniVysledek->typRozdeleni . '&rozdeleni=' . HttpUtils::urlEncode($mesicniVysledek->rozdeleni)
                            );
                        }
                        ?>
                    </td>
                    <td>
                    </td>
                    <td>
                    </td>
                </tr>
                <?php
                $index++;
            }
        }

        if ($rozdeleniMV->povolitEditaci) {
            ?>

            <tr>
                <td class="rozdelenimv_casova_slozka_cell">
                    <?php $comboCasoveSlozka->render(); ?>
                </td>
                <td class="rozdelenimv_rozdeleni_cell">
                    <?php

                    $zvoleneRozdeleni = $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_rozdeleni']) : $rozdeleniZamestnance; //nactene rozdeleni dle prirazeni v odbobi, nebo null

                    echo "<input name='rozdelenimv_rozdeleni_view' id='rozdelenimv_rozdeleni_view' 
                                                    data-items-url='?menuid=rozdelenimv&action=seznamrozdeleni&idpp=" . $rozdeleniMV->pracovniPomer->idPP . "&obdobi=" . StringUtils::format('date', $rozdeleniMV->obdobi->zacatek) . "'
                                                    data-enable-url-cache='1'
                                                    data-auto-load-items='1'
                                                    data-max-visible-rows='30'
                                                    data-code-input='rozdelenimv_rozdeleni'
                                                    data-columns='kod;popis'
                                                    data-value-column='kod'
                                                    data-text-column='popis'                                                                                              
                                                    class='rozdelenimv_rozdeleni ronselect form-select' value='{$zvoleneRozdeleni}'>";
                    echo "</input>";

                    echo "<input type='hidden' name='rozdelenimv_rozdeleni' value='{$zvoleneRozdeleni}'>";

                    ?>
                </td>
                <td class="rozdelenimv_hodiny_cell">
                    <input type='text' size='5' class='inputTime' name='rozdelenimv_hodiny' id='rozdelenimv_hodiny'
                           value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_hodiny']) : StringUtils::format('hodiny', 0) ?>"  />
                </td>
                <td class="rozdelenimv_dny_cell">
                    <input type='text' size='5' class='inputTime' name='rozdelenimv_dny' id='rozdelenimv_dny'
                           value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_dny']) : StringUtils::format('number2', 0) ?>"  />
                </td>
                <td class="rozdelenimv_kal_dny_cell">
                    <input type='text' size='5' class='inputTime' name='rozdelenimv_kaldny' id='rozdelenimv_kaldny'
                           value="<?= $zobrazPost ? StringUtils::htmlTextConvert($_POST['rozdelenimv_kaldny']) : StringUtils::format('number2', 0) ?>"  />
                </td>
                <td class="rozdelenimv_poznamka_cell">
                    <input type='text' size='20' class='' name='rozdelenimv_poznamka' id='rozdelenimv_poznamka'
                           value="<?= StringUtils::htmlTextConvert($zobrazPost ? $_POST['rozdelenimv_poznamka'] : '') ?>" />
                </td>
            </tr>

        <?php } ?>

        </tbody>
    </table>

    <div class="buttons">
        <?php if ($rozdeleniMV->povolitEditaci) { ?>
            <input type='submit' class='button' style='margin-top:0; margin-bottom:0;' name='zapsatMV' value='<?= ronText('Zapsat') ?>' />
        <?php } ?>
        <span class="float-left"><a href="?menuid=zpracovanadochazka&osoba=<?= $rozdeleniMV->pracovniPomer->idPP ?>&obdobi=<?= DateUtils::dateToUrlString($rozdeleniMV->obdobi->zacatek) ?>"><?= ronText('zpet') ?></a></span>
    </div>

    <input type="hidden" name="pocet_radku" value="<?= $index-1 ?>" />
</form>