<?php
/**
 * stanislav.elbl, 11.08.2015
 */

namespace RonPortal\ELearning;

use Ron\Http\HtmlHeaders;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\RonException;
use Ron\StringUtils;

$model = Model::getInstance();

/** @var Kurz $kurz  */
$kurz = $model['kurz'];

/** @var RevizeEKurzu $revize */
$revize = $model['revize'];

/** @var int $index */
$index = $model['index'];
/** @var ObsahKurzu $strana */
$strana = $revize ->getObsah()[$index];
$text = $model['text'];
$baseLink = $model['baseLink'];

/** @var TestViewObject $testViewObject     POZOR! Muze byt null! */
$testViewObject = $model ->getData('testViewObject');

$nextpage = ($index < count($revize ->getObsah()) - 1) ? $index + 1 : count($revize ->getObsah()) - 1;
$prevpage = ($index > 1) ? $index - 1 : 0;

global $appVersion;

?>
<!doctype html>
<html>
<head>
    <?php
    require('ron/apphead.php');
    HtmlHeaders::getInstance() ->render();
    //require('adsapp/apphead.php');
    ?>
    <script type="application/javascript" src="script/ronportal.js?ver=<?= $appVersion ?>"></script>

    <link rel="stylesheet" type="text/css" href="script/ronmce.css?ver=<?= $appVersion ?>">
    <link rel="stylesheet" type="text/css" href="css/dotaznik.css?ver=<?= $appVersion ?>">
    <link rel="stylesheet" type="text/css" href="css/prezentace.css?ver=<?= $appVersion ?>">

    <?php if (file_exists('s_user.css')) { ?>
        <!-- uzivatelske predefinovani stylu -->
        <link rel="stylesheet" type="text/css" href="s_user.css?ver=<?= $appVersion ?>">
    <?php } ?>

    <?php
    //HtmlHeaders::getInstance() ->render();
    ?>

    <script type="application/javascript" src="script/hodnoceni.js?ver=<?= $appVersion ?>"></script>
    <script type="application/javascript" src="script/prezentace.js?ver=<?= $appVersion ?>"></script>

</head>
<body <?= HtmlHeaders::getInstance() ->getBodyAttributesHtml() ?>>
<div class="html_prezentace" id="html_prezentace" <?= ($strana ->temaCislo  &&  $testViewObject) ? $testViewObject ->getHtmlAttributes() : '' ?>>
    <!-- hlavicka -->
    <?php if ($strana ->getZobrazitHlavicku())  { ?>
        <div class="header">
            <div class="logo"></div>
            <div class="apptitle">
                <span class="apptitletext"><?= $kurz ->getNazev() ?></span>
            </div>
        </div>
    <?php } ?>

    <!-- ovladani -->
    <div id="controls" class="controls">
        <a href="<?= $baseLink ?>&pageindex=<?= $prevpage ?>" id="linkPrevPage" title="<?= \Ron\ronText('Predchozi_stranka_info') ?>">
            <span class="text"><?= \Ron\ronText('Predchozi_stranka') ?></span>
            <span class="inline-glyph glyph-button fal glyph-left"></span></a>

        <span class="page_info"><?= $index + 1 ?> / <?= count($revize ->getObsah()) ?></span>

        <a href="<?= $baseLink ?>&pageindex=<?= $nextpage ?>" id="linkNextPage" title="<?= \Ron\ronText('Dalsi_stranka_info') ?>">
            <span class="text"><?= \Ron\ronText('Dalsi_stranka') ?></span>
            <span class="inline-glyph glyph-button fa glyph-right"></span></a>
    </div>

    <!-- panel ovladani - zobrazi se po odskrolovani -->
    <div id="floatcontrolspanel" class="controls">
        <div id="floatcaption"><?= $kurz ->getNazev() ?></div>
        <div id="floatcontrols">
            <a href="<?= $baseLink ?>&pageindex=<?= $prevpage ?>" id="linkPrevPageFloat" title="<?= \Ron\ronText('Predchozi_stranka_info') ?>">
                <span class="text"><?= \Ron\ronText('Predchozi_stranka') ?></span>
                <span class="inline-glyph glyph-button fal glyph-left"></span></a>

            <span class="page_info"><?= $index + 1 ?> / <?= count($revize ->getObsah()) ?></span>

            <a href="<?= $baseLink ?>&pageindex=<?= $nextpage ?>" id="linkNextPageFloat" title="<?= \Ron\ronText('Dalsi_stranka_info') ?>">
                <span class="text"><?= \Ron\ronText('Dalsi_stranka') ?></span>
                <span class="inline-glyph glyph-button fal glyph-right"></span></a>
        </div>
    </div>


    <?php MessageManager::getInstance() ->showMessages(); ?>

    <!-- obsah -->
    <div class="content">
        <?= $text ?>
    </div>

    <?php
    // dalsi view, napr. informace o testu
    if ($model ->getViewObjects()) {
        foreach ($model ->getViewObjects() as $viewObject) {
            try {
                $viewObject->render();
            } catch (RonException $e) {
                echo "<div class='errortext'>" . StringUtils::htmlTextConvert($e ->getMessage()) . "</div>\n";
                echo '<div>' . $e ->getErrorDescription() . '</div>';
            } catch (\Exception $e) {
                echo "<div class='errortext'>" . StringUtils::htmlTextConvert($e ->getMessage()) . "</div>\n";
            }
        }
    }
    ?>

    <?php if ($strana ->temaCislo  &&  $testViewObject) { ?>
        <!-- pripojeny test -->
        <div class="test">
            <?php $testViewObject ->render(); ?>
        </div>

        <?php if ($testViewObject ->dotaznik ->test_stav > 1  ||  $testViewObject ->testEKurzu ->casovyLimit) {
                // info zobrazuje pokud uz je test ukoncen
                // nebo pokud ma casovy limit - v tom pripade ji zobrazi skrytou, aby mohla byt zobrazena po vyprseni limitu
                $stav = ($testViewObject ->dotaznik ->test_stav > 1) ? $testViewObject ->dotaznik ->test_stav : 2;
                $zobrazitInfo = $testViewObject ->dotaznik ->test_stav > 1;
            ?>
            <!-- absolvovano -->
            <div id="testAbsolvovanBack" class="dialog_formback" <?= $zobrazitInfo ? '' : 'style="display:none"' ?>></div>
            <div id="testAbsolvovanInfo" <?= $zobrazitInfo ? '' : 'style="display:none"' ?> class="form">
                <table>
                    <tr>
                        <td class="align-center"><?= \Ron\ronText('Test_absolvovan_' . $stav) ?></td>
                        <td><i class="fa fal fa-2x <?= $testViewObject ->getInfoImage($stav) ?>"></td>
                    </tr>
                </table>
            </div>
        <?php } ?>

        <?php if ($testViewObject ->editace  && $testViewObject ->testEKurzu ->casovyLimit) { ?>
            <!-- casovy limit -->
            <div id="testZbyvajiciCas">0:00:00</div>
        <?php } ?>
    <?php } ?>

    <div class="controls">
    </div>

</div>

</body>
</html>