<?php
/**
 * stanislav.elbl, 25.11.2015
 */

namespace RonPortal\ELearning;

use Ron\Http\Csrf;
use Ron\MVC\Model;
use Ron\StringUtils;
use Ron\TextManager;

$model = Model::getInstance();

/** @var Test $test */
$test = $model['test'];
/** @var TestEKurzu $testEKurzu */
$testEKurzu = $model['testEKurzu'];
///** @var TypOdpovedi[] $typyOdpovedi */
//$typyOdpovedi = $model['typyOdpovedi'];
/** @var PrilohaKurzu[] $prilohy */
$prilohy = $model['prilohy'];
?>
<h1 id="elearning_nadpis"><?= StringUtils::htmlTextConvert($test ->popisTematu) ?></h1>

<div id="elearning_container" class="editace-testu" data-base-url="?menuid=testy&revize=<?= $testEKurzu ->idRevize ?>" data-druh-hodnoceni="<?= $test ->druhHodnoceni ?>"  data-tema-cislo="<?= $test ->temaCislo ?>" data-editovat-body="1">

    <!-- data - jednotlive zalozky -->
    <div id="elearning_data">

        <ul id="elearning_tabs">
            <li data-ron-tab="test_basic"><a id="test_menu_basic" href="#"><?= TextManager::_('Zakladni_informace') ?></a></li>
            <li data-ron-tab="test_otazka" class="active"><a id="test_menu_otazka" href="#"><?= TextManager::_('Otazky') ?></a></li>
        </ul>

        <div id="test_obsah">
            <!-- zaklani informace testu -->
            <div id="test_basic">
                <input type="hidden" id="idRevize" value="<?= $testEKurzu ->idRevize ?>"/>
                <div class="form form-30-70 large-form">
                    <div class="form-content">
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="kodTestu"><?= TextManager::_('Kod') ?></label></div>
                            <div class="form-col form-col2"><input id="kodTestu" value="<?= StringUtils::htmlTextConvert($test ->kod) ?>" maxlength="20"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="popisTestu"><?= TextManager::_('Popis') ?></label></div>
                            <div class="form-col form-col2"><input type="text" id="popisTestu" class="form-input" value="<?= StringUtils::htmlTextConvert($test ->popisTematu) ?>" maxlength="120"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="poznamkaTestu"><?= TextManager::_('Poznamka') ?></label></div>
                            <div class="form-col form-col2"><textarea id="poznamkaTestu" class="form-input" rows="6"><?= StringUtils::htmlTextConvert($test ->poznamkaTematu) ?></textarea></div>
                        </div>

                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="minPocetBodu"><?= TextManager::_('Minimalni_pocet_bodu') ?></label></div>
                            <div class="form-col form-col2"><input class="inputInt" id="minPocetBodu" value="<?= $test ->minPocetBodu ?>"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="maxPocetBodu"><?= TextManager::_('Maximalni_pocet_bodu') ?></label></div>
                            <div class="form-col form-col2"><input class="inputInt" id="maxPocetBodu" value="<?= $test ->maxPocetBodu ?>"/></div>
                        </div>

                        <?php if ($testEKurzu) { ?>
                            <div class="form-row">
                                <div class="form-col form-col1 caption"><label for="pocetPokusu"><?= TextManager::_('Maximalni_pocet_pokusu') ?></label></div>
                                <div class="form-col form-col2"><input class="inputInt" id="pocetPokusu" value="<?= $testEKurzu ->pocetPokusu ?>"/></div>
                            </div>
                            <div class="form-row">
                                <div class="form-col form-col1 caption"></div>
                                <div class="form-col form-col2"><div class="forminfotext"><?= TextManager::_('Maximalni_pocet_pokusu_info') ?></div></div>
                            </div>

                            <div class="form-row">
                                <div class="form-col form-col1 caption"><label for="casovyLimit"><?= TextManager::_('Casovy_limit') ?></label></div>
                                <div class="form-col form-col2"><input class="inputInt" id="casovyLimit" value="<?= $testEKurzu ->casovyLimit ?>"/> <?= TextManager::_('Casovy_limit_sekund') ?></div>
                            </div>
                        <?php } ?>

                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="sirkaSloupce"><?= TextManager::_('Sirka_sloupce') ?></label></div>
                            <div class="form-col form-col2"><input class="inputInt" id="sirkaSloupce" value="<?= $test ->sirkaSloupce ?>"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="editovatPoznamku"><?= TextManager::_('Editovat_poznamku') ?></label></div>
                            <div class="form-col form-col2"><input type="checkbox" id="editovatPoznamku" <?= $test ->editovatPoznamku ? 'checked="checked"' : '' ?>/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="zobrazitOdpovediUspesne"><?= TextManager::_('Zobrazeni_odpovedi_uspesne') ?></label></div>
                            <div class="form-col form-col2">
                                <select id="zobrazitOdpovediUspesne">
                                    <option value="0" <?= !$test ->zobrazitOdpovediUspesne ? 'selected="selected"' : ''?>><?= TextManager::_('Nezobrazovat_odpovedi') ?></option>
                                    <option value="1" <?= $test ->zobrazitOdpovediUspesne == 1 ? 'selected="selected"' : ''?>><?= TextManager::_('Oznacit_spatne_odpovedi') ?></option>
                                    <option value="2" <?= $test ->zobrazitOdpovediUspesne == 2 ? 'selected="selected"' : ''?>><?= TextManager::_('Zobrazit_spravne_odpovedi') ?></option>
                                </select>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="zobrazitOdpovediNeuspesne"><?= TextManager::_('Zobrazeni_odpovedi_neuspesne') ?></label></div>
                            <div class="form-col form-col2">
                                <select id="zobrazitOdpovediNeuspesne">
                                    <option value="0" <?= !$test ->zobrazitOdpovediNeuspesne ? 'selected="selected"' : ''?>><?= TextManager::_('Nezobrazovat_odpovedi') ?></option>
                                    <option value="1" <?= $test ->zobrazitOdpovediNeuspesne == 1 ? 'selected="selected"' : ''?>><?= TextManager::_('Oznacit_spatne_odpovedi') ?></option>
                                    <option value="2" <?= $test ->zobrazitOdpovediNeuspesne == 2 ? 'selected="selected"' : ''?>><?= TextManager::_('Zobrazit_spravne_odpovedi') ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="buttons">
                        <input type="submit" id="ulozitHlavickuTestu" value="<?= TextManager::_('OK') ?>" class="submitbutton">
                    </div>
                </div>
            </div>

            <!-- seznam otazek a editace vybrane otazky -->
            <div id="test_otazka">
                <?php require 'ronportal/testy/view_editace_otazek.php'; ?>
            </div>
        </div>
    </div>

    <div id="elearning_prilohy" class="fileuploader" data-upload-url="?menuid=kurzy&action=upload&revize=<?= $testEKurzu ->idRevize ?><?= Csrf::csrfUrlParameter('upload_priloha_' . $testEKurzu ->idRevize) ?>">
        <div class="inputtablesection"><?= TextManager::_('Prilohy') ?></div>
        <!--        <a href="">--><?//= TextManager::_('Pridat_prilohu') ?><!--</a>-->
        <ul class="items-list menu-list media-list prilohy-container" id="kurz_prilohy"
            data-prilohy-url="?menuid=kurzy&action=prilohy&revize=<?= $testEKurzu ->idRevize ?>"
            data-download-url="?menuid=kurzy&revize=<?= $testEKurzu ->idRevize ?>"
            data-id-revize="<?= $testEKurzu ->idRevize ?>"
        >
        </ul>

        <i class="fa fa-spin glyph-spinner position-absolute position-top position-right margin-all-2 loading-indicator"></i>
    </div>

    <div id="workingInfo" class="workingInfo" style="display: none;">

    </div>

</div>

