<?php

namespace RonPortal\Hodnoceni;

use Ron\DB\Database;
use Ron\DB\DBException;

/**
 * Obsahuje informace o provedenem hodnoceni (kod hodnotil, znamka)
 * Class Hodnotitel
 * @package Ron\Personalistika
 */
class Hodnotitel
{
    var $id;  // id PripraveneTemaHodnoceni

    var $hodnotici; // jmeno
    var $urovenPredavani;
    var $znamka;
    var $koeficient;

    /**
     * @param Database $database
     * @param int $idVysledku
     * @param int $temaCislo
     * @return Hodnotitel[]
     * @throws DBException
     */
    public static function nactiHodnotitele($database, $idVysledku, $temaCislo)
    {
        $result = [];

        $sql =
            'SELECT PripraveneTemaHodnoceni.Hodnotici, PripraveneTemaHodnoceni.Id, HodnoceniOsoby.UrovenPredavani, ' .
            '       HodnoceniOsoby.Znamka, HodnoceniOsoby.Koeficient ' .
            '  FROM PripraveneTemaHodnoceni, HodnoceniOsoby ' .
            ' WHERE PripraveneTemaHodnoceni.Id = HodnoceniOsoby.Id ' .
            '   AND HodnoceniOsoby.IDVysledku = ' . (int)$idVysledku .
            '   AND PripraveneTemaHodnoceni.TemaCislo = ' . (int)$temaCislo .
            ' ORDER BY PripraveneTemaHodnoceni.Id ';

        $cursor = $database ->getSqlResult($sql);

        while ($row = $cursor ->fetch()) {
            $hodnotitel = new Hodnotitel();
            $hodnotitel ->id = $row[1];
            $hodnotitel ->hodnotici = $row[0];
            $hodnotitel ->urovenPredavani = $row[2];
            $hodnotitel ->znamka = $row[3];
            $hodnotitel ->koeficient = $row[4];

            $result[] = $hodnotitel;
        }

        return $result;
    }
}
