<?php
/**
 * Roman.Szablatura RON Software 16.09.2019
 */

namespace RonPortal\Jidelna;


use Ron\Http\Csrf;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\PravaNaOsoby;

$model = Model::getInstance();
/** @var DetailObjednavky $objednavka */
$objednavka = $model->getData('objednavka');

/** @var PravaNaOsoby $pravo_zruseni_objednavky */
$pravo_zruseni_objednavky = $model->getData('pravo_zruseni_objednavky');

/** @var PravaNaOsoby $pravo_prevedeni_objednavky */
$pravo_prevedeni_objednavky = $model->getData('pravo_prevedeni_objednavky');



?>
<!--<script type="text/javascript">jidelna.prevestObjednavkuPresDetail();</script>-->
<h1><?= TextManager::_("Jidelna_detail_objednavky")?></h1>

<?php MessageManager::getInstance() ->showMessages(); ?>

<form method="POST" action="?menuid=jidelnaobjednavky">
    <input type="hidden" name="id" value="<?= $objednavka->idObjednavky ?>">
    <input type="hidden" name="osoba" value="<?= $objednavka->idPP ?>">
    <?= Csrf::csrfHiddenInput('zruseni_objednavky_' . $objednavka ->idObjednavky) ?>

    <div class="form middle-form" id="detail-objednavky-jidla">
        <div class="form-content">

            <div class="row">
                <div class="col col-12 col-sm-3 caption"></div>
                <div class="col col-12 col-sm-9">
                    <?php if ($objednavka->kodSerialFoto) { ?>
                        <span >
                            <img style="max-width: 20rem"
                                 id="polozkajidelnicku_foto_img"
                                 alt="<?= StringUtils::htmlTextConvert($objednavka->popisNabidky) ?>"
                                 data-link="?menuid=jidelnaobjednavky&action=zobrazfoto&idpolozky=<?= $objednavka->idObjednavky ?>"
                                 src="?menuid=jidelnaobjednavky&action=zobrazfoto&idpolozky=<?= $objednavka->idObjednavky ?>">
                        </span>
                    <?php } ?>
                </div>
            </div>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_vlastnik') ?></div>
                <div class="col col-7 col-sm-8 font-weight-bold">
                    <?= StringUtils::htmlTextConvert($objednavka->stravnikJmeno) ?>
                </div>
            </div>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Date') ?></div>
                <div class="col col-7 col-sm-8 font-weight-bold">
                    <?= StringUtils::format("date", $objednavka->den) ?>
                </div>
            </div>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Typ') ?></div>
                <div class="col col-7 col-sm-8">
                    <?= StringUtils::htmlTextConvert($objednavka->typDennihoJidla) ?>
                </div>
            </div>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_cislo_nabidky') ?></div>
                <div class="col col-7 col-sm-8">
                    <?= $objednavka->cisloNabidky ?>
                </div>
            </div>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Popis') ?></div>
                <div class="col col-7 col-sm-8 font-weight-bold">
                    <?= StringUtils::htmlTextConvert($objednavka->popisNabidky) ?>
                </div>
            </div>

            <?php if ($objednavka->popisNabidky_Jazyk2) { ?>
            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_popis_dalsim_jazyce') ?></div>
                <div class="col col-7 col-sm-8">
                    <?= StringUtils::htmlTextConvert($objednavka->popisNabidky_Jazyk2) ?>
                </div>
            </div>
            <?php } ?>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_cena_polozky') ?></div>
                <div class="col col-7 col-sm-8 font-weight-bold">
                    <?= StringUtils::format('curr', $objednavka->cenaJidla_A) ?>
                </div>
            </div>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna') ?></div>
                <div class="col col-7 col-sm-8">
                    <?= StringUtils::htmlTextConvert($objednavka->jidelna) ?>
                </div>
            </div>

            <?php if ($objednavka->rozsirujiciPopis) { ?>
            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_rozsireny_popis_polozky') ?></div>
                <div class="col col-7 col-sm-8 font-weight-bold">
                    <?= StringUtils::htmlTextConvert($objednavka->rozsirujiciPopis) ?>
                </div>
            </div>
            <?php } ?>

            <div class="row">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_datum_cas_objednani') ?></div>
                <div class="col col-7 col-sm-8">
                    <?= StringUtils::format("datetime", $objednavka->datumCasObjednani) ?>
                </div>
            </div>

            <?php if (!$objednavka->datumCasZruseni  ||  $objednavka->datumCasVydani) { ?>
            <div class="row <?= $objednavka->datumCasVydani ? 'infomsg success-background' : '' ?>">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_datum_cas_vydani') ?></div>
                <div class="col col-7 col-sm-8">
                    <?= StringUtils::format("datetime", $objednavka->datumCasVydani) ?>
                </div>
            </div>
            <?php } ?>

            <?php if ($objednavka->datumCasZruseni) { ?>
            <div class="row warningmsg">
                <div class="col col-5 col-sm-4 caption"><?= TextManager::_('Jidelna_datum_cas_zruseni') ?></div>
                <div class="col col-7 col-sm-8">
                    <?= StringUtils::format("datetime", $objednavka->datumCasZruseni) ?>
                </div>
            </div>
            <?php } ?>

        </div>


        <div class='buttons'>
            <button class="button clickHref" data-ron-href="?menuid=jidelnaobjednavky" ><?= TextManager::_('Zpet')?></button>

            <?php if (!$objednavka->datumCasZruseni  &&  !$objednavka ->datumCasVydani  &&  $pravo_zruseni_objednavky->lzeZobrazitPP($objednavka->idPP)) { ?>
                <button class="button confirmQuestion" name="jidelnazrusitobjednavku"
                        data-ron-confirm-text="<?= TextManager::_('Jidelna_zrusit_objednavku_potvrzeni') ?>"
                        value="1"><?= TextManager::_('Jidelna_zrusit_objednavku') ?></button>
            <?php } ?>

            <?php if (!$objednavka->datumCasZruseni  &&  !$objednavka ->datumCasVydani  &&  $pravo_prevedeni_objednavky->lzeZobrazitPP($objednavka->idPP)) { ?>
                <input type="button"
                       class="button objednavku-prevest-pres-detail"
                       id="jidelnaprevestobjednavkupresdetail"
                       name="jidelnaprevestobjednavkupresdetail"
                       data-ron-idpp='<?= $objednavka->idPP ?>'
                       data-ron-jmeno='<?= StringUtils::htmlTextConvert($objednavka->stravnikJmeno) ?>'
                       data-ron-cislo-objednavky='<?= $objednavka->idObjednavky ?>'
                       data-ron-id-polozky-jidelnicku='<?= $objednavka->idPolozkyJidelnicku ?>'
                       data-ron-jidelna='<?= $objednavka->jidelnaKod ?>'
                       data-ron-popis-objednavky='<?= StringUtils::htmlTextConvert($objednavka->popisNabidky) ?>'
                       data-csrfkey='<?= Csrf::getCsrfKey('prevod_objednavky_' . $objednavka->idObjednavky) ?>'
                       value="<?= TextManager::_('Jidelna_prevest_na_jinou_osobu') ?>">
            <?php } ?>
        </div>
    </div>
</form>


<?php
    //Dialog pro prevod
    require 'ronportal/jidelna/view_prevedeni_objednavky.php';
?>