<?php
/**
 * stanislav.elbl, 10.03.2021
 */

namespace RonPortal\Kapacity;

use RonPortal\NastaveniUzivatele;
use RonPortal\RonPortalSettings;

class KapacitySettings
{
    const KAPACITY_EDITACE = 'editacekapacit';

    const KAPACITY_TYP_ROZDELENI = 'kapacity_typrozdeleni';
    const KAPACITY_TYP_ROZDELENI2 = 'kapacity_typrozdeleni2';

    const SIRKA_BUNKY = 'kapacity_sirka';
    const VYSKA_BUNKY = 'kapacity_vyska';
    const SIRKA_BUNKY_DETAILNI = 'kapacity_sirka_detailni';
    const VYSKA_BUNKY_DETAILNI = 'kapacity_vyska_detailni';
    const EDITACE_SCHVALENYCH = 'editaceschvalenychkapacit';
    const ZAKAZAT_SNIZIT_SCHVALENI = 'kapacity_zakazatsnizitschvaleni'; // jestli muze snizit datum schvaleni pro svou nejvyssi povolenou uroven
    const ZPUSOB_SCHVALOVANI = 'kapacity_zpusobschvalovani';   // jestli se schvaluje cele rozdeleni najednou
    const MIN_SCHVALENI_PRO_UPRAVY = 'kapacity_minschvaleniproupravy';
    const TLACITKO_PREPOCET = 'kapacity_tlacitkoprepocet';
    const POVOLIT_REZIM_UPRAV = 'kapacity_rezimuprav';
    //const SETTINGS_POVOLIT_PODRIZENA_ROZDELENI = 'kapacity_povolitpodrizenarozdeleni'; // z nastaveni aplikace

    // nastaveni pro zastupy uzivatelu
    const TYP_ROZDELENI_POZICE = 'zastup_typ_rozdeleni_pozice';
    const POZICE_VYCET = 'zastup_pozice_vycet';
    const SMENA_PRO_PLANOVANI = 'zastup_smena_plan';
    const PREFEROVANY_TYP_ROZDELENI = 'zastup_preferovat_typ_rozdeleni';
    const PREFEROVANE_ROZDELENI = 'zastup_preferovat_typ_rozdeleni';
    const TYP_KATEGORIE_POZICE = 'zastup_typ_kategorie_pozice';
    const TYP_ROZDELENI_FILTR = 'zastup_filtrovat_typ_rozdeleni';

    /**
     * Vraci typ rozdeleni, ktery bude ve vyberu
     * @return int
     */
    public static function typRozdeleniProVyber()
    {
        $result = RonPortalSettings::getIntValue(self::KAPACITY_TYP_ROZDELENI);
        if ($result) {
            // typ rozdeleni pro predavani na strediscich je nastaven
            return $result;
        }

        // pouzije stejny typ jako pro zbytek portalu
        return RonPortalSettings::getIntValue(RonPortalSettings::ROZDELENI_TYP);
    }


    public static function povolitRezimuUprav()
    {
        return RonPortalSettings::getIntValue(self::POVOLIT_REZIM_UPRAV);
    }


    public static function sirkaBunky($database)
    {
        return (int)NastaveniUzivatele::getUserSettingsItem($database,
            'pk_sirkabunky', RonPortalSettings::getIntValue(self::SIRKA_BUNKY, 35));
//        return RonPortalSettings::getIntValue(self::SIRKA_BUNKY) ?: 35;

        // zatim vypnuto - neni dodelano - defaultne by melo byt prazdne - otestovat
//        $userSirka = NastaveniUzivatele::getUserSettingsItem($database, 'pk_sirkabunky');
//        return ($userSirka && (int)$userSirka >= 10)
//            ? (int)$userSirka
//            : RonPortalSettings::getIntValue(self::SIRKA_BUNKY);
    }


    public static function vyskaBunky($database)
    {
        return (int)NastaveniUzivatele::getUserSettingsItem($database,
            'pk_vyskabunky', RonPortalSettings::getIntValue(self::VYSKA_BUNKY, 35));
//        return RonPortalSettings::getIntValue(self::VYSKA_BUNKY) ?: 35;

        //        $userVyska = NastaveniUzivatele::getUserSettingsItem($database, 'pk_vyskabunky');
//        return ($userVyska && (int)$userVyska >= 10)
//            ? (int)$userVyska
//            : RonPortalSettings::getIntValue(self::VYSKA_BUNKY);
    }


    public static function sirkaBunkyDetailni($database)
    {
        return max(15, (int)NastaveniUzivatele::getUserSettingsItem($database,
            'pk_sirkabunky_detailni', RonPortalSettings::getIntValue(self::SIRKA_BUNKY_DETAILNI, 75)));
    }


    public static function vyskaBunkyDetailni($database)
    {
        return max(15, (int)NastaveniUzivatele::getUserSettingsItem($database,
            'pk_vyskabunky_detailni', RonPortalSettings::getIntValue(self::VYSKA_BUNKY_DETAILNI, 75)));
    }


    public static function pouzivatKontrolyPlanovani()
    {
        return (int)RonPortalSettings::getInstance()->getIntValue('kapacity_kontrolovat_podminky');
    }

}
