<?php

namespace RonPortal\Kapacity;

use Ron\StringUtils;

class PlanovaniKapacit_SloupecHlavicky
{
    public $nadpis;

    /** @var string     R = kod rozdeleni, U<n> = uzivatelska, P<n> = uzivatelska pracovniho pomeru */
    public $kodCasoveSlozky;
    /** @var string     H/D/K */
    public $jednotka;
    public $className;

    /** @var bool       Priznak, ze se ma polozka ve slotovem rezimu zobrazit na dalsim radku */
    public $dalsiRadek = false;

    public function nactiNastaveni($nastaveniStr)
    {
        // kod:nadpis:jednotka
        $poma = explode(':', $nastaveniStr);

        $this->kodCasoveSlozky = $poma[0];

        if ($this ->kodCasoveSlozky[0] === '/') {
            $this ->dalsiRadek = true;
            $this ->kodCasoveSlozky = substr($this->kodCasoveSlozky, 1);
        }

        if (isset($poma[1])) {
            $this->nadpis = \Ron\ronText($poma[1]);
        }
        if (isset($poma[2])) {
            $this->jednotka = $poma[2];
        }

        switch ($this ->kodCasoveSlozky) {
            case 'R' :
            case 'IMG' :
            case 'U1' : case 'U2' : case 'U3' : case 'U4' : case 'U5' :
            case 'U6' : case 'U7' : case 'U8' : case 'U9' : case 'U10' :
            case 'U11' : case 'U12' : case 'U13' : case 'U14' : case 'U15' :
            case 'U16' : case 'U17' : case 'U18' : case 'U19' : case 'U20' :
            case 'P1' : case 'P2' : case 'P3' : case 'P4' : case 'P5' :
            case 'P6' : case 'P7' : case 'P8' : case 'P9' : case 'P10' :
            case 'P11' : case 'P12' : case 'P13' : case 'P14' : case 'P15' :
            case 'P16' : case 'P17' : case 'P18' : case 'P19' : case 'P20' :
                $this ->className = 'textcol textcol_' . $this ->kodCasoveSlozky;
                break;

            case 'CAS_SCHVALENI1' : case 'CAS_SCHVALENI2' : case 'CAS_SCHVALENI3' :
                $this ->className = 'align-right textcol textcol_' . $this ->kodCasoveSlozky;
                break;

            default :
                $this ->className = 'align-right mvcol mvcol_' . str_replace(' ', '_', $this ->kodCasoveSlozky);
        }
    }


    public function getJson() {
        return [
            'kodCasoveSlozky' => StringUtils::jsonText($this->kodCasoveSlozky),
            'nadpis' => StringUtils::jsonText($this ->nadpis),
            'className' => StringUtils::jsonText($this ->className),
            'dalsiRadek' => $this ->dalsiRadek ? 1 : 0
        ];
    }
}
