<?php
/**
 * stanislav.elbl, 10.03.2021
 */

namespace RonPortal\Kapacity;

use Ron\DB\Database;

class SchvaleniKapacitRozdeleni extends SchvaleniKapacit
{
    /** @var int */
    var $kodTypuRozdeleni;
    /** @var string */
    var $rozdeleni;


    public function lzeSchvalovatDen($uroven, $datum)
    {
        $pravo = $this ->vratPravoProUroven($uroven);
        return $pravo ->jePravoNaRozdeleni($this ->kodTypuRozdeleni, $this ->rozdeleni, $datum, $datum);
    }


    /**
     * @param Database $database
     * @param int    $pocatekObdobi
     * @param int    $typRozdeleni
     * @param string $kodRozdeleni
     * @return SchvaleniKapacitRozdeleni
     * @throws \Ron\DB\DBException
     */
    public static function nactiSchvaleni($database, $pocatekObdobi, $typRozdeleni, $kodRozdeleni)
    {
        $result = new static();

        $result ->schvaleni1 = $result ->schvaleni2 = $result ->schvaleni3 = 0;
        $result ->schvaleniUprav1 = $result ->schvaleniUprav2 = $result ->schvaleniUprav3 = 0;

        $params = $database ->createParameters();
        $sql =
            'SELECT Schvaleni1, Schvaleni2, Schvaleni3, SchvaleniUprav1, SchvaleniUprav2, SchvaleniUprav3' .
            ' FROM SchvaleniPlanuRozdeleni' .
            ' WHERE KodTypuRozdeleni = ' . $params ->addParameter($typRozdeleni) .
            ' AND Rozdeleni = ' . $params ->addParameter($kodRozdeleni) .
            " AND Aplikace = 'ADS'" .
            ' AND PocatekObdobi = ' . $params ->addParameter($database ->dateToParam($pocatekObdobi));

        $cursor = $database ->getSqlResult($sql, $params);

        $row = $cursor ->fetch();
        if ($row) {
            $result ->schvaleni1 = $row[0] ? $database ->stringToTimestamp($row[0]) : 0;
            $result ->schvaleni2 = $row[1] ? $database ->stringToTimestamp($row[1]) : 0;
            $result ->schvaleni3 = $row[2] ? $database ->stringToTimestamp($row[2]) : 0;

            $result ->schvaleniUprav1 = $row[3] ? $database ->stringToTimestamp($row[3]) : 0;
            $result ->schvaleniUprav2 = $row[4] ? $database ->stringToTimestamp($row[4]) : 0;
            $result ->schvaleniUprav3 = $row[5] ? $database ->stringToTimestamp($row[5]) : 0;
        }

        return $result;
    }

}
