<?php
/**
 * pavel.rudol, 20.12.2024 11:00
 */

namespace RonPortal\Mzdy;

use Ron\DB\Database;

class OznameniDavekNZ
{
    public $idPP;

    public $id;
    public $cisloDokladu;
    public $status;
    public $druhDavky;

    /**
     * @param Database $database
     * @param int $id
     * @return OznameniDavekNZ|null
     */
    public static function load($database, $id)
    {
        $params = $database->createParameters();

        /*
         * ePodani, DruhDavky, CisloRozhodnutiStatus, ZadostOdDne, ZadostDoDne, OznacenoUzivatelem, DatumCasVlozeni, TypRozdeleni, Rozdeleni, RC_RodinnyPrislusnik,
            DuvodOtcovske, DuvodPece, nazevZarizeniSkoly, ICZarizeniSkoly, spolecnaDomacnost, jeOsamely, vPeciDiteDo16Let, narokNaPPMjinouOsobou, narokNaRPjinaOsobaNecerpa,
            jinaFOParagraf57, pecovalPoCelouDobu, KodRodVztah, KodVztah, JeStridani, predpokladanyDenPorodu
         * */

        $sql =
            'SELECT PracovniPomer.ID, OznameniKDavkamNZ.ID, OznameniKDavkamNZ.RC, OznameniKDavkamNZ.OsobniCislo, OznameniKDavkamNZ.DatumNastupu, OznameniKDavkamNZ.CisloDokladu, OznameniKDavkamNZ.CisloRozhodnutiStatus,
            OznameniKDavkamNZ.DruhDavky
            FROM OznameniKDavkamNZ JOIN PracovniPomer ON (PracovniPomer.RC = OznameniKDavkamNZ.RC AND PracovniPomer.OsobniCislo = OznameniKDavkamNZ.OsobniCislo AND PracovniPomer.DatumNastupu = OznameniKDavkamNZ.DatumNastupu)
            WHERE (OznameniKDavkamNZ.ID = ' . $params->addParameter($id) . ')';

        $cursor = $database->select($sql, $params);

        $row = $cursor->fetch();

        if ($row) {
            $oznameniDavekNZ = new OznameniDavekNZ();
            $oznameniDavekNZ->idPP = $row[0];
            $oznameniDavekNZ->id = $row[1];
            $oznameniDavekNZ->cisloDokladu = $row[5];
            $oznameniDavekNZ->status = $row[6];
            $oznameniDavekNZ->druhDavky = $row[7];

            return $oznameniDavekNZ;
        }

        return null;
    }
}