<?php
/**
 * pavel.rudol, 18.06.2024 13:17
 */

use Ron\MVC\Model;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Mzdy\DaneController;
use RonPortal\Mzdy\VyuctovaniDaneForm;

$model = Model::getInstance();

/** @var VyuctovaniDaneForm $rocniVyuctovaniForm */
/** @var bool $jednoduchyVzhled */
/** @var string $classStr */
/** @var int $rok */

?>


    <div class='dodatacne-slevy d-none'>

        <div class="row">
            <div class="col col-12 col-md-12 center">
                <h2><?= TextManager::_("zadost_slevy_na_dani") ?></h2>
            </div>
        </div>

        <div class="form-content ram">
            <div class="row">

                <div class="col col-12 col-md-2 ">
                    <?= TextManager::_('aktualni_stav') ?>
                </div>

                <div class="col col-12 col-md-2 ">
                    <?= TextManager::_('pozaduji_zmenu') ?>

                    <?php
                    $zmenaOdpoctu = (isset($_POST['pozaduji_upravu_slev']) && ($_POST['pozaduji_upravu_slev'] == 1)) ? "checked" : "";
                    ?>
                    <input type="checkbox" name="dodatecneslevy" value="1" class="daneToggleDisabled" data-selector=".dodatecne_odecet" <?= $zmenaOdpoctu ?> >
                </div>

            </div>

            <div class="row">
                <div class="col col-12 col-md-2 ">
                    <label>
                        <?php $rocniVyuctovaniForm->renderComboOdpocet('zmeny_zakladni_odecet', $rocniVyuctovaniForm->odpocetZakladni) ?>
                    </label>
                </div>


                <div class="col col-12 col-md-2 ">

                    <label>
                        <?php
                        $rocniVyuctovaniForm->renderComboOdpocet('sleva_zakladni_nova', (int)($_POST['sleva_zakladni_nova'] ?? $rocniVyuctovaniForm->odpocetNavrhZakladni), false,
                            [
                                'class' => 'dodatecne_odecet',
                            ]);
                        ?>
                    </label>

                </div>

                <div class="col col-12 col-md-8 font-weight-bold">
                    <?= TextManager::_("zakladni_sleva_poplatnika") ?>
                </div>
            </div>

            <div class="row">
                <div class="col col-12 col-md-2 ">
                    <label>
                        <?php $rocniVyuctovaniForm->renderComboOdpocet('zmeny_zdravotni_stav1', $rocniVyuctovaniForm->odpocetZdravotniStav); ?>
                    </label>
                </div>


                <div class="col col-12 col-md-2 ">
                    <label>
                        <?php if ($rocniVyuctovaniForm->zdravotniStav->stav == 1) {
                            $rocniVyuctovaniForm->renderComboOdpocet('sleva_na_zdravotni_stav1', (int)($_POST['sleva_na_zdravotni_stav1'] ?? $rocniVyuctovaniForm->odpocetNavrhZdravotniStav),false,
                                [
                                    'class' => 'dodatecne_odecet',
                                ]);
                        } ?>
                    </label>
                </div>


                <div class="col col-12 col-md-8 info">
                    <div class="font-weight-bold float-left"><?= TextManager::_("zakladni_sleva_na_invaliditu") ?></div>
                    <?php if ($jednoduchyVzhled) { ?>
                        <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte11"></div>
                    <?php } ?>

                    <div id="dane_info_skryte11" <?= $classStr ?>>
                        <?= TextManager::_("zakladni_sleva_na_invaliditu_info") ?>
                    </div>
                </div>
            </div>

            <?php if ($rocniVyuctovaniForm->zdravotniStav->stav == 1) { ?>
                <div class="row">
                    <div class="col col-1">
                    </div>
                    <div class="col col-11 ">
                        <?php $rocniVyuctovaniForm->renderMesiceDodatecneSlevy('sleva_zdr_stav1_mesice', 'dodatecne_odecet'); ?>
                    </div>
                </div>
            <?php } ?>

            <div class="row">
                <div class="col col-12 col-md-2 ">
                    <label>
                        <?php $rocniVyuctovaniForm->renderComboOdpocet('zmeny_zdravotni_stav2', $rocniVyuctovaniForm->odpocetZdravotniStav == 2 ? 1 : 0); ?>
                    </label>
                </div>

                <div class="col col-12 col-md-2 ">
                    <label>
                        <?php if ($rocniVyuctovaniForm->zdravotniStav->stav == 2) {
                            $rocniVyuctovaniForm->renderComboOdpocet('sleva_na_zdravotni_stav2', (int)($_POST['sleva_na_zdravotni_stav2'] ?? $rocniVyuctovaniForm->odpocetNavrhZdravotniStav == 2 ? 1 : 0),false,
                                [
                                    'class' => 'slevaNaInvaliditu dodatecne_odecet',
                                ]);
                        } ?>
                    </label>
                </div>

                <div class="col col-12 col-md-8 info">
                    <div class="font-weight-bold float-left"><?= TextManager::_("rozsirenou_sleva_na_invaliditu") ?></div>

                    <?php if ($jednoduchyVzhled) { ?>
                        <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte12"></div>
                    <?php } ?>

                    <div id="dane_info_skryte12" <?= $classStr ?>>
                        <?= TextManager::_("rozsirenou_sleva_na_invaliditu_info") ?>
                    </div>
                </div>
            </div>

            <?php if ($rocniVyuctovaniForm->zdravotniStav->stav == 2) { ?>
                <div class="row">
                    <div class="col col-1">
                    </div>
                    <div class="col col-11 ">
                        <?php $rocniVyuctovaniForm->renderMesiceDodatecneSlevy('sleva_zdr_stav2_mesice', 'dodatecne_odecet'); ?>
                    </div>
                </div>
            <?php } ?>


            <div class="row">
                <div class="col col-12 col-md-2 ">
                    <label>
                        <?php $rocniVyuctovaniForm->renderComboOdpocet('zmeny_ztpp', $rocniVyuctovaniForm->odpocetZTPP); ?>
                    </label>
                </div>


                <div class="col col-12 col-md-2 ">
                    <label>
                        <?php if ($rocniVyuctovaniForm->zdravotniStav->drzitelPrukazuZTTP) {
                            $rocniVyuctovaniForm->renderComboOdpocet('sleva_ztpp', (int)($_POST['sleva_ztpp'] ?? $rocniVyuctovaniForm->odpocetNavrhZTPP),false,
                                [
                                    'class' => 'dodatecne_odecet',
                                ]);
                        } ?>
                    </label>
                </div>


                <div class="col col-12 col-md-8 info">
                    <div class="font-weight-bold float-left"><?= TextManager::_("slevu_na_ztp") ?></div>

                    <?php if ($jednoduchyVzhled) { ?>
                        <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte13"></div>
                    <?php } ?>

                    <div id="dane_info_skryte13" <?= $classStr ?>>
                        <?= TextManager::_("slevu_na_ztp_info") ?>
                    </div>
                </div>
            </div>

            <?php if ($rocniVyuctovaniForm->zdravotniStav->drzitelPrukazuZTTP) { ?>
                <div class="row">
                    <div class="col col-1">
                    </div>
                    <div class="col col-11 ">
                        <?php $rocniVyuctovaniForm->renderMesiceDodatecneSlevy('sleva_ztpp_mesice', 'dodatecne_odecet'); ?>
                    </div>
                </div>
            <?php } ?>

        </div>

        <?php
        DaneController::zobrazDokumenty($rocniVyuctovaniForm->database, $rok, $rocniVyuctovaniForm->pracovniPomer, 'odecet', true,
            (($rocniVyuctovaniForm->zdravotniStav->stav > 0) || ($rocniVyuctovaniForm->zdravotniStav->drzitelPrukazuZTTP == 1) || ($rocniVyuctovaniForm->odpocetStudent == 1)));
        ?>

        <div class="info"><?= TextManager::_("Prohlaseni_zmenova_cast_naroku_na_deti_info") ?></div>

        <div class="row">
            <div class="col col-12 col-md-12 center">
                <h2><?= TextManager::_("zadost_slevy_na_deti") ?></h2>
            </div>
        </div>

        <div class="form-content ram">

            <div class="row">
                <div class="col col-12 col-md-4 "></div>
                <div class="col col-12 col-md-4 align-center">
                    <?= TextManager::_('pozaduji_zmenu') ?>

                    <input type="checkbox" name="dodatecneslevydeti" class="daneToggleDisabled" data-selector=".dodatecneporadi" value="1">
                </div>

                <div class="col col-12 col-md-4 "></div>
            </div>


            <br>


            <div class="row">
                <div class="col col-12 col-md-2 ">
                    <?= TextManager::_("Prohlaseni_jmeno_ditete") ?>
                </div>

                <div class="col col-12 col-md-2 ">
                    <?= TextManager::_("rc") ?>
                </div>

                <div class="col col-12 col-md-3 ">
                    <?= TextManager::_("uplatnuji_narok") ?><sup>11)</sup>
                </div>


                <div class="col col-12 col-md-3 center">
                    <?= TextManager::_("Prohlaseni_zmena_poradi") ?>
                </div>


                <div class="col col-12 col-md-1 center">
                    <?= TextManager::_("ZTP/P") ?><sup>4)</sup>
                </div>

                <div class="col col-12 col-md-1 center">
                    <?= TextManager::_("zletile_dite") ?><sup>4)</sup>
                </div>

            </div>

            <hr class="oddelovac">

            <?php
            $i = 0;

            if (!is_null($rocniVyuctovaniForm->deti)) {

                $uplatnujeOdpocetNaDeti = false;
                foreach ($rocniVyuctovaniForm->deti as $dite) {
                    if ($dite->poradDitete > 0) {
                        $uplatnujeOdpocetNaDeti = true;
                    }

                    ?>

                    <div class="row">
                        <div class="col col-12 col-md-2">
                            <input type="hidden" name="dite_<?= $i ?>" value="<?= $dite->id; ?>">
                            <?= StringUtils::htmlTextConvert($dite->jmeno) ?>&nbsp;<?= StringUtils::htmlTextConvert($dite->prijmeni) ?>
                        </div>

                        <div class="col col-12 col-md-2">
                            <?= StringUtils::htmlTextConvert($dite->rodneCislo) ?>
                        </div>

                        <div class="col col-12 col-md-3 center">
                            <?= ($dite->poradDitete == 0) ? "N" : $dite->poradDitete ?>
                            <?= $dite->zmenaOd > time() ? sprintf(TextManager::_('Prohlaseni_zmena_od'), date('n/Y', $dite->zmenaOd)) : '' ?>
                        </div>

                        <div class="col col-12 col-md-3 center">

                            <label title="<?= TextManager::_('zruseni_nahlaseni_zmeny_poradi_info') ?>">
                                <?php
                                $rocniVyuctovaniForm->renderComboPoradiDitete("dite_poradi_navrh_$i", ($_POST["dite_poradi_navrh_$i"] ?? $dite->poradDiteteNavrh), false,
                                    ['class' => 'danovezvyhodneniporadiditete dodatecneporadi'], true);
                                ?>
                            </label>

                        </div>

                        <div class="col col-12 col-md-1 center">
                            <label>
                                <input type="checkbox" <?= $dite->ztpp ? 'checked' : "" ?> value="1" disabled>
                            </label>
                        </div>

                        <div class="col col-12 col-md-1 center">
                            <label>
                                <input type="checkbox" <?= $dite->vekNaZacatkuRoku->y >= 18 ? 'checked' : "" ?> value="1" disabled>
                            </label>
                        </div>

                    </div>

                    <div class="row">
                        <div class="col col-1 ">
                        </div>
                        <div class="col col-11 ">
                            <?php $rocniVyuctovaniForm->renderMesiceDodatecneSlevy("dite_mesic_navrh_$i", 'dodatecneporadi'); ?>
                        </div>
                    </div>

                    <?php $i++;
                }
            } ?>
            <input type="hidden" name="pocetDetidodatecneporadi" value="<?= $i ?>">
        </div>

        <?php if ($jednoduchyVzhled) { ?>
            <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte16"></div>
        <?php } ?>

        <div id="dane_info_skryte16" <?= $classStr ?>>
            <div class="info"><sup>11)</sup>&nbsp;<?= TextManager::_("Prohlaseni_dle_paragrafu_38_za_11") ?></div>
        </div>

        <?php
        DaneController::zobrazDokumenty($rocniVyuctovaniForm->database, $rok, $rocniVyuctovaniForm->pracovniPomer, 'deti', true, $i > 0 && $uplatnujeOdpocetNaDeti);
        ?>

    </div>