<?php

namespace RonPortal\Personalistika;

use Ron\DB\Database;
use Ron\DB\SqlStatement;
use RonPortal\Dokumenty\DokumentyBrowser;

/**
 * Class DokumentyNahlaseneZmenyBrowser
 * @package Ron\RonPortal
 */
class DokumentyNahlaseneZmenyBrowser extends DokumentyBrowser
{

    /**
     * DokumentyNahlaseneZmenyBrowser constructor.
     * @param Database $database
     * @param $idZmeny
     */
    function __construct($database, $idZmeny, $lzeEditovat)
    {
        parent::__construct($database,
            "?menuid=nahlasenezmeny&action=dokumentdownload&id=$idZmeny",
            $lzeEditovat ? 1 : 0,
            $lzeEditovat ? "?menuid=nahlasenezmeny&action=dokumentdelete&id=$idZmeny" : null);

        $this->sqlFromPart =
            'Dokument, TypDokumentu, DokumentZmeny';

        $params = $database->createParameters();
        $where =
            'Dokument.Id = DokumentZmeny.Id ' .
            ' AND TypDokumentu.Kod = Dokument.Typ ' .
            ' AND DokumentZmeny.IDZmeny = ' . $params->addParameter($idZmeny);

        $this ->sqlWherePart = new SqlStatement($where, $params);

        $this ->showMessages = false;
    }
}

