<?php
/** Roman.Szablatura 24.03.2016 */

namespace RonPortal\Personalistika;

use Ron\MessageManager;
use Ron\StringUtils;
use Ron\MVC\Model;
use Ron\TextManager;
use RonPortal\Controls\FormReportsListView;
use RonPortal\Dokument;
use RonPortal\System\Report;

$model = Model::getInstance();

/* @var LekarskaProhlidka $zdravotniProhlidka */
$zdravotniProhlidka = $model->getData('zdravotniprohlidka');

/** @var Report[] */
$reportList = $model->getData('reportList');

?>

<h1><?= TextManager::_('Zdravotni_prohlidka') ?></h1>


<?php MessageManager::getInstance() ->showMessages() ?>

<div class='form large-form record-view'>
    <div id="hlavickaprohlidky_signatura" class="form-content">
        <div class="row">
            <div class="col-12 col-sm-3"></div>
            <div class="col-12 col-sm-9">
                <strong><?= StringUtils::htmlTextConvert($zdravotniProhlidka ->jmeno)?> <?= StringUtils::htmlTextConvert($zdravotniProhlidka ->prijmeni) ?></strong>
            </div>
        </div>
    </div>


    <div id="detaily" class="form-content">
        <div id="hlavickaprohlidky_detaily" class="form-section">
            <strong><?= TextManager::_('Detaily') ?></strong>
        </div>

        <div id="hlavickaprohlidky_popis" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('popis_zdravotni_prohlidky')?></div>
            <div class="col-12 col-sm-9"><?= StringUtils::htmlTextConvert($zdravotniProhlidka->popisLekarskeProhlidky) ?></div>
        </div>

        <div id="hlavickaprohlidky_duvod" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('duvod_zdravotni_prohlidky')?></div>
            <div class="col-12 col-sm-9"><?= StringUtils::htmlTextConvert($zdravotniProhlidka->duvodProhlidky) ?></div>
        </div>

        <div id="hlavickaprohlidky_vznikpovinnosti" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('datum_vzniku_povinnosti')?></div>
            <div class="col-12 col-sm-9"><?= StringUtils::format('date', $zdravotniProhlidka->datumVznikuPovinnosti) ?></div>
        </div>

        <div id="hlavickaprohlidky_datumabsolvovani" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('datum_absolvovani')?></div>
            <div class="col-12 col-sm-9"><?= StringUtils::format('date', $zdravotniProhlidka->datumAbsolvovani) ?></div>
        </div>

        <div id="hlavickaprohlidky_vysledek" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('vysledek')?></div>
            <div class="col-12 col-sm-9"><?= StringUtils::htmlTextConvert($zdravotniProhlidka->popisVysledku) ?></div>
        </div>

        <?php if ($zdravotniProhlidka ->vysledekProhlidky) { ?>
            <div id="hlavickaprohlidky_vysledekprohlidky" class="row">
                <div class="col-12 col-sm-3 caption"><?= TextManager::_('Doplnujici_popis_prohlidky')?></div>
                <div class="col-12 col-sm-9 poznamka"><?= StringUtils::longTextToHtml($zdravotniProhlidka->vysledekProhlidky, true) ?></div>
            </div>
        <?php } ?>

        <div id="hlavickaprohlidky_platnostdo" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('Platnost_do')?></div>
            <div class="col-12 col-sm-9"><?= StringUtils::format('date', $zdravotniProhlidka->platnostDo) ?></div>
        </div>

        <div id="hlavickaprohlidky_casprohlidky" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('rezervovany_cas_prohlidky')?></div>
            <div class="col-12 col-sm-9">
                <?= StringUtils::format('date', $zdravotniProhlidka->datumProhlidkyRezervovany) ?>
                <?= $zdravotniProhlidka->casProhlidkyRezervovany
                        ? (StringUtils::format('time', $zdravotniProhlidka->casProhlidkyRezervovany))
                        : ''
                ?>
            </div>
        </div>

        <div id="hlavickaprohlidky_lekar" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('osetrujici_lekar')?></div>
            <div class="col-12 col-sm-9"><?= StringUtils::htmlTextConvert($zdravotniProhlidka->osetrujiciLekar) ?></div>
        </div>

        <div id="hlavickaprohlidky_textpozvanky" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('doplnujici_text')?></div>
            <div class="col-12 col-sm-9 poznamka"><?= StringUtils::longTextToHtml($zdravotniProhlidka->doplnujiciTextPozvanky, true) ?></div>
        </div>

        <div id="hlavickaprohlidky_poznamka" class="row">
            <div class="col-12 col-sm-3 caption"><?= TextManager::_('Poznamka')?></div>
            <div class="col-12 col-sm-9 poznamka"><?= StringUtils::longTextToHtml($zdravotniProhlidka->poznamka, true) ?></div>
        </div>
    </div>


    <div id="reporty" class="form-content">
        <div class="form-section">
            <?= TextManager::_('tiskove_sestavy') ?>
        </div>
        <div id="hlavickaprohlidky_sestavy" class="row">
            <div class="col-12 col-sm-3 caption"></div>
            <div class="col-12 col-sm-9">
                <?php
                    FormReportsListView::renderReportList($reportList,
                        '?menuid=lekarskeprohlidky&action=report&osoba=' . $zdravotniProhlidka->idOsoby .
                        '&kod=' . ($_GET['kod'] ?: '') .
                        '&vznik=' . (StringUtils::format('date', $_GET['vznik']) ?: '')
                    );
                ?>
            </div>
        </div>
    </div>


    <?php  if($zdravotniProhlidka->dokumenty) { ?>
    <div id="dokumenty" class="form-content">
        <div class="form-section">
            <?= TextManager::_('Dokumenty') ?>
        </div>
        <div class="row">
            <div class="col-12 col-sm-3 caption"></div>
            <div class="col-12 col-sm-9"><?php Dokument::renderTable($zdravotniProhlidka ->dokumenty,
                    "?menuid=lekarskeprohlidky&action=download&osoba={$zdravotniProhlidka->idOsoby}&dokument=") ?>
            </div>
        </div>
    </div>
    <?php } ?>

</div>

<div class="margin-all-2">
    <a href="?menuid=lekarskeprohlidky"><?= TextManager::_('Zpet_na_seznam') ?></a>
</div>
