<?php
/**
 * pavel.rudol, 11.04.2020
 */
namespace RonPortal\Sklad;

use Ron\GuiUtils;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\RonPortal\User;
use Ron\StringUtils;
use RonPortal\Controls\FormReportsListView;
use RonPortal\Prava;
use RonPortal\RonPortalSettings;
use RonPortal\System\Report;
use function Ron\ronText;

/** @var VydanaObjednavkaFormular $this */

$model = Model::getInstance();

/** @var VydanaObjednavka $objednavka */
$objednavka = Model::getInstance() ->getData('objednavka');

$typRozdeleni1 = $model->getData('typRozdeleni1');
$typRozdeleni1Popis = $model->getData('typRozdeleni1Popis');
$typRozdeleni2 = $model->getData('typRozdeleni2');
$typRozdeleni2Popis = $model->getData('typRozdeleni2Popis');
$typRozdeleni3 = $model->getData('typRozdeleni3');
$typRozdeleni3Popis = $model->getData('typRozdeleni3Popis');
$typRozdeleni4 = $model->getData('typRozdeleni4');
$typRozdeleni4Popis = $model->getData('typRozdeleni4Popis');
$typRozdeleni5 = $model->getData('typRozdeleni5');
$typRozdeleni5Popis = $model->getData('typRozdeleni5Popis');

$vraceni = $model->getData('vraceni');
$zamitnuti = $model->getData('zamitnuti');

$lzeEditovat = Model::getInstance()->getData('lzeeditovat');

?>
<h1>
    <?= ($objednavka->jeSablona ? ronText('Objednavka_sablona') : ronText('Objednavka_vydana')) ?>
</h1>

<?php MessageManager::getInstance() ->showMessages(); ?>


<div class="form large-form form-sm" id="vydana_objednavka">
    <div class="form-content">
        <div class="row">
            <div class="col col-9 col-sm-3 caption required"><?= ronText('Cislo_objednavky') ?></div>
            <div class="col col-12 col-sm-6"><?= StringUtils::htmlTextConvert($objednavka->cisloObjednavky) ?></div>
            <div class="col col-3 col-sm-3"><?php GuiUtils::renderCheckbox('odeslatmail', ronText('Odeslat_mail'), $objednavka->odeslatMail, 'disabled="true"'); ?></div>
        </div>

        <div class="row">
            <div class="col col-9 col-sm-3 caption required"><?= ronText('Datum_vystaveni') ?></div>
            <div class="col col-12 col-sm-6">
                <?= StringUtils::format('date', $objednavka->datumVystaveni) ?>
            </div>
            <?php if (!$objednavka->jeSablona) { ?>
                <div class="col col-3 col-sm-3">
                    <?php
                    if ($objednavka->schvaleno && !$objednavka->odeslano && ($objednavka->vystavil == User::getRC()))
                        echo "<a class='submitbutton' href='?menuid=objednavky&action=odesliobjednavku&record={$objednavka->cisloObjednavky}'>" . ronText('Objednavka_odesli_mail') . "</a>";
                    ?>
                </div>
            <?php } ?>
        </div>

        <div class="row">
            <div class="col col-12 col-sm-3 caption<?= $objednavka->jeSablona ? '' : ' required' ?>"><?= ronText('Termin_dodani') ?></div>
            <div class="col col-12 col-sm-6">
                <?= StringUtils::format('date', $objednavka->terminDodani) ?>
            </div>
            <?php if (!$objednavka->jeSablona) { ?>
                <div class="col col-3 col-sm-3">
                    <?php GuiUtils::renderCheckbox('odeslano', ronText('Odeslano'), $objednavka->odeslano, 'disabled="true"');
                    if ($objednavka->odeslano) echo "&nbsp;" . StringUtils::format('date', $objednavka->datumCasOdeslani); ?>
                </div>
            <?php } ?>
        </div>

        <div class="row">
            <div class="col col-12 col-sm-3 caption required"><?= ronText('Vystavil') ?></div>
            <div class="col col-12 col-sm-6">
                <?= StringUtils::htmlTextConvert($objednavka->vystavilJmenoPrijmeni) ?>
            </div>
            <?php if (!$objednavka->jeSablona) { ?>
                <div class="col col-3 col-sm-3"><?php GuiUtils::renderCheckbox('vyrizeno', ronText('Vyrizeno'), $objednavka->vyrizeno, 'disabled="true"'); ?></div>
            <?php } ?>
        </div>

        <div class="row">
            <div class="col col-12 col-sm-3 caption required"><?= ronText('Stredisko') ?></div>
            <div class="col col-12 col-sm-9"><?= StringUtils::htmlTextConvert($objednavka->strediskoPopis) ?></div>
        </div>

        <?php if ($typRozdeleni1) {  ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption<?= RonPortalSettings::getIntValue('vydanaobjednavka_rozdeleni1_zadani_povinne') ? ' required' : '' ?>">
                    <?= StringUtils::htmlTextConvert($typRozdeleni1Popis) ?>
                </div>
                <div class="col col-12 col-sm-9">
                    <?php echo StringUtils::htmlTextConvert($objednavka->rozdeleni1->popis) . ($objednavka->rozdeleni1->kod ?  ' (' . StringUtils::htmlTextConvert($objednavka->rozdeleni1->kod) . ')' : ''); ?>
                </div>
            </div>
        <?php }
        if ($typRozdeleni2) {  ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption<?= RonPortalSettings::getIntValue('vydanaobjednavka_rozdeleni2_zadani_povinne') ? ' required' : '' ?>">
                    <?= StringUtils::htmlTextConvert($typRozdeleni2Popis) ?>
                </div>
                <div class="col col-12 col-sm-9">
                    <?php echo StringUtils::htmlTextConvert($objednavka->rozdeleni2->popis) . ($objednavka->rozdeleni2->kod ?  ' (' . StringUtils::htmlTextConvert($objednavka->rozdeleni2->kod) . ')' : ''); ?>
                </div>
            </div>
        <?php }
        if ($typRozdeleni3) {  ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption<?= RonPortalSettings::getIntValue('vydanaobjednavka_rozdeleni3_zadani_povinne') ? ' required' : '' ?>">
                    <?= StringUtils::htmlTextConvert($typRozdeleni3Popis) ?>
                </div>
                <div class="col col-12 col-sm-9">
                    <?php echo StringUtils::htmlTextConvert($objednavka->rozdeleni3->popis) . ($objednavka->rozdeleni3->kod ?  ' (' . StringUtils::htmlTextConvert($objednavka->rozdeleni3->kod) . ')' : ''); ?>
                </div>
            </div>
        <?php }
        if ($typRozdeleni4) {  ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption<?= RonPortalSettings::getIntValue('vydanaobjednavka_rozdeleni4_zadani_povinne') ? ' required' : '' ?>">
                    <?= StringUtils::htmlTextConvert($typRozdeleni4Popis) ?>
                </div>
                <div class="col col-12 col-sm-9">
                    <?php echo StringUtils::htmlTextConvert($objednavka->rozdeleni4->popis) . ($objednavka->rozdeleni4->kod ?  ' (' . StringUtils::htmlTextConvert($objednavka->rozdeleni4->kod) . ')' : ''); ?>
                </div>
            </div>
        <?php }
        if ($typRozdeleni5) {  ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption<?= RonPortalSettings::getIntValue('vydanaobjednavka_rozdeleni5_zadani_povinne') ? ' required' : '' ?>">
                    <?= StringUtils::htmlTextConvert($typRozdeleni5Popis) ?>
                </div>
                <div class="col col-12 col-sm-9">
                    <?php echo StringUtils::htmlTextConvert($objednavka->rozdeleni5->popis) . ($objednavka->rozdeleni5->kod ?  ' (' . StringUtils::htmlTextConvert($objednavka->rozdeleni5->kod) . ')' : ''); ?>
                </div>
            </div>
        <?php } ?>

        <?php if (ObjednavkyController::$indexUzivatelskehoFiltruDodavatele) { ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption required"><?= StringUtils::htmlTextConvert(ObjednavkyController::$nadpisUzivatelskehoFiltruDodavatele) ?></div>
                <div class="col col-12 col-sm-9"><?php
                    echo StringUtils::htmlTextConvert($objednavka->dodavatelUzivatelskeData);
                    ?>
                </div>
            </div>
        <?php } ?>

        <div class="row">
            <div class="col col-12 col-sm-3 caption required"><?= ronText('Dodavatel') ?></div>
            <div class="col col-12 col-sm-9">
                <?php echo StringUtils::htmlTextConvert($objednavka->dodavatelPopis); ?>
            </div>
        </div>

        <div class="row">
            <div class="col col-12 col-sm-3 caption required"><?= ronText('Popis') ?></div>
            <div class="col col-12 col-sm-9">
                <?= StringUtils::htmlTextConvert($objednavka->popis) ?>
            </div>
        </div>

        <div class="row objednavka_predpokladana_cena">
            <div class="col col-12 col-sm-3 caption"><?= ronText('Predpokladana_cena') ?></div>
            <div class="col col-2 col-sm-2">
                <?= StringUtils::format('number2', $objednavka->predpokladanaCena) ?>
            </div>
        </div>

        <div class="row">
            <div class="col col-12 col-sm-3 caption"><?= ronText('Cena') ?></div>
            <div class="col col-2 col-sm-2">
                <?= StringUtils::format('number2', $objednavka->cenaCelkem) ?>
            </div>
            <div class="col col-1 col-sm-1">
                <?php echo StringUtils::htmlTextConvert($objednavka->mena); ?>
            </div>
        </div>
        <div class="row">
            <div class="col col-12 col-sm-3 caption">&nbsp;</div>
            <div class="col col-2 col-sm-2">
                <?= StringUtils::format('number2', $objednavka->cenaCelkem_DM) ?>
            </div>
            <div class="col col-1 col-sm-1">
                <?php echo StringUtils::htmlTextConvert($objednavka->cenaCelkem_DM_mena); ?>
            </div>
        </div>

        <?php if (RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA1)) { ?>
            <div class="row row_vydana_objednavka_uziv1">
                <div class="col col-12 col-sm-3 caption align-top"><?= RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA1) ?></div>
                <div class="col col-12 col-sm-9">
                    <?= StringUtils::htmlTextConvert($objednavka->uzivatelska1) ?>
                </div>
            </div>
        <?php } ?>
        <?php if (RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA2)) { ?>
            <div class="row row_vydana_objednavka_uziv2">
                <div class="col col-12 col-sm-3 caption align-top"><?= RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA2) ?></div>
                <div class="col col-12 col-sm-9">
                    <?= StringUtils::htmlTextConvert($objednavka->uzivatelska2) ?>
                </div>
            </div>
        <?php } ?>
        <?php if (RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA3)) { ?>
            <div class="row row_vydana_objednavka_uziv3">
                <div class="col col-12 col-sm-3 caption align-top"><?= RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA3) ?></div>
                <div class="col col-12 col-sm-9">
                    <?= StringUtils::htmlTextConvert($objednavka->uzivatelska3) ?>
                </div>
            </div>
        <?php } ?>
        <?php if (RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA4)) { ?>
            <div class="row row_vydana_objednavka_uziv4">
                <div class="col col-12 col-sm-3 caption align-top"><?= RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA4) ?></div>
                <div class="col col-12 col-sm-9">
                    <?= StringUtils::htmlTextConvert($objednavka->uzivatelska4) ?>
                </div>
            </div>
        <?php } ?>
        <?php if (RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA5)) { ?>
            <div class="row row_vydana_objednavka_uziv5">
                <div class="col col-12 col-sm-3 caption align-top"><?= RonPortalSettings::getValue(VydanaObjednavka::SETTINGS_UZIVATELSKA5) ?></div>
                <div class="col col-12 col-sm-9">
                    <?= StringUtils::htmlTextConvert($objednavka->uzivatelska5) ?>
                </div>
            </div>
        <?php } ?>

        <div class="row">
            <div class="col col-12 col-sm-3 caption align-top"><?= ronText('Objednavka_poznamka') ?></div>
            <div class="col col-12 col-sm-9">
                <?= StringUtils::longTextToHtml($objednavka->poznamka, true) ?>
            </div>
        </div>

        <?php if (!$objednavka->jeSablona) { ?>
            <div class="row">
                <div class="col col-12 col-sm-3 caption align-top"></div>
                <div class="col col-12 col-sm-9">
                    <?php
                    $reportList = Report::loadFormReports($this->database, 'VydanaObjednavka');

                    FormReportsListView::renderReportList($reportList, '?menuid=objednavky&action=report&objednavka=' . $objednavka->cisloObjednavky);
                    ?>
                </div>
            </div>
        <?php } ?>

        <div class="row form-gap">
        </div>

        <?php if (!$objednavka->jeSablona) { ?>
            <div class="row form-section">
                <div class="col col-12 col-sm-12 align-left"><?= ronText('Objednavka_schvaleni'); ?></div>
            </div>

            <?php if ($objednavka->prekrocenaCenaFaktury) { ?>
                <div class="row">
                    <div class="col col-12 col-sm-12"><?= ronText('Prekrocena_cena_objednavky') ?></div>
                </div>
            <?php } ?>

            <div class="row vydana-objednavka-schvaleni1">
                <div class="col col-12 col-sm-3 caption"><?= ronText('Objednavka_schvaleni_1') ?></div>
                <div class="col col-12 col-sm-9">
                    <?php $this->renderNastavSchvaleni(1, !($vraceni || $zamitnuti)); ?>
                </div>
            </div>
            <div class="row vydana-objednavka-schvaleni2">
                <div class="col col-12 col-sm-3 caption"><?= ronText('Objednavka_schvaleni_2') ?></div>
                <div class="col col-12 col-sm-9">
                    <?php $this->renderNastavSchvaleni(2, !($vraceni || $zamitnuti)); ?>
                </div>
            </div>
            <div class="row vydana-objednavka-schvaleni3">
                <div class="col col-12 col-sm-3 caption"><?= ronText('Objednavka_schvaleni_3') ?></div>
                <div class="col col-12 col-sm-9">
                    <?php $this->renderNastavSchvaleni(3, !($vraceni || $zamitnuti)); ?>
                </div>
            </div>
            <?php if ($objednavka->schvaleno) { ?>
                <div class="row">
                    <div class="col col-12 col-sm-3 caption"></div>
                    <div class="col col-12 col-sm-9"><?php GuiUtils::renderCheckbox('schvaleno', ronText('Schvaleno'), $objednavka->schvaleno, 'disabled="true"'); ?></div>
                </div>
            <?php } ?>

            <?php
            $uroven = '';
            if (isset($_POST['urovenvraceni'])) $uroven = $_POST['urovenvraceni'] ;
            $value = '';
            if (isset($_POST['poznamkakschvaleni'])) $value = $_POST['poznamkakschvaleni'];
            ?>

            <div class="row">
                <div class="col col-12">
                    <div id="vraceniobjednavky" <?php if (!($vraceni || $zamitnuti)) echo 'style="display:none"'; /* zobrazi se az po kliknuti na "vratit" */ ?> >
                        <form method="post" name="vraceniobjednavkyform" action="?menuid=objednavky&action=vraceni&record=<?= $objednavka->cisloObjednavky ?>">
                            <input type="hidden" name="urovenvraceni" id="urovenvraceni" value="<?= $uroven ?>" />

                            <label>
                                <span class="poznamka_vraceni" <?php if (!$vraceni) echo 'style="display:none"'; /* zobrazi se az po kliknuti na "vratit" */ ?>><strong><?= ronText('Poznamka_k_vraceni') ?></strong><br/></span>
                                <span class="poznamka_zamitnuti" <?php if (!$zamitnuti) echo 'style="display:none"'; /* zobrazi se az po kliknuti na "vratit" */ ?>><strong><?= ronText('Poznamka_k_zamitnuti') ?></strong><br/></span>
                                <textarea name="poznamkakschvaleni" rows="8" class="form-input"><?= StringUtils::htmlTextConvert($value) ?></textarea><br/>
                            </label>
                            <input type="submit" class="submitbutton" value="OK">

                        </form>
                    </div>
                </div>
            </div>

            <div class="row" id="objednavka_historie">
                <div class="col col-3 d-xs-none"></div>
                <div class="col col-12 col-sm-9">
                    <div id="historie_objednavky" class="autoExpand poznamka font-normal">
                        <?= StringUtils::longTextToHtml($objednavka->historieSchvalovani) ?>
                    </div>
                </div>
            </div>

        <?php } ?>

        <div class="row form-section">
            <div class="col col-6 col-sm-2 align-left"><?= ronText('Zbozi') ?></div>
            <div class="col col-12 col-sm-5 align-left required"><?= ronText('Radek_vydane_objednavky_popis'); ?></div>
            <div class="col col-1 col-sm-1 align-left required"><?= ronText('Radek_vydane_objednavky_mnozstvi'); ?></div>
            <div class="col col-1 col-sm-1 align-left required"><?= ronText('Radek_vydane_objednavky_cena_za_jednotku'); ?></div>
            <div class="col col-1 col-sm-1 align-right"><?= ronText('Radek_vydane_objednavky_cena'); ?></div>
            <div class="col col-2 col-sm-2 align-right"><?= ronText('Radek_vydane_objednavky_datum_dodani'); ?></div>
        </div>

        <?php if (is_array($objednavka->radky)) {
            foreach ($objednavka->radky as $i => $radek) {
                $rowclassname = ($i % 2) ? 'browsercolor1' : 'browsercolor2';
                ?>
                <div class="radekVydaneObjednavky  <?= $rowclassname ?>">
                    <div class="row">
                        <div class="col col-6 col-sm-2">
                            <?= StringUtils::htmlTextConvert($radek->kodZbozi) ?>
                        </div>
                        <div class="col col-12 col-sm-5">
                            <?= StringUtils::htmlTextConvert($radek->popis) ?>
                        </div>
                        <div class="col col-1 col-sm-1">
                            <?= StringUtils::format('number_2', $radek->mnozstvi) ?>
                        </div>
                        <div class="col col-1 col-sm-1">
                            <?= StringUtils::format('number2', $radek->cenaZaJednotku) ?>
                        </div>
                        <div class="col col-1 col-sm-1 align-right">
                            <?= StringUtils::format('number2', $radek->cena) ?>
                        </div>
                        <div class="col col-2 col-sm-2 align-right">
                            <?= $radek->predpokladaneDatumDodani ? StringUtils::format('date', $radek->predpokladaneDatumDodani) : '' ?>
                        </div>
                    </div>
                    <div class="row font-italic">
                        <div class="col col-3 col-sm-2">
                        </div>
                        <div class="col col-12 col-sm-7">
                            <?= StringUtils::htmlTextConvert($radek->rozsirenyPopis) ?>
                        </div>
                        <div class="col col-1 caption">
                            <?=  $radek->dodanoMnozstvi ? ronText('Dodano_mnozstvi') : '' ?>
                        </div>
                        <div class="col col-1">
                            <?= StringUtils::format('number_2', $radek->dodanoMnozstvi) ?>
                        </div>
                        <div class="col col-1 align-right">
                            <?php if ($radek->dodanoMnozstvi)
                                GuiUtils::renderCheckbox('souhlas_dodano', ronText('Objednavka_souhlas_mnozstvi'), $radek->souhlasDodaneMnozstvi, 'disabled="true"');
                            ?>
                        </div>
                    </div>
                    <div class="row form-gap">
                    </div>
                </div>
            <?php }

            if (!isset($i)) {
                $i = 0;
            }
            $i++;
            $rowclassname = ($i % 2) ? 'browsercolor1' : 'browsercolor2';
            ?>

            <div class="row <?= $rowclassname ?> font-weight-bold font-size-relative-2 margin-top margin-bottom-2">
                <div class="col col-12 col-sm-9 ">
                    <?= ronText('Soucet'); ?>
                </div>
                <div class="col col-1 col-sm-1 align-right">
                    <?= StringUtils::format('number2', $objednavka->soucetCen) ?>
                </div>
            </div>
        <?php } ?>
        <?php if (Prava::vratPrava('objednavka_vydana_faktura')->lzeZobrazitRC($objednavka->vystavil) && !empty($objednavka->faktury) && !$objednavka->jeSablona) { ?>
            <div class="row form-section">
                <div class="col col-12"><?= ronText('Faktura'); ?></div>
            </div>
            <?php if ($objednavka->prekrocenaCenaFaktury) { ?>
                <div class="row">
                    <form method="post" name="vyjadrenifaktura" action="?menuid=objednavky&action=vyjadrenifaktura&record=<?= $objednavka->cisloObjednavky ?>">
                        <label>
                            <span class="poznamka_faktura"><strong><?= ronText('Poznamka_k_prekroceni') ?></strong><br/></span>
                            <textarea name="dotaz_zadavateli" rows="8" class="form-input"><?= Model::getInstance()->getData('dotaz') ?></textarea><br/>
                        </label>

                        <input type="submit" class="submitbutton" value="<?= ronText('Odeslat_zadavateli') ?>">

                    </form>
                </div>
            <?php }
            foreach ($objednavka->faktury as $n => $faktura) {
                $rowclassname = ($n % 2) ? 'browsercolor1' : 'browsercolor2';
                ?>
                <div class="prijataFaktura  <?= $rowclassname ?>">
                    <div class="row">
                        <div class="col col-3 col-sm-2 caption required"><?= ronText('Cislo_faktury') ?></div>
                        <div class="col col-3 col-sm-2 cislo_faktury">
                            <?= StringUtils::htmlTextConvert($faktura->cisloFaktury) ?>
                        </div>

                        <div class="col col-3 col-sm-2 caption"><?= ronText('Popis') ?></div>
                        <div class="col col-12 col-sm-6">
                            <?= StringUtils::htmlTextConvert($faktura->popis) ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-3 col-sm-2 caption required"><?= ronText('Datum_vystaveni') ?></div>
                        <div class="col col-3 col-sm-2">
                            <?= StringUtils::format('date', $faktura->datumVystaveni) ?>
                        </div>

                        <div class="col col-3 col-sm-2 caption required"><?= ronText('Datum_splatnosti') ?></div>
                        <div class="col col-3 col-sm-2">
                            <?= StringUtils::format('date', $faktura->datumSplatnosti) ?>
                        </div>

                        <div class="col col-3 col-sm-2 caption required"><?= ronText('Datum_prijeti') ?></div>
                        <div class="col col-3 col-sm-2">
                            <?= StringUtils::format('date', $faktura->datumPrijeti) ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-3 col-sm-2 caption"><?= ronText('Cislo_faktury_dodavatele') ?></div>
                        <div class="col col-3 col-sm-2">
                            <?= StringUtils::htmlTextConvert($faktura->cisloFakturyDodavatele) ?>
                        </div>

                        <div class="col col-3 col-sm-2 caption required"><?= ronText('Faktura_castka') ?></div>
                        <div class="col col-3 col-sm-2">
                            <?= StringUtils::format('number2', $faktura->castka) . ' ' . $faktura->mena ?>
                            (<?= StringUtils::format('number2', $faktura->castka_DM) . ' ' . $faktura->mena_DM ?>)
                        </div>

                        <div class="col col-3 col-sm-2 caption"><?= ronText('Datum_zaplaceni') ?></div>
                        <div class="col col-3 col-sm-2">
                            <?= $faktura->datumZaplaceni ? StringUtils::format('date', $faktura->datumZaplaceni) : '' ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-12 col-sm-2 caption align-top"><?= ronText('Poznamka') ?></div>
                        <div class="col col-12 col-sm-9">
                            <?= StringUtils::longTextToHtml($faktura->poznamka, true) ?>
                        </div>
                    </div>
                </div>
            <?php }
        }
        ?>

        <?php
        if ($objednavka->cisloObjednavky && !$objednavka->jeSablona) {

            ?>
            <div class="row form-section">
                <div class="col col-12">
                    <?= ronText('Dokumenty') ?>
                </div>
            </div>
            <?php DokumentyVydaneObjednavkyBrowser::zobrazDokumenty($this ->database, $objednavka->cisloObjednavky, $lzeEditovat); ?>
        <?php } ?>

    </div>
    <div class="buttons">
        <?php if ($objednavka->lzeEditovat() || $objednavka->lzeEditovatDodano() || $objednavka->lzeEditovatDatumDodani()) { ?>
            <a href="?menuid=objednavky&formaction=edit&record=<?= $objednavka->cisloObjednavky ?>"><?= ronText('Edit'); ?></a>
        <?php } ?>

        <?php if ($objednavka->lzeFakturovat()) { ?>
            <a href="?menuid=objednavky&formaction=fakturaedit&record=<?= $objednavka->cisloObjednavky ?>"><?= ronText('Zadat_fakturu'); ?></a>
        <?php } ?>
        <a href="?menuid=objednavky&formaction=createtemplatefrom&record=<?= $objednavka->cisloObjednavky ?>"><?= ronText('Vytvorit_sablonu'); ?></a>
        <?php if ($objednavka->jeSablona) { ?>
            <a href="?menuid=objednavky&formaction=newfromtemplate&record=<?= $objednavka->cisloObjednavky ?>"><?= ronText('Vytvorit_objednavku_ze_sablony'); ?></a>
        <?php } ?>
        <div class='normaltext align-right'><a href='?menuid=objednavky'><?= ronText('Zpet_na_seznam') ?></a></div>
    </div>
</div>
