<?php

/** UTF8
 * Pavel Rudol, RON Software
 *  12.2.2015
 */


namespace RonPortal\Terminaly;

use Ron\Controls\LinksList;
use Ron\Controls\LinksListItem;
use Ron\DateUtils;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use function Ron\ronText;
use Ron\TextManager;
use RonPortal\PravaNaOsoby;
use RonPortal\RonPortalSettings;


/* @var $terminal Terminal */
$terminal = Model::getInstance()->getData('terminal');
/* @var $prava PravaNaOsoby */
$prava = Model::getInstance()->getData('prava');

$kodAplikace = Model::getInstance() ->getData('kodAplikace');

$detail = 'detail' === ($_GET['action'] ?? 'detail');

?>

<h1><?= ronText('Terminal') ?> <?= StringUtils::htmlTextConvert($terminal ->kod) ?></h1>

<?php LinksList::renderLinks([
    'detail' => TextManager::_('terminal_detail'),
    'skupiny' => TextManager::_('terminal_skupiny'),
    'osoby' => TextManager::_('seznam_osob'),
    (new LinksListItem('seznam', TextManager::_('Zpet_na_seznam')))
        ->setActive(false)
        ->setUrl('?menuid=terminaly')
        ->setCssClass('margin-left-4 external-link')
    ],
    $_GET['action'] ?? 'detail', '?menuid=terminaly&record=' . StringUtils::htmlTextConvert($terminal ->kod) . '&action=')
?>

<?php
//if (isset($_SESSION['terminalUspesnyTest']) && $_SESSION['terminalUspesnyTest']) {
//    echo '<strong>'. ronText('UspesnyTestTerminalu').'</strong>';
//    $_SESSION['terminalUspesnyTest'] = false;
//}

MessageManager::getInstance()->showMessages();
MessageManager::getInstance()->clear();
?>

<div class="form middle-form" id="hlavickaterminalu">
    <div class="form-content">
        <div class="row" id="row_hlavickaterminalu_popis">
            <div class="col-5 caption"><?= ronText('terminal') ?></div>
            <div class="col-7">
                <strong><?= StringUtils::htmlTextConvert($terminal ->kod) ?></strong> - <?= StringUtils::htmlTextConvert($terminal ->popis) ?>
            </div>
        </div>

        <div class="row" id="row_hlavickaterminalu_urceni">
            <div class="col-5 caption"><?= ronText('terminal_urceni') ?></div>
            <div class="col-7">
                <strong><?= StringUtils::htmlTextConvert($terminal ->urceni) ?></strong>
            </div>
        </div>

        <?php if ($terminal->umisteni) { ?>
        <div class="row" id="row_hlavickaterminalu_umisteni">
            <div class="col-5 caption"><?= ronText('umisteni') ?></div>
            <div class="col-7">
                <?= StringUtils::htmlTextConvert($terminal ->umisteni) ?>
            </div>
        </div>
        <?php } ?>

        <?php if ($detail) { ?>
            <?php if ($terminal->typrozdeleni) { ?>
            <div class="row" id="row_hlavickaterminalu_rozdeleni">
                <div class="col-5 caption"><?= StringUtils::htmlTextConvert($terminal->typrozdeleni) ?></div>
                <div class="col-7">
                    <?= StringUtils::htmlTextConvert($terminal ->rozdeleni) ?>
                </div>
            </div>
            <?php } ?>

            <?php if ($terminal->poznamka) { ?>
            <div class="row" id="row_hlavickaterminalu_poznamka">
                <div class="col-5 caption"><?= ronText('Poznamka') ?></div>
                <div class="col-7 poznamka">
                    <?= StringUtils::longTextToHtml(StringUtils::htmlTextConvert($terminal ->poznamka)) ?>
                </div>
            </div>
            <?php } ?>

            <div class="row">
                <div class="col">&nbsp;</div>
            </div>

            <?php if ($terminal->driver) { ?>
            <div class="row" id="row_hlavickaterminalu_driver">
                <div class="col-5 caption"><?= ronText('driver') ?></div>
                <div class="col-7">
                    <?= StringUtils::htmlTextConvert($terminal ->driver) ?>
                </div>
            </div>
            <?php } ?>

            <?php if ($terminal->typterminalu) { ?>
            <div class="row" id="row_hlavickaterminalu_typterminalu">
                <div class="col-5 caption"><?= ronText('typ_terminalu') ?></div>
                <div class="col-7">
                    <?= StringUtils::htmlTextConvert($terminal ->typterminalu) ?>
                </div>
            </div>
            <?php } ?>

            <?php if ($terminal->typkomunikacepopis) { ?>
            <div class="row" id="row_hlavickaterminalu_typkomunikace">
                <div class="col-5 caption"><?= ronText('terminal_typ_komunikace') ?></div>
                <div class="col-7">
                    <?php
                    echo '<strong>' . StringUtils::htmlTextConvert($terminal ->typkomunikacepopis) . '</strong>';

                    if ($terminal->hostitel && ($terminal->typkomunikacekod == 1))
                    {
                       echo ', ' . StringUtils::htmlTextConvert($terminal ->hostitel);
                    }

                    if ($terminal->port && ($terminal->typkomunikacekod == 1))
                    {
                        echo ' : ' . StringUtils::htmlTextConvert($terminal ->port);
                    }

                    if ($terminal->comport && (($terminal->typkomunikacekod == 2) || ($terminal->typkomunikacekod == 3)))
                    {
                        echo ', ' . StringUtils::htmlTextConvert($terminal ->comport);
                    }

                    if ($terminal->parita && ($terminal->typkomunikacekod == 3))
                    {
                        echo ', ' . ronText('terminal_parita') . ': ' . StringUtils::htmlTextConvert($terminal ->parita);
                    }

                    if ($terminal->baudrate && ($terminal->typkomunikacekod == 3))
                    {
                        echo ', ' . ronText('terminal_baud_rate') . ': ' . StringUtils::htmlTextConvert($terminal ->baudrate);
                    }

                    ?>
                </div>
            </div>
            <?php } ?>

            <?php if ($terminal->stav) {  ?>
                <div class="row margin-top-2" id="row_hlavickaterminalu_casnacteni">
                    <div class="col form-section"><?= ronText('Stav_terminalu') ?></div>
                </div>
                <div class="row" id="row_hlavickaterminalu_casnacteni">
                    <div class="col-5 caption"><?= ronText('terminal_posledni_nacteni') ?></div>
                    <div class="col-7" id="hlavickaterminalu_casnacteni">
                        <?= ($terminal ->casuspesnehonacteni) ? DateUtils::fineDateString($terminal ->casuspesnehonacteni, true) : '' ?>
                    </div>
                </div>

                <div class="row" id="row_hlavickaterminalu_casnastaveni">
                    <div class="col-5 caption"><?= ronText('terminal_posledni_nastaveni') ?></div>
                    <div class="col-7" id="hlavickaterminalu_casnastaveni" data-value="<?= $terminal->casuspesnehonastaveni ?>">
                        <?= ($terminal->casuspesnehonastaveni) ? DateUtils::fineDateString($terminal ->casuspesnehonastaveni, true) : '' ?>
                    </div>
                </div>

                <div class="row" id="row_hlavickaterminalu_casspojeni">
                    <div class="col-5 caption"><?= ronText('terminal_posledni_spojeni') ?></div>
                    <div class="col-7">
                        <?php if ($terminal->casuspesnehospojeni) echo DateUtils::fineDateString($terminal ->casuspesnehospojeni, true); ?>
                    </div>
                </div>

                <tr>
                    <td></td>
                    <td>&nbsp;</td>
                </tr>

                <div class="row margin-top-2" id="row_hlavickaterminalu_pocetnacteni">
                    <div class="col-5 caption"><?= ronText('terminal_pocet_nacteni') ?></div>
                    <div class="col-7 <?= ($terminal->pocetneuspesnychnacteni > 0) ? 'terminal_neuspesnanacteni' : ''?>" id="hlavickaterminalu_pocetnacteni">
                        <?= StringUtils::format('number_1', $terminal ->pocetneuspesnychnacteni) ?>
                    </div>
                </div>

                <div class="row" id="row_hlavickaterminalu_pocetnastaveni">
                    <div class="col-5 caption"><?= ronText('terminal_pocet_nastaveni') ?></div>
                    <div class="col-7 <?= ($terminal->pocetneuspesnychnastaveni > 0) ? 'terminal_neuspesnenastaveni' : ''?>" id="hlavickaterminalu_pocetnastaveni" data-value="<?= $terminal->pocetneuspesnychnastaveni ?>">
                        <?= StringUtils::format('number_1', $terminal ->pocetneuspesnychnastaveni) ?>
                    </div>
                </div>

                <div class="row margin-bottom-2" id="row_hlavickaterminalu_pocetspojeni">
                    <div class="col-5 caption"><?= ronText('terminal_pocet_spojeni') ?></div>
                    <?php $class=''; if ($terminal->pocetneuspesnychspojeni > 0) {$class=' class="terminal_neuspesnaspojeni"';} ?>
                    <div class=<?= $class ?>>
                        <?= StringUtils::format('number_1',$terminal ->pocetneuspesnychspojeni) ?>
                    </div>
                </div>

                <?php if ($terminal->verzefirmware) { ?>
                <div class="row" id="row_hlavickaterminalu_firmware">
                    <div class="col-5 caption"><?= ronText('terminal_firmware') ?></div>
                    <div class="col-7">
                        <?= StringUtils::htmlTextConvert($terminal ->verzefirmware) ?>
                    </div>
                </div>
                <?php } ?>

                <?php if ($terminal->seriovecislo) { ?>
                <div class="row" id="row_hlavickaterminalu_seriovecislo">
                    <div class="col-5 caption"><?= ronText('terminal_seriove_cislo') ?></div>
                    <div class="col-7">
                        <?= StringUtils::htmlTextConvert($terminal ->seriovecislo) ?>
                    </div>
                </div>
                <?php } ?>

                <?php if ($terminal->macadresa) { ?>
                <div class="row" id="row_hlavickaterminalu_macadresa">
                    <div class="col-5 caption"><?= ronText('terminal_MAC') ?></div>
                    <div class="col-7">
                        <?= StringUtils::htmlTextConvert($terminal ->macadresa) ?>
                    </div>
                </div>
                <?php } ?>
            <?php } ?>
        <?php } ?>
    </div>
</div>


<?php if ($kodAplikace  &&  $detail) { ?>
    <div class="margin-top-2">
        <form name="detailterminaluform" id="detailterminaluform" method="post" action="?menuid=terminaly&record=<?= $terminal->kod ?>" >
            <input type="hidden" name="terminal_kod" value="<?= $terminal->kod ?>" />
            <input class='submitbutton' name='test' type='submit' value='<?= ronText('terminal_provest_test') ?>' />
            <?php if ($prava->priznak) { ?>
                <input class='submitbutton' name='nastaveni' type='submit' value='<?= ronText('terminal_provest_generovani') ?>'
                       data-max-interval="<?= RonPortalSettings::getIntValue('terminal_max_interval',15) ?>"
                       data-delka-intervalu="<?= RonPortalSettings::getIntValue('terminal_delka_intervalu',5) ?>" />
            <?php } ?>
        </form>
    </div>

    <div id="terminal_generovani_dialog" class="d-none align-center" title="<?= ronText('terminal') . ': ' . $terminal->kod ?>">
        <div id="terminal_generovani_info"><?= ronText('Generovani') ?> </div>
        <div id="stav_generovani" class="d-none"><i class="fa fa-spin glyph-spinner"></i></div>
        <input type="hidden" id="zmenaStavu" value="0" />
        <DIV class="buttons align-center">
            <input type="button" id="btnZavritDialog" class="button" style="display: none;" value="<?= ronText('Zavrit') ?>" />
        </DIV>
    </div>
<?php } ?>

<?php if (!$detail) { ?>
    <div class='margin-top-2'>
        <a href='?menuid=terminaly'><?= ronText('Zpet_na_seznam') ?></a>
    </div>
<?php } ?>