<?php
/**
 * stanislav.elbl, 13.05.2016
 */

namespace RonPortal\Testy;

use Ron\DB\Database;

class TestyUtils
{
    const PREFIX_KODU_OTAZKY = 'O';

    /**
     * @param Database $database
     * @param int $druhHodnoceni
     * @param int $temaCislo
     * @return string
     */
    public static function novyKodOtazkyKTestu($database, $druhHodnoceni, $temaCislo)
    {
        $params = $database ->createParameters();
        $sql =
            'SELECT MAX(KodKriteria) FROM HodnoticiKriterium ' .
            ' WHERE DruhHodnoceni = ' . $params ->addParameter($druhHodnoceni) .
            '   AND TemaCislo = ' . $params ->addParameter($temaCislo) .
            "   AND KodKriteria >= '" . self::PREFIX_KODU_OTAZKY . "000000001'" .
            "   AND KodKriteria <= '" . self::PREFIX_KODU_OTAZKY . "999999999'";

        $cursor = $database ->getSqlResult($sql, $params);
        $row = $cursor ->fetch();
        if (!$row  ||  !$row[0]  ) {
            return self::PREFIX_KODU_OTAZKY . '0001';
        }

        $last = $row[0];
        $num = '';
        $i = 1;
        $jeMax = true;
        while ($i < strlen($row[0])  &&  $last[$i] >= '0'  &&  $last[$i] <= '9') {
            $num .= $last[$i];
            if ($last[$i] != 9) {
                $jeMax = false;
            }
            $i++;
        }

        $newNum = (int)$num + 1;
        $len = strlen($num);
        if ($jeMax) {
            $len ++;
        }

        if ($len > 9) {
            // nemelo by nastat - v tomto pripade stejne nepujde vygenerovat nove cislo
            $len = 9;
        }

        return self::PREFIX_KODU_OTAZKY . substr('000000000' . $newNum, -$len);
    }
}
