<?php
/**
 * stanislav.elbl, 21.02.2021
 */

namespace RonPortal;

use Exception;
use Ron\DB\Database;
use Ron\DB\DBException;
use Ron\MessageManager;
use Ron\TextManager;
use RonPortal\System\RecordNotFoundException;
use function Ron\ronText;

class TypRozdeleni
{
    /** @var int */
    var $kod;
    /** @var string */
    var $popis;

    /**
     * @param Database $database
     * @param int $typRozdeleni
     * @return bool
     * @throws DBException
     */
    function load($database, $typRozdeleni)
    {
        $params = $database ->createParameters();
        $sql = 'SELECT Kod, Popis FROM TypRozdeleni WHERE Kod = ' . $params ->addParameter((int)$typRozdeleni);
        $cursor = $database ->getSqlResult($sql, $params);
        $row = $cursor ->fetch();
        $cursor ->close();

        if (!$row) return false;

        $this->kod = (int)$row[0];

        $popisTypu = ronText("Popis_typu_rozdeleni_{$this->kod}", '');

        $this->popis = $popisTypu ?: $row[1];

//        $this ->f_kod = $this ->kod;  // 12/2017 - pouze pro kompatibilitu pripadneho uzivatelskeho kodu
//        $this ->f_popis = $this ->popis;

        return true;
    }


    /**
     * @param Database $database
     * @param int $kodTypuRozdeleni
     * @return TypRozdeleni
     * @throws Exception
     */
    public static function getTypRozdeleni($database, $kodTypuRozdeleni)
    {
        $typRozdeleni = new TypRozdeleni();
        if (!$typRozdeleni ->load($database, $kodTypuRozdeleni)) {
            throw new Exception('Chyba - zadany typ rozdeleni neexistuje!');
        }

        return $typRozdeleni;
    }

    /**
     * @param Database $database
     * @param int $kodTypuRozdeleni
     * @return string
     * @throws RecordNotFoundException
     * @throws DBException
     */
    public static function getPopisTypuRozdeleni($database, $kodTypuRozdeleni)
    {
        $popisTypu = ronText("Popis_typu_rozdeleni_{$kodTypuRozdeleni}", '');

        if ($popisTypu) {
            return $popisTypu;
        } else {
            $typRozdeleni = new TypRozdeleni();
            if (!$typRozdeleni ->load($database, $kodTypuRozdeleni)) {
                throw new RecordNotFoundException('Chyba - zadany typ rozdeleni neexistuje!');
            }

            return $typRozdeleni->popis;
        }
    }
}
