<?php

namespace RonPortal\Uchazeci;

use Ron\DB\Database;


/**
 * Trida reprezentuje zaznam z tabulky DovednostUchazece
 * Class DovednostUchazece
 * @package RonPortal\Uchazeci
 */
class DovednostUchazece
{
    /** @var string */
    public $rcUchazece;

    /** @var string */
    public $kodDovednosti;
    /** @var int */
    public $kodUrovne;

    /** @var int|null */
    public $datumZiskani;

    /** @var string     Nacteno z Dovednost.Popis */
    public $popisDovednosti;
    /** @var string     Nacteno z UrovenDovednosti.Popis */
    public $urovenDovednosti;

    /**
     * @param Database $database
     * @param $row
     */
    private function nactiZaznamZRadku($database, $row)
    {
        $this ->rcUchazece = $row[0];
        $this ->kodDovednosti = $row[1];
        $this ->kodUrovne = (int)$row[2];
        $this->datumZiskani = $database->stringToTimestamp($row[3]);

        $this->popisDovednosti = $row[4];
        $this->urovenDovednosti = $row[5];
    }


    /**
     * @param Database $database
     * @param $rc
     * @return DovednostUchazece[]
     * @throws \Exception
     */
    public static function nactiDovednostiUchazece($database, $rc)
    {
        $params = $database->createParameters();

        $sql =
            'SELECT DovednostUchazece.RCUchazece, DovednostUchazece.KodDovednosti, DovednostUchazece.KodUrovne,' .
            '  DovednostUchazece.DatumZiskani,' .
            '  Dovednost.Popis, UrovenDovednosti.Popis' .
            ' FROM DovednostUchazece, UrovenDovednosti, Dovednost' .
            ' WHERE DovednostUchazece.KodDovednosti = UrovenDovednosti.KodDovednosti' .
            '  AND DovednostUchazece.KodUrovne = UrovenDovednosti.KodUrovne' .
            '  AND UrovenDovednosti.KodDovednosti = Dovednost.Kod' .
            '  AND DovednostUchazece.RCUchazece =' . $params->addParameter($rc) .
            ' ORDER BY DovednostUchazece.DatumZiskani DESC';


        $seznamDovednosti = [];

        $cursor = $database->getSqlResult($sql, $params);
        while ($row = $cursor->fetch()) {
            $uchazecDovednosti = new DovednostUchazece();
            $uchazecDovednosti->nactiZaznamZRadku($database, $row);
            $seznamDovednosti[] = $uchazecDovednosti;
        }
        $cursor ->close();

        return $seznamDovednosti;
    }
}
