<?php
/**
 * stanislav.elbl, 10.09.2018
 */

namespace RonPortal\Vyroba;

use Ron\DB\DBRecordField;
use Ron\DB\SQLUtils;
use RonPortal\PracovniPomer;
use RonPortal\RonPortalDBRecord;
use RonPortal\RonPortalUtils;
use RonPortal\RonPortalXMLEvents;


class VyrobaDbRecord extends RonPortalDBRecord
{
    /** @var DBRecordField */
    public $fSerial;
    /** @var DBRecordField */

    public $fRC;
    /** @var DBRecordField */
    public $fOsobniCislo;
    /** @var DBRecordField */
    public $fDatumNastupu;

    /** @var DBRecordField */
    public $fDen;

    /** @var DBRecordField */
    public $fCinnost;
    /** @var DBRecordField */
    public $fCinnostVyrobniZakazky;
    /** @var DBRecordField */
    public $fVyrobniZakazka;

    /** @var DBRecordField */
    public $fHodiny;
    /** @var DBRecordField */
    public $fCasOd;
    /** @var DBRecordField */
    public $fCasDo;

    /** @var DBRecordField */
    public $fVyrobek;
    /** @var DBRecordField */
    public $fMnozstviDobre;

    /** @var DBRecordField */
    public $fPopis;
    /** @var DBRecordField */
    public $fRozsirujiciPopis;

    /** @var DBRecordField */
    public $fKodTypuRozdeleni;
    /** @var DBRecordField */
    public $fRozdeleni;


    /**
     * VyrobaRecord constructor.
     * @param \Ron\DB\Database $database
     * @param integer $serial
     * @param object|string $logDescription
     */
    public function __construct($database, $serial, $logDescription = 'vyroba')
    {
        parent::__construct($database, 'Vyroba', $logDescription);

        $this ->setXmlEvents(RonPortalXMLEvents::VYROBA_BEFORE_POST, RonPortalXMLEvents::VYROBA_AFTER_POST);

        //$this ->fSerial = $this ->addField('Serial', 'int', true);
        $this ->fSerial = $this ->addField('Serial', 'sequence', true);

        $this ->fRC = $this ->addField('RC', 'string', true, 15);
        $this ->fOsobniCislo = $this ->addField('OsobniCislo', 'string', true, 15);
        $this ->fDatumNastupu = $this ->addField('DatumNastupu', 'timestamp', true);

        $this ->fDen = $this ->addField('Den', 'timestamp', true);

        $this ->fCinnost = $this ->addField('Cinnost', 'string', true, 30);
        $this ->fCinnostVyrobniZakazky = $this ->addField('CinnostVyrobniZakazky', 'int', true);
        $this ->fVyrobniZakazka = $this ->addField('VyrobniZakazka', 'string', true, 30);

        $this ->fHodiny = $this ->addField('Hodiny', 'float', true);
        $this ->fCasOd = $this ->addField('CasOd', 'timestamp', true);
        $this ->fCasDo = $this ->addField('CasDo', 'timestamp', true);

        $this ->fVyrobek = $this ->addField('Vyrobek', 'string', true, 30);
        $this ->fMnozstviDobre = $this ->addField('MnozstviDobre', 'float', true);

        $this ->fPopis = $this ->addField('Popis', 'string', true, 80);

        $this ->fKodTypuRozdeleni = $this ->addIntField('KodTypuRozdeleni', true);
        $this ->fRozdeleni = $this ->addStringField('Rozdeleni', true, 30);

        $f = $this ->addField('Update_UserName', 'string', false, 25, RonPortalUtils::getLogUserName());
        $f ->updateLog = true; $f ->noInsert = true;
        $f = $this ->addField('Update_TimeStamp', 'timestamp', false, 0, time());
        $f ->updateLog = true; $f ->noInsert = true;

        $this ->addField('Insert_UserName', 'string', true, 25, RonPortalUtils::getLogUserName());
        $this ->addField('Insert_TimeStamp', 'timestamp', true, 0, time());

        $this ->fRozsirujiciPopis = $this ->addField('RozsirujiciPopis', 'memo', true);

        if ($serial) {
            $params = $database ->createParameters();
            $this ->setWhere('Serial = ' . $params ->addParameter($serial), $params);
        }
    }


    /**
     * @param PracovniPomer $pp
     * @param int $den
     */
    public function setNewRecord($pp, $den)
    {
        $this ->fRC ->setValue($pp ->rc);
        $this ->fOsobniCislo ->setValue($pp ->osobniCislo);
        $this ->fDatumNastupu ->setValue($pp ->datumNastupu);
        $this ->fDen ->setValue($den);
//
//        // nastavi nove seriove cislo
//        $newSerial = SQLUtils::newSerialNumber($this->database, 'Vyroba', 'Serial');
//        $this->fSerial->setValue($newSerial); - predelano na sekvenci
    }
}
