<?php
/**
 * stanislav.elbl, 21.06.2017
 */

namespace RonPortal\XML\Classes;

use Ron\DB\DBException;
use Ron\StringUtils;
use RonPortal\Dokumenty\DokumentyUtils;
use RonPortal\XML\XMLFormElementCommand;

/**
 * Implementace XML tagu <deletedokument>
 */
class XMLElementDeleteDokument extends XMLFormElementCommand
{
    function jePripojenyDokument($id)
    {
        if (!$this ->xmlForm ->id) {
            // formular jeste neni vytvoren (napr. v pripade, ze je to jen sablona)
            return false;
        }

        $params = $this ->xmlForm ->database ->createParameters();
        $sql =
            'SELECT IdDokumentu FROM DokumentXMLFormulare' .
            ' WHERE IdDokumentu = ' . $params ->addParameter($id) .
            ' AND IdFormulare = ' . $params ->addParameter($this ->xmlForm ->id);

        $cursor = $this ->xmlForm ->database ->getSqlResult($sql, $params);
        $row = $cursor ->fetch();
        $cursor ->close();

        return !!$row;
    }


    /**
     * @throws DBException
     */
    function doCommand()
    {
        // id dokumentu
        $id = $this ->nahradPromenne($this ->getAttributeValue('id'));
        // jmeno promenne
        $name = $this ->nahradPromenne($this ->getAttributeValue('name'));

        $seznamDokumentu = [];

        if ($id  &&  $name) {
            // Je zadano id i name - zkontroluje, ze je dokument v zadane promenne. Pokud ne, tak je to chyba - ignoruje ji a neudela nic
            $pripojeneDokumenty = $this ->variableValue($name . '_dokumenty') ?: '';
            $seznamDokumentu = explode(';', $pripojeneDokumenty);
            if (!in_array("$id", $seznamDokumentu)) {
                return;
            }
        } else if ($name) {
            // je zadano jen name - id nacte z prislusne promenne
            $id = $this ->xmlForm->variables[$name];
        }

        if (!(int)$id) {
            return;
        }

        if  ($this ->jePripojenyDokument((int)$id)) {
            // dokument je pripojeny k aktualnimu XML formulari => muze ho smazat vcetne zaznamu z tabulky DokumentXMLFormulare
            $params = $this ->xmlForm ->database ->createParameters();
            DokumentyUtils::smazDokument($this ->xmlForm ->database, (int)$id, 'XML formular',
                'DokumentXMLFormulare', // podrizena tabulka
                'IdFormulare = ' . $params ->addParameter($this ->xmlForm ->id), $params,
                'IdDokumentu');

            $this ->xmlForm ->addLogData($name, StringUtils::fromUTF8('Odstraněn dokument id = ') . $id);

            // odstrani dokument jeste ze zadane promenne
            if ($name) {
                // id dokumentu muze byt (ale nemusi) v promenne se zadanym jmenem
                if ($this ->variableValue($name) == $id) {
                    $this ->setVariableValue($name, null);
                }

                // a dale muze byt v seznamu vsech prilozenych dokumentu
                if (($key = array_search($id, $seznamDokumentu)) !== false) {
                    unset($seznamDokumentu[$key]);
                    $this ->setVariableValue($name . '_dokumenty', implode(';', $seznamDokumentu));
                    $this ->setVariableValue($name, end($seznamDokumentu));
                }
            }
        }
    }
}
