<?php
/**
 * User: stanislav.elbl
 */

namespace RonPortal\XML\Classes;

use Ron\FileManager;
use RonPortal\XML\XMLFormElement;


/**
 * Implementace xml tagu <filemanager>
 * Class XMLElementFileManager
 * @package RonPortal\XML\Classes
 */
class XMLElementFileManager extends XMLFormElement
{
    function getHTMLOutput()
    {
        // korenova cesta
        $path = $this ->nahradPromenne($this ->getAttributeValue('path'));
        if (!$path) {
            return '';
        }

        $fileManager = new FileManager($path);
        $fileManager ->showDirs = $this ->getBoolAttribute("subdirs", true);

        $fileManager ->downloadUrl = $this ->nahradPromenne($this ->getAttributeValue("downloadurl"));

        // podadresar
        $fileManager ->setSubdir($this ->nahradPromenne($this ->getAttributeValue("subdir")));

        // url, ktera se pouzije pro proklik na podadresar
        $fileManager ->subdirUrl = $this ->nahradPromenne($this ->getAttributeValue("subdirurl"));

        // konfigurace sloupcu
        if ($columns = $this ->nahradPromenne($this ->getAttributeValue("columns"))) {
            $fileManager ->columns = explode(';', $columns);
        }

        $fileManager ->load();

        return $fileManager ->getHtml();
    }
}
