<?php
/**
 * stanislav.elbl, 26.06.2021 21:12
 */

namespace RonPortal\XML\Classes;

use RonPortal\XML\XMLFormElement;

class XMLElementForEach extends XMLFormElement
{
    function getHTMLOutput()
    {
        $result = '';

        $name = $this ->getAttributeValue('name');
        $arr = $this ->variableValue($this ->getAttributeValue('arrayvariable'));

        if (!$arr) {
            return '';
        }

        foreach ($arr as $key => $value) {
            $this ->setVariableValue($name, $value);
            $this ->setVariableValue($name . '_key', $key);

            $result .= $this ->getElementsHTMLOutput();
        }

        return $result;
    }


    function process()
    {
        $name = $this ->getAttributeValue('name');
        $arr = $this ->variableValue($this ->getAttributeValue('arrayvariable'));

        if (!$arr) {
            return;
        }

        foreach ($arr as $key => $value) {
            $this ->setVariableValue($name, $value);
            $this ->setVariableValue($name . '_key', $key);

            $this ->processElements();
        }
    }


    function writeXMLOutput($xmlWriter)
    {
        parent::writeXMLOutput($xmlWriter);
//        // nebylo implementovano ani v predchozi verzi
//        throw new \Exception('XMLFormElementForEach::writeXMLOutput neni implementovano!');
    }


    function event()
    {
        $name = $this ->getAttributeValue('name');
        $arr = $this ->variableValue($this ->getAttributeValue('arrayvariable'));

        if (!$arr) {
            return;
        }

        foreach ($arr as $key => $value) {
            $this ->setVariableValue($name, $value);
            $this ->setVariableValue($name . '_key', $key);

            $this ->elementsEvent();
        }
    }
}

/*
//DOC
PAGE foreach
<pre>
PRE
  <foreach name="jmeno_promenne" arrayvariable="jmeno_promenne_pole">
    ... obsah ...
  </foreach>
PREEND
</pre>

//END
*/
