<?php
/**
 * stanislav.elbl, 24.05.2021 21:05
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\XML\XMLFormElementInput;

class XMLElementHidden extends XMLFormElementInput
{

    var $format;
    var $value;

    protected function loadXMLElement($xmlReader)
    {
        parent::loadXMLElement($xmlReader);

        $this ->format = $this ->getAttributeValue('format');
    }


    function getHTMLOutput()
    {
        $attrs = [];
        $attrs['type'] = 'hidden';

        $name = $this ->nahradPromenne($this ->name);
        $attrs['name'] = $name;

        if ($this ->xmlForm ->usePostValues && isset($_POST[$name])) {
            $value = $_POST[$name];
        } else {
            $value = null;

            if ($this ->xmlForm ->dataMode()) {
                $value = $this ->variableValue($name);
            }

            if (!isset($value)) {
                $value = StringUtils::fromUTF8($this ->getAttributeValue('value'));
                // nahradi promenne - aby bylo mozno napr. prednastavit aktualni cas
                $value = $this->nahradPromenne($value);
            }
        }

        $attrs['value'] = $value;

        //questform_nastavpromennou($name, $this ->f_format, $value);
        $this ->setVariableValueWithFormat($name, $this -> format, $value);

        $attrs = $this ->setHTMLAttributes($attrs);
        $attrs_str = $this ->getHTMLAttributes($attrs);

        return "<input $attrs_str/>";
    }


    function writeXMLOutput($xmlWriter)
    {
        $name = $this ->nahradPromenne($this ->name);
        $this->setVariableValueWithFormat($name, $this ->format, $_POST[$name]);

        parent::writeXMLOutput($xmlWriter);
    }


    function process()
    {
        $name = $this ->nahradPromenne($this ->name);
        $this->setVariableValueWithFormat($name, $this ->format, $_POST[$name]);
        if ($this ->dataVariable) {
            $this->xmlForm->addDataVariable($name);
        }
    }
}
