<?php
/**
 * stanislav.elbl
 * 21.05.2021 23:47
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\XML\XMLFormElement;


class XMLElementInclude extends XMLFormElement
{
    /** @var XMLFormElement */
    var $includeRootElement;

    function loadIncludeXML()
    {
        $sql = null;
        $params = $this->xmlForm->database->createParameters();

        $id = '';
        $name = '';

        if ($this->getAttributeValue('id')) {
            $id = (int)$this->nahradPromenne($this->getAttributeValue('id'));
            $sql =
                'SELECT ' . $this->xmlForm->database->castWideMemo('SablonaXMLFormulare.ObsahXML') . ', SablonaXMLFormulare.SouborXML ' .
                ' FROM SablonaXMLFormulare ' .
                ' WHERE Id = ' . $params->addParameter($id);
        } else if ($this->getAttributeValue('name')) {
            $name = StringUtils::fromUTF8($this->getAttributeValue('name'));
            $name = $this->nahradPromenne($name);
            $sql =
                'SELECT ' . $this->xmlForm->database->castWideMemo('SablonaXMLFormulare.ObsahXML') . ', SablonaXMLFormulare.SouborXML ' .
                ' FROM SablonaXMLFormulare ' .
                ' WHERE Popis = ' . $params->addParameter($name);
        }

        $xmltext = '';

        $filename = '';
        if ($sql) {
            $cursor = $this->xmlForm->database->getSqlResult($sql, $params, 'Chyba pri nacitani sablony v Include!');

            $row = $cursor->fetch();
            if ($row) {
                if ($row[0]) {
                    $xmltext = $row[0];
                } else {
                    $filename = $row[1];
                }
            } else {
                throw new \Exception("Chyba v Include! XML sablona ({$id}{$name}) nenalezena!");
            }
        } else if ($this->getAttributeValue('file')) {
            $filename = StringUtils::fromUTF8($this->getAttributeValue('file'));
            $filename = $this->nahradPromenne($filename);
        }

        if ($filename) {
            $xmltext = file_get_contents($filename);
        }

        if ($xmltext) {
            $this->includeRootElement = $this ->xmlForm ->loadXMLElements($xmltext, $this);
            //$this->includeRootElement = XMLFormElement::loadXMLForm($this->xmlForm, $this, $xmltext);
        }

        return true;
    }


    function getHTMLOutput()
    {
        if (!$this->includeRootElement) {
            if (!$this->loadIncludeXML()) {
                return '';
            }

            //$this -> loadXMLChildren($this ->f_include_domdocument ->documentElement);
        }

        if ($this->includeRootElement) {
            return $this->includeRootElement->getHTMLOutput();
        }

        return '';
    }


    function event()
    {
        if (!$this->includeRootElement) {
            if (!$this->loadIncludeXML()) {
                return;
            }
        }

        if ($this->includeRootElement) {
            $this->includeRootElement->event();
        }
    }


    function writeXMLOutput($xmlWriter)
    {
        if (!$this->includeRootElement) {
            if (!$this->loadIncludeXML()) {
                return;
            }
        }

        if (!$this->includeRootElement) {
            return;
        }

        if (self::getBoolValue($this ->getAttributeValue('expand'))) {
            $this->includeRootElement->writeXMLOutput($xmlWriter);
        } else {
            // provede pozadovane XML
            $this->includeRootElement->process();
            // a zkopiruje tag include
            parent::writeXMLOutput($xmlWriter);
        }
    }


    function process()
    {
        if (!$this->includeRootElement) {
            if (!$this->loadIncludeXML()) {
                return;
            }
        }

        if ($this->includeRootElement) {
            $this->includeRootElement->process();
        }
    }
}


/*
//DOC
PAGE include
<pre>
PRE
  <include id="id_xml_sablony" name="popis_xml_sablony"/>
PREEND
</pre>

//END
*/
