<?php
/**
 * stanislav.elbl, 19.02.2019
 */

namespace RonPortal\XML\Classes;

use Exception;
use Ron\StringUtils;
use RonPortal\Log;
use RonPortal\XML\XMLFormElementCommand;

/**
 * Implementace tagu <log> a <dblog>
 * Class XMLFormElementLog
 * @package RonPortal\XML\Classes
 */
class XMLElementLog extends XMLFormElementCommand
{
    private $text;

    public function loadXML($xmlReader)
    {
        parent::loadXML($xmlReader);
        $this ->text = $this ->getTextContent(false);
    }


    /**
     * @throws Exception
     */
    public function doCommand()
    {
        $text = $this -> nahradPromenne( $this ->text);

        if ($this ->elementName === 'dblog') {
            $srcDescription = $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('srcdescription')));
            if (!$srcDescription) {
                $srcDescription = 'XML';
            }

            Log::addRecordToDBLog( $this ->xmlForm ->database,
                $this ->getAttributeValue('tablename'), $this ->getAttributeValue('eventtype'), $srcDescription, $text);
        } else {
            Log::addRecordToLog( $this ->xmlForm ->database,
                $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('description'))),
                $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('category'))),
                $text );
        }
    }
}

/*
//DOC
PAGE log
<pre>
PRE
  <log category="kategorie udalosti" description="popis udalosti" srcdescription="Popis_zdroje_udalosti">
    Textovy obsah
  </log>
PREEND
</pre>

PAGE dblog
<pre>
PRE
  <dblog tablename="jmeno SQL tabulky" eventtype="INSERT" srcdescription="Popis_zdroje_udalosti">
    Textovy obsah
  </dblog>
PREEND
</pre>
//END
*/
