<?php
/*
 * Stanislav Elbl, 08-2014
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\XML\XMLFormElement;

/**
 * Zaznam logu primo v (datovem) XML, nebo prikaz pro zapsani zaznamu do logu datoveho XML formulare
 */
class XMLElementLogItem extends XMLFormElement
{
    /** @var string */
    var $userName;
    /** @var string */
    var $time;
    /** @var string */
    var $name;
    /** @var string */
    var $value;

    /** @var int */
    var $poradiPredavani;
    /** @var string  Kod urovne predavani, na ktere k udalosti doslo */
    var $urovenPredavani;


    function __construct($xmlForm, $parent)
    {
        parent::__construct($xmlForm, $parent);
        // TODO: tohle nejak predelat
        $this ->poradiPredavani = $xmlForm ->poradiPredavani;
        $this ->urovenPredavani = $xmlForm ->kodUrovne;
    }


    protected function loadXMLElement($xmlReader)
    {
        parent::loadXMLElement($xmlReader);

        $this->userName = StringUtils::fromUTF8($this->getAttributeValue('username'));
        $this->time = $this->getAttributeValue('time');
        $this->name = StringUtils::fromUTF8($this->getAttributeValue('name'));

        $val = $this->getAttributeValue('value');
        $this->value = isset($val) ? StringUtils::fromUTF8($val) : $this->getTextContent(false);

        $this->poradiPredavani = $this->getAttributeValue('poradipredavani');
        $uroven = $this->getAttributeValue('urovenpredavani');
        $this->urovenPredavani = isset($uroven) ? StringUtils::fromUTF8($uroven) : null;
    }

    function loadData()
    {
        $this ->xmlForm ->addLogItem($this);
    }

    function writeXMLOutput($xmlWriter)
    {
        // TODO: predelat - zapsat nactene atributy aby se tu nemusel resit kazdy atribut samostatne
        $xmlWriter ->startElement('xmllog');
        if ($this->userName) $xmlWriter ->writeAttribute('username', StringUtils::toUTF8($this ->userName) );
        if ($this->time) $xmlWriter ->writeAttribute('time', $this ->time);
        if ($this->name) $xmlWriter ->writeAttribute('name', StringUtils::toUTF8($this ->name) );
        if (isset($this->value)) $xmlWriter ->writeAttribute('value', StringUtils::toUTF8($this ->value) );
        // TODO: vyresit typ - napr. volanim metody formulare ...
        if (isset($this->poradiPredavani)) $xmlWriter ->writeAttribute('poradipredavani', $this ->poradiPredavani);
        if (isset($this->urovenPredavani)) $xmlWriter ->writeAttribute('urovenpredavani', StringUtils::toUTF8($this ->urovenPredavani));
        $xmlWriter ->endElement();
    }


    function getHTMLOutput()
    {
        return '';
    }


    function process()
    {
        $value = $this ->nahradPromenne($this ->value);
        $this ->xmlForm ->addLogData(null, $value);
        parent::process();
    }
}

/*
//DOC
PAGE xmllog
<pre>
PRE
  <xmllog name="jmeno" value="text">Textovy obsah</xmllog>
PREEND
</pre>
//END
*/
