<?php
/**
 * stanislav.elbl, 21.06.2017
 */

namespace RonPortal\XML\Classes;

use Ron\DB\DBException;
use Ron\StringUtils;
use RonPortal\XML\XMLFormElement;


/**
 * Implementace tagu <pripojenydokument> - zobrazi odkaz na stahnuti pripojeneho dokumentu
 */
class XMLElementPripojenyDokument extends XMLFormElement
{
    /**
     * Vraci HTML pro jiz pripojene soubory
     * @param string $idStr Seznam id dokumentu oddelenych strednikem
     * @param string $name
     * @return string
     * @throws DBException
     */
    function getFilesHtml($idStr, $name)
    {
        if (!$idStr) return '';

        $result = '';
        $ids = explode(';', $idStr);
        foreach ($ids as $id) {
            $id = (int)$id;
            $params = $this ->xmlForm ->database ->createParameters();
            $sql = 'SELECT Popis, JmenoSouboru FROM Dokument WHERE Id = ' . $params ->addParameter($id);

            $cursor = $this ->xmlForm ->database ->getSqlResult($sql, $params);
            $row = $cursor ->fetch();
            $cursor ->close();

            if ($row) {
                if ($name) $this ->setVariableValue($name, $id);
                $result .=
                    "<div class='pripojenydokument'>" .
                    StringUtils::htmlTextConvert($row[0]) .
                    " <a target='_blank' href='?menuid=xmlform&amp;action=download&amp;idxml={$this ->xmlForm ->id}&amp;record=$id'>{$row[1]}" .
                    "</a></div>";
            }
        }

        return $result;
    }


    function getHTMLOutput()
    {
        return $this ->getFilesHtml($this ->getAttributeValue('id'), $name = $this ->getAttributeValue('name'));
    }
}
