<?php
/**
 * stanislav.elbl
 * 22.05.2021 11:31
 */

namespace RonPortal\XML\Classes;

use Ron\MessageManager;
use RonPortal\XML\XMLFormElement;

/**
 * Class XMLElementTest
 * @package RonPortal\XML\Classes
 * Implementace tagu <test>
 */
class XMLElementTest extends XMLElementIf
{
    /** @var $testOkElement XMLFormElement */
    var $testOkElement;
    /** @var $elseElement XMLFormElement */
    var $elseElement;


    protected function loadXMLChildren($xmlReader)
    {
        parent::loadXMLChildren($xmlReader);

        foreach ($this ->elements as $element) {
            if ($element ->elementName == 'testok') {
                $this ->testOkElement = $element;
            } else if ($element ->elementName == 'else') {
                $this ->elseElement = $element;
            }
        }
    }


//    function loadXMLElement($xmlReader)
//    {
//        parent::loadXMLElement($xmlReader);
//
//        $this->testType = $this->getAttributeValue('testtype');
//        $this->param1 = StringUtils::fromUTF8($this->getAttributeValue('param1'));
//        $this->param2 = StringUtils::fromUTF8($this->getAttributeValue('param2'));
//        $this->copy = self::getBoolValue($this->getAttributeValue('copy'), true);
//
//        $this->testText = StringUtils::fromUTF8($this->getAttributeValue('sql'));
//        //if ( !$this ->f_testtext ) $this ->f_testtext = iconv('utf-8', 'windows-1250', $xmlReader ->value); // toto je blbe :-(
//        // $this ->f_testtext = iconv('utf-8', 'windows-1250', $this ->loadXMLValue($xmlReader) ); - nelze pouzit kvuli vnorenym elementum <testok> a <else>
//    }


    /**
     * Nacte hlavicku a podrizene elementy
     * @param \XMLReader $xmlReader
     */
    function loadXML($xmlReader)
    {
        parent::loadXML($xmlReader);

        // pro kompatibilitu se starym zpusobem nastaveni sql dotazu:
        if ($this->testType == 'emptysql' || $this->testType == 'notemptysql') {
            // pokud neni zadany text v parametru sql, tak ho naplni z vlastniho textu sql dotazu
            if (!$this->testText) {
                $this->testText = $this->getTextContent(false);
            }
        }
    }


    function getHTMLOutput()
    {
        MessageManager::addDebugLog("XMLDebug> Test ({$this -> testType})");

        if ($this->evaluateCondition()) {
            if ($this->testOkElement) {
                return $this->testOkElement->getHTMLOutput();
            }
        } else {
            if ($this->elseElement) {
                return $this->elseElement->getHTMLOutput();
            }
        }

        return '';
    }


    function event()
    {
        if ($this->evaluateCondition()) {
            if ($this->testOkElement) {
                $this->testOkElement->event();
            }
        } else {
            if ($this->elseElement) {
                $this->elseElement->event();
            }
        }
    }


    function writeXMLOutput($xmlWriter)
    {
        $value = $this->evaluateCondition();

        if (self::getBoolValue($this->getAttributeValue('copy'), true)) {
            $xmlWriter->startElement(
                ($this->prefix ? $this->prefix . ':' : '') .
                $this->elementName
            );

            if ($this->attributes) {
                $this->writeXMLAttributes($xmlWriter);
            }

            if ($this ->testOkElement) {
                if ($value) {
                    $this ->testOkElement ->writeXMLOutput($xmlWriter);
                } else {
                    $this ->testOkElement ->copyXML($xmlWriter);
                }
            }

            if ($this ->elseElement) {
                if (!$value) {
                    $this ->elseElement ->writeXMLOutput($xmlWriter);
                } else {
                    $this ->elseElement ->copyXML($xmlWriter);
                }
            }

            $xmlWriter->endElement();
        } else {
            // nekopiruje se test, pouze se provede a zkopiruje obsah testok nebo else
            if ($value) {
                if ($this ->testOkElement) {
                    $this ->testOkElement ->writeXMLElements($xmlWriter);
                }
            } else {
                if ($this ->elseElement) {
                    $this ->elseElement ->writeXMLElements($xmlWriter);
                }
            }
        }
    }


    function process()
    {
        // TODO: doresit parametr copy (pridat name a zapsat hodnotu prislusne promenne)
        if ($this->evaluateCondition()) {
            if ($this->testOkElement) {
                $this->testOkElement->process();
            }
        } else {
            if ($this->elseElement) {
                $this->elseElement->process();
            }
        }
    }
}

/*
//DOC
PAGE test
<pre>
PRE
  <test testtype="typ_testu" condition="php_vyraz" param1="parametr1" param2="parametr2" sql="SELECT_sql_vyraz">
      <testok>
          ...
      </testok>

      <else>
          ...
      </else>
  </test>
PREEND
</pre>
//END
*/
