<?php
/**
 * stanislav.elbl, 26.06.2021 22:12
 */

namespace RonPortal\XML\Classes;

use Ron\DB\DBUtils;
use Ron\MessageManager;
use Ron\StringUtils;
use RonPortal\XML\XMLFormElement;

class XMLElementVariableValue extends XMLFormElement
{
    var $format;
    var $suffix;
    var $name;
    var $index;

    protected function loadXMLElement($xmlReader)
    {
        parent::loadXMLElement($xmlReader);

        $this->name = $this->getAttributeValue('name');
        $this->suffix = $this->getAttributeValue('suffix');
        $this->format = $this->getAttributeValue('format');
        $this->index = $this->getAttributeValue('index');
    }


    function getHTMLOutput()
    {
        $name = $this->nahradPromenne($this->name);

        $val = $this->variableValue($name . $this->suffix);

        if (isset($this->index) && $this->index != '') {
            if (!isset($val)) {
                // OK, je to null
            } else if (is_array($val)) {
                $index = $this->nahradPromenne($this->index);
                $val = $val[$index];
            } else if ($val instanceof \ArrayAccess) {
                // dbrecord
                $index = $this->nahradPromenne($this->index);
                $val = $val[$index];
            } else {
                MessageManager::addErrorMessage("Chyba v tagu variablevalue! Promenna '{$name}{$this->suffix}' neni pole!");
                return '';
            }
        }

        if (!isset($val)) {
            return '';
        }

        if ($this->format) {
            $val = DBUtils::getFormatedValue($this ->xmlForm ->database, $this->format, $val);
        }

        return StringUtils::htmlTextConvert($val);
    }
}

// Deprecated tag
