<?php
/**
 * User: stanislav.elbl
 */

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\PredavaciProcesyUtils;
use RonPortal\XML\XMLFormElement;

class XMLElementVyberOsoby extends XMLFormElement
{
    var $name;
    var $editing;

    protected function loadXMLElement($xmlReader)
    {
        parent::loadXMLElement($xmlReader);

        $this ->name = $this ->getAttributeValue('name');
        $this ->editing = self::getBoolValue($this ->getAttributeValue('editing'));
    }

    function getHTMLOutput()
    {
        $value = null;
        if ($this ->xmlForm ->dataMode()) {
            $value = $this ->variableValue($this ->name);
        }

        if (!isset($value)) {
            $value = $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('value')));
        } else if ($this ->xmlForm ->dataMode()  &&  (!$this ->editing  ||  $this->xmlForm ->readOnly)) {
            // datove XML, uz vyplneny needitovatelny vyber
            return '<span class="dotaznik_odpoved">' . $this ->variableValue($this ->name . '_jmenoprijmeni') . '</span>';
        }

        $sql = PredavaciProcesyUtils::sqlVyberOsobyProPredavaciProces($this ->xmlForm ->database,
            $this ->xmlForm->predavaciProces, $this ->xmlForm->typRozdeleniProcesu);

        $cursor = $this ->xmlForm ->database ->getSqlResult($sql);

        $attrs = [];
        $attrs['name'] = $this ->name;

        $attrs = $this->setHTMLAttributes($attrs);

        $result = '<SELECT ' . $this->getHTMLAttributes($attrs) . '>';

        while ($row = $cursor ->fetch()) {
            $selectedstr = ($row[0] == $value) ? 'selected="selected"' : '';

            $result .=
                "<OPTION value='" . StringUtils::htmlTextConvert($row[0]) . "' $selectedstr>" .
                StringUtils::htmlTextConvert($row[1]) . ' ' . StringUtils::htmlTextConvert($row[2]) . ($row[3] ? ', ' . StringUtils::htmlTextConvert($row[3]) : '') .
                "</OPTION>\n";
        }
        $cursor ->close();

        $result .= "</SELECT>\n";

        return $result;
    }


    function writeXMLOutput($xmlWriter)
    {
        // TODO: DODELAT
        throw new \Exception("XMLElementVyberOsoby:writeXMLOutput neni implementovano!");
    }


    function process()
    {
        $originalValue = $this ->xmlForm ->dataMode()
            ? $this ->variableValue($this ->name)
            : null;

        if (isset($originalValue)  &&  $this ->xmlForm ->dataMode()  &&  !$this ->editing) {
            // hodnota uz byla nastavena drive a vyber neni editovatelny
            return;
        }

        if (isset($_POST[$this ->name])) {
            $this->xmlForm->nastavOsobu($this->name, $_POST[$this->name]);

            if ($originalValue != $this->variableValue($this->name)) {
                // zaloguje zmenu
                $this->xmlForm->addLogData($this->name, $_POST[$this->name] . ' (' . $this->variableValue($this->name . '_jmenoprijmeni~') . ')');
            }

            $this->xmlForm->addDataVariable($this->name);
            $this->xmlForm->addDataVariable($this->name . '_RC');
            $this->xmlForm->addDataVariable($this->name . '_jmeno');
            $this->xmlForm->addDataVariable($this->name . '_prijmeni');
            $this->xmlForm->addDataVariable($this->name . '_jmenoprijmeni');
            $this->xmlForm->addDataVariable($this->name . '_titul');
        }
    }
}


/*
//DOC
PAGE vyberosoby
<pre>
PRE
  <vyberosoby name="OSOBA" editing="0" value="rc_osoby"/>
PREEND
</pre>
//END
*/
