<?php
/**
 * stanislav.elbl, 28.06.2021 15:01
 */

namespace RonPortal\XML;

use Ron\ProxyArray;
use Ron\XmlLoader;

class XMLFormElementLoader extends XMLFormElement
{
    protected $content;

    function loadXML($xmlReader)
    {
        $loader = new XmlLoader();
        $loader->convertFromUtf8 = true;
        $loader->includeAttributes = true;

        $this->content = $loader->readXmlElement($xmlReader);

        // doplni standardni pole atributu
        $this->attributes = [];

        if ($this->content['#attr']) {
            foreach ($this->content['#attr'] as $name => $value) {
                $attribute = new XMLElementAttribute(null, $name, $value);
                $this->attributes[] = $attribute;
            }
        }
    }


    private function replaceVarsForItem($itemValue)
    {
        if ($itemValue instanceof ProxyArray) {
            $result = new ProxyArray();
        } else if (is_array($itemValue)) {
            $result = [];
        } else if (is_string($itemValue)) {
            return $this ->nahradPromenne($itemValue);
        } else {
            return $itemValue;
        }

        foreach ($itemValue as $key => $subItemValue) {
            $result[$key] = $this->replaceVarsForItem($subItemValue);
        }

        return $result;
    }

    public function replaceContentVariables()
    {
        return $this->replaceVarsForItem($this ->content);
    }
}
