<?php

namespace RonPortal\XML;


class XMLSessionAccess implements \ArrayAccess
{
    public static function getSessionOffset($xmlOffset, $write = false)
    {
        switch($xmlOffset) {
            case 'loginname' :
            case 'loginauthenticated' :
            case 'userfullname' :
            case 'rcuzivatele' :
            case 'skupinauzivatele' :
            case 'usercssfilename' :
            case 'realloginname' :
            case 'vynutitzmenuhesla' :
                if ($write) {
                    throw new \Exception("Promenna SESSION[$xmlOffset] je pouze pro cteni!");
                }
                return $xmlOffset;

            case 'vybranaosoba' :
            case 'ads_rozdeleni' :
            case 'ads_rozdeleni2' :
                return $xmlOffset;

            default :
                return 'XML#' . $xmlOffset;
        }
    }


    public function offsetExists($offset)
    {
        return isset($_SESSION[$this ->getSessionOffset($offset)]);
    }

    public function offsetGet($offset)
    {
        $sessionOffset = $this ->getSessionOffset($offset);

        return $_SESSION[$sessionOffset] ?? null;
    }

    public function offsetSet($offset, $value)
    {
        $_SESSION[$this ->getSessionOffset($offset, true)] = $value;
    }

    public function offsetUnset($offset)
    {
        unset($_SESSION[$this ->getSessionOffset($offset, true)]);
    }
}

