

$(function() {
    var processData = function($dashboard, data) {
        $dashboard.closest(".dashboard-frame").removeClass("loading");

        if (!data) return;

        if (data.html) {
            $dashboard.html(data.html);
        }
    };
    var loadData = function() {
        var $this = $(this);

        var $url = $this.data("data-url");
        if ($url) {
            $this.closest(".dashboard-frame").addClass("loading");

            $.ajax($url)
                .done( function(data) {
                    processData($this, data);
                })
                .fail( function(jqXHR) {
                    console.log(jqXHR);
                    $this.text("Pri nacitani obsahu panelu doslo k chybe!");
                });
        }
    };
    var onSortStop = function(event, ui) {
        var order = '';

        $(".dashboard-item").each( function() {
            order = order + $(this).data("dashboard-id") + ";";
        });

        $.ajax("?menuid=dashboard&action=sort&order=" + order)
            .done( function(responseData) {
                if ( responseData.result != "OK" ) {
                    ron.showError(responseData);
                }
            })
            .fail( function(jqXHR) {
                console.log("Pri ukladani poradi doslo k chybe!", jqXHR);
            });
    };


    var onClose = function(event) {
        var $frame = $(event.delegateTarget);

        var closePanel = function() {
            $.ajax("?menuid=dashboard&action=hide&id=" + $frame.data("dashboard-id"))
                .done( function(responseData) {
                    if ( responseData.result == "OK" ) {
                        $frame.hide();
                    } else {
                        ron.showError(responseData);
                    }
                })
                .fail( function(jqXHR) {
                    console.log("Chyba pri odesilani pozadavku!", jqXHR);
                });
        };
        ron.confirm(ron._("Opravdu_skryt_panel"), closePanel);
    };


    var onRefresh = function(event) {
        var $frame = $(event.delegateTarget);
        loadData.call($frame.find(".dashboard-data"));
    };


    $("#dashboard").ronsortable({
        handle: ".dashboard-caption",  // TODO
        stop: onSortStop
    });


    var numCols = function($parent, size) {

        var
            colWidth = $parent.width() / 12,
            cols = Math.round(size / colWidth);

        return cols < 1 ? 1 : cols;
    };

    var setNearestCols = function($element, newSize) {
        var cols = numCols($element.parent(), newSize);

        $element
            .css("width", "")
            .toggleClass("col1 col2 col3 col4 col5 col6 col7 col8 col9 col10 col11 col12", false)
            .toggleClass("col" + cols, true);

        return cols;
    };

    var onResizeStop = function(event, ui) {
        let
            $this = $(this),
            cols = setNearestCols($this, ui.size.width);

        $.ajax("?menuid=dashboard&action=resize&id=" + $this.data("dashboard-id") + "&cols=" + cols + "&height=" + $this.outerHeight())   // + "&width=" + $this.outerWidth()
        .done( function(responseData) {
                if ( responseData.result != 'OK' ) {
                    ron.showError(responseData);
                }
            })
            .fail( function(jqXHR) {
                console.log("Pri ukladani velikosti doslo k chybe!", jqXHR);
            });
    };

    var onResize = function(event, ui) {
        ui.size.height = Math.round( ui.size.height / 10 ) * 10;
        setNearestCols($(this), ui.size.width);
    };

    $(".dashboard-frame")
        .on("click", ".dashboardbutton.refresh", onRefresh);

    $(".dashboard-item")
        .on("click", ".dashboardbutton.close", onClose)
        .ronresizable({
            helper: "dashboard-resizable-helper",
            stop: onResizeStop,
            resize: onResize
        })
        ;
    var addFrameDialog = function()
    {
        $("#addFrameDialog").dialog( {
                modal : true,
                width: "auto",
                height: "auto"
            }
        );
    };


    var addFrame = function()
    {
        var $this = $(this);

        if ($this.prop("checked")) {
            $.ajax("?menuid=dashboard&action=show&id=" + $this.data("dashboard-id"))
                .done( function(responseData) {
                    if ( responseData.result == "OK" ) {
                        window.location.reload();
                    } else {
                        ron.showError(responseData);
                    }
                })
                .fail( function(jqXHR) {
                    console.log("Chyba pri odesilani pozadavku!", jqXHR);
                });
        }
    };


    var addFrameOk = function()
    {
        var $dialog = $("#addFrameDialog");
        $dialog.find(".addFrameCheckbox").each(addFrame);
        $dialog.dialog("close");
    };


    $("#addDashboardFrame")
        .on("click", addFrameDialog);

    $("#addFrameOK")
        .on("click", addFrameOk);
    $(".dashboard-data").each(loadData);
});
