
$(function() {
    let StavTerminalu = function() {
        this.posledniNastaveni = 0;
        this.posledniNacteni = 0;
        this.posledniNastaveniStr = '';
        this.posledniNacteniStr = '';
        this.pocetNastaveni = 0;
        this.pocetNacteni = 0;
        this.vysledekAgenta = 0;
        this.result = 0;
        this.errors = [];
    };


    var url = '?menuid=terminaly&record=';
    
    var info = $('#terminal_generovani_info').text();
    var kontrolaStavuInt;
    var provedGenerovani = function () {
        let
            $this = $(this),
            maxKontrola = $this.data('max-interval') * 60 * 1000,       //new Number(100000);
            intervalKontroly = $this.data('delka-intervalu') * 1000;        //new Number(5000);

        ron.debugLog('Kontrolu provadet ' + maxKontrola + ' ms, interval kontroly: ' + intervalKontroly + ' ms');
        let
            terminalKod = $(':hidden[name="terminal_kod"]').val(),
            urlTerminalu = url+terminalKod,

            posledniNastaveni = parseInt($('#hlavickaterminalu_casnastaveni').data('value')),
            pocetNastaveni = parseInt($('#hlavickaterminalu_pocetnastaveni').data('value')),
            aktualniStav = {
                posledniNastaveni: posledniNastaveni,
                pocetNastaveni: pocetNastaveni
            };
        
        $.ajax({
                url: url+terminalKod,
                method: 'POST',
                data: {
                    terminal_kod: terminalKod,
                    nastaveni: true,
                    json: true
                },
                success: function (data) {
                    if (data) {
                        let
                            $generovaniInfo = $('#terminal_generovani_info'),
                            $zmenaStavu = $('#zmenaStavu');
                        if (data.vysledekAgenta) {
                            $generovaniInfo.text(ron.translate('GenerovaniUspesne'));
                            $zmenaStavu.val(1);
                            aktualizujStav(data);
                            umoznitZavreniDialogu();
                        }
                        else {
                            if (data.pocetNastaveni > aktualniStav.pocetNastaveni) {
                                aktualizujStav(data);
                                if ((data.errors) && (parseInt($zmenaStavu.val()) === 0)) {
                                    ron.showError(data, $generovaniInfo);
                                    $generovaniInfo.css('color','red');
                                }
                                umoznitZavreniDialogu();
                            }
                            else {
                                kontrolaStavuInt = setInterval(zkontrolujStav,intervalKontroly,urlTerminalu,aktualniStav);
                                setTimeout(function(){ 
                                    clearInterval(kontrolaStavuInt);
                                    ron.debugLog('Je zmena informacni zpravy: ' + $zmenaStavu.val());
                                    if ((data.errors) && (parseInt($zmenaStavu.val()) === 0)) {
                                        ron.showError(data,$generovaniInfo);
                                        $generovaniInfo.css('color','red');
                                        aktualizujStav(data);                                    
                                    }
                                    umoznitZavreniDialogu();
                                }, maxKontrola);
                            }
                        }
                        
                        ron.debugLog('Vysledek generovani: ', data);
                    }
                },
                error: function (jqXHR, textStatus) {
                    $('#terminal_generovani_info').text(ron.translate('ChybaZacatkuGenerovani'));
                    ron.debugLog('Chyba pri odesilani pozadavku na generovani terminalu: ' + textStatus);
                    umoznitZavreniDialogu();
                }
            }); 
        $('#terminal_generovani_info').text(info).css('color','black');
        
        $("#btnZavritDialog")
            .off("click")
            .hide();
        $("#terminal_generovani_dialog")        
            .dialog( {
                modal : true,
                resizable: false,
                width: "auto",
                height: "auto",
                closeOnEscape: false,
                open: function () {
                    $("#stav_generovani").removeClass("d-none");
                }
        });
        
        return false;
    };
    var umoznitZavreniDialogu = function () {
        $("#stav_generovani").addClass("d-none");

        $("#btnZavritDialog")
            .off("click")
            .on("click", function() {
                $("#terminal_generovani_dialog").dialog("close");  
                clearInterval(kontrolaStavuInt);
            })
            .show();
        $("#terminal_generovani_dialog").dialog( {
                closeOnEscape: true
        });
    };
    var aktualizujStav = function (stav) {
        $('#hlavickaterminalu_pocetnacteni')
            .text(stav.pocetNacteni)
            .toggleClass('terminal_neuspesnanacteni', stav.pocetNacteni > 0);

        $('#hlavickaterminalu_pocetnastaveni')
            .text(stav.pocetNastaveni)
            .toggleClass('terminal_neuspesnenastaveni', stav.pocetNastaveni > 0);

        $('#hlavickaterminalu_casnacteni')
            .text(stav.posledniNacteniStr);

        $('#hlavickaterminalu_casnastaveni')
            .text(stav.posledniNastaveniStr);
    };
    var zkontrolujStav = function (url, aktualniStav) {
        
        $.ajax({
            url: url+'&kontrolastavu',
            method: 'GET',
            success: function (data) {
                if (data.result === 'OK') {
                    ron.debugLog('Nacteny stav: ', data);
                    ron.debugLog('Aktualni stav: ', aktualniStav);
                    if ((data.posledniNastaveni > aktualniStav.posledniNastaveni) || (data.pocetNastaveni > aktualniStav.pocetNastaveni)) {
                        aktualizujStav(data);
                        umoznitZavreniDialogu();
                        if (data.pocetNastaveni > aktualniStav.pocetNastaveni) {
                            $('#terminal_generovani_info').text(ron.translate('GenerovaniNeuspesne'));
                        }
                        else {
                            $('#terminal_generovani_info').text(ron.translate('GenerovaniUspesne'));
                        }
                        $('#zmenaStavu').val(1);
                        clearInterval(kontrolaStavuInt);
                    }
                }
                else {
                    $('#terminal_generovani_info').text(ron.translate('GenerovaniNeuspesne'));
                    $('#zmenaStavu').val(1);
                    umoznitZavreniDialogu();
                }
            },
            error : function (jqXHR, textStatus) {
                $('#terminal_generovani_info').text(ron.translate('ChybaNacteniStavu')); 
                $('#zmenaStavu').val(1);
                umoznitZavreniDialogu();
                ron.debugLog('Chyba zjistovani stavu: ' + textStatus);
            }
        }); 
    };
    
    
    $(':submit[name="nastaveni"]').on('click', provedGenerovani);      
});