<?php

namespace RonPortal;

use Ron\MVC\Model;

$defaultQueryString = Model::getInstance()['ron@defaultQueryString'];

$langStr = RonPortalSettings::getValue('preklady', 'cz;sk;eng');
$langs = $langStr ? explode(';', $langStr) : ['cz', 'sk', 'eng'];

?>
<div class="topmenu" id="topmenu">
    <?php RonPortalMenu::getInstance() ->renderSections($defaultQueryString) ?>

    <ul class="langselect inline-list list-slash">
        <?php foreach ($langs as $lang) { ?>
            <li id="lang_item_<?= $lang ?>" title="<?= \Ron\ronText('LANG_TITLE_' . strtolower($lang)) ?>">
                <a href="?session@lang=<?= $lang ?>&<?= $defaultQueryString ?>"><?= \Ron\ronText('LANG_' . strtolower($lang)) ?></a>
            </li>
        <?php } ?>
    </ul>
</div>

<div class="floatingmenu fixedheader" id="floatingmenu">
    <div class="floatingmenu-header header">
        <span class="floatingmenu-close header-button toggleClass" id="closeFloatingMenu" data-selector="#floatingmenu" data-toggle-class="expanded">
            <i class="fas fa-times fa-2x"></i>
        </span>
        <div class="floatingmenu-title apptitle">
            <span class="apptitletext"><?= \Ron\ronText('RON_Portal') ?></span>
        </div>
    </div>
    <div class="topmenu">
        <?php RonPortalMenu::getInstance() ->renderFloatingMenu($defaultQueryString) ?>
    </div>
</div>

<div id="menu-expand-button" class="header-color header-button fal fa-bars fa-2x toggleClass" data-selector="#floatingmenu" data-toggle-class="expanded"></div>
